#include "precomp.h"
typedef unsigned char _uc ; 
typedef unsigned short _us ; 
typedef unsigned int _ui ; 
typedef unsigned long _ul ; 
typedef unsigned int jit_insn ; 
struct jit_local_state {
  int nextarg_puti ; 
  int nextarg_putf ; 
  int nextarg_putd ; 
  int nextarg_geti ; 
  int nextarg_getd ; 
  int nbArgs ; 
  int long_jumps ; 
}
; 
typedef union jit_code {
  char * ptr ; 
  void (* vptr ) (void ) ; 
  char (* cptr ) (void ) ; 
  unsigned char (* ucptr ) (void ) ; 
  short (* sptr ) (void ) ; 
  unsigned short (* usptr ) (void ) ; 
  int (* iptr ) (void ) ; 
  unsigned int (* uiptr ) (void ) ; 
  long (* lptr ) (void ) ; 
  unsigned long (* ulptr ) (void ) ; 
  void * (* pptr ) (void ) ; 
  float (* fptr ) (void ) ; 
  double (* dptr ) (void ) ; 
}
jit_code ; 
typedef struct {
  union {
    jit_insn * pc ; 
    _uc * uc_pc ; 
    _us * us_pc ; 
    _ui * ui_pc ; 
    _ul * ul_pc ; 
    jit_code code ; 
  }
  x ; 
  struct jit_fp * fp ; 
  struct jit_local_state jitl ; 
}
jit_state ; 
static void jit_notify_freed_code (void ) {
}
static void jit_flush_code (void * start , void * end ) {
  register char * ddest , * idest ; 
  static int cache_line_size ; 
  if (cache_line_size == 0 ) {
    char buffer [8192 ] ; 
    int i , probe ; 
    memset (buffer , 0xFF , 8192 ) ; 
    __asm__ __volatile__ ("dcbz 0,%0" : : "r" (buffer + 4096 ) ) ; 
    for (i = 0 , probe = 4096 ; probe ; probe >>= 1 ) if (buffer [i | probe ] != 0x00 )
      i |= probe ; 
    i ++ ; 
    for (cache_line_size = 1 ; i + cache_line_size < 8192 ; cache_line_size <<= 1 ) if (buffer [i + cache_line_size ] != 0x00 )
      break ; 
  }
  start -= ((long ) start ) & (cache_line_size - 1 ) ; 
  end -= ((long ) end - 1 ) & (cache_line_size - 1 ) ; 
  for (ddest = (char * ) start ; ddest <= (char * ) end ; ddest += cache_line_size ) {
    __asm__ __volatile__ ("dcbst 0,%0" : : "r" (ddest ) ) ; 
  }
  __asm__ __volatile__ ("sync" : : ) ; 
  for (idest = (char * ) start ; idest <= (char * ) end ; idest += cache_line_size ) {
    __asm__ __volatile__ ("icbi 0,%0" : : "r" (idest ) ) ; 
  }
  __asm__ __volatile__ ("isync" : : ) ; 
}
static void _jit_epilog (jit_state * jit ) {
  int n = (* jit ) . jitl . nbArgs ; 
  int frame_size , ofs ; 
  int first_saved_reg = (31 - (7 ) ) - n ; 
  int num_saved_regs = 32 - first_saved_reg ; 
  frame_size = 24 + 32 + 12 + num_saved_regs * 4 ; 
  frame_size += 15 ; 
  frame_size &= ~ 15 ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (frame_size + 4 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ofs = frame_size - num_saved_regs * 4 ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (46 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (first_saved_reg ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (ofs ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (frame_size ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
}
static void _jit_prolog (jit_state * jit , int n ) {
  int frame_size ; 
  int ofs ; 
  int first_saved_reg = (31 - (7 ) ) - n ; 
  int num_saved_regs = 32 - first_saved_reg ; 
  (* jit ) . jitl . nextarg_geti = 3 ; 
  (* jit ) . jitl . nextarg_getd = 1 ; 
  (* jit ) . jitl . nbArgs = n ; 
  frame_size = 24 + 32 + 12 + num_saved_regs * 4 ; 
  frame_size += 15 ; 
  frame_size &= ~ 15 ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (37 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (- frame_size ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ofs = frame_size - num_saved_regs * 4 ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (47 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (first_saved_reg ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (ofs ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (* jit ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (frame_size + 4 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
}
static int jit_fail (const char * , const char * , int , const char * ) __attribute__ ((unused ) ) ; 
int jit_fail (const char * msg , const char * file , int line , const char * function ) {
  fprintf (stderr , "%s: In function `%s':\n" , file , function ) ; 
  fprintf (stderr , "%s:%d: %s\n" , file , line , msg ) ; 
  abort () ; 
}
int scheme_jit_malloced ; 
static void * shared_tail_code [4 ] [25 ] ; 
static void * shared_non_tail_code [4 ] [25 ] [2 ] ; 
static void * shared_non_tail_retry_code [2 ] ; 
static void * shared_non_tail_argc_code [2 ] ; 
static void * shared_tail_argc_code ; 
static void * shared_arity_check [25 ] [2 ] [2 ] ; 
static void * bad_result_arity_code ; 
static void * unbound_global_code ; 
static void * quote_syntax_code ; 
static void * call_original_unary_arith_code ; 
static void * call_original_binary_arith_code ; 
static void * call_original_binary_rev_arith_code ; 
static void * call_original_unary_arith_for_branch_code ; 
static void * call_original_binary_arith_for_branch_code ; 
static void * call_original_binary_rev_arith_for_branch_code ; 
static void * bad_car_code , * bad_cdr_code ; 
static void * bad_caar_code , * bad_cdar_code , * bad_cadr_code , * bad_cddr_code ; 
static void * bad_mcar_code , * bad_mcdr_code ; 
static void * bad_set_mcar_code , * bad_set_mcdr_code ; 
static void * bad_unbox_code ; 
static void * vector_ref_code , * vector_ref_check_index_code , * vector_set_code , * vector_set_check_index_code ; 
static void * string_ref_code , * string_ref_check_index_code , * string_set_code , * string_set_check_index_code ; 
static void * bytes_ref_code , * bytes_ref_check_index_code , * bytes_set_code , * bytes_set_check_index_code ; 
static void * syntax_e_code ; 
static void * on_demand_jit_code ; 
static void * on_demand_jit_arity_code ; 
static void * get_stack_pointer_code ; 
static void * stack_cache_pop_code ; 
static void * struct_pred_code ; 
static void * struct_pred_branch_code ; 
static void * struct_get_code ; 
static void * bad_app_vals_target ; 
static void * app_values_slow_code , * app_values_multi_slow_code , * app_values_tail_slow_code ; 
static void * finish_tail_call_code , * finish_tail_call_fixup_code ; 
typedef struct {
  Scheme_Type type ; 
  GC_CAN_IGNORE jit_state js ; 
  char * limit ; 
  int extra_pushed , max_extra_pushed ; 
  int depth ; 
  int max_depth ; 
  int * mappings ; 
  int num_mappings , mappings_size ; 
  int retained ; 
  int need_set_rs ; 
  void * * retain_start ; 
  int local1_busy ; 
  int log_depth ; 
  int self_pos , self_closure_size , self_toplevel_pos ; 
  void * self_restart_code ; 
  void * self_nontail_code ; 
  Scheme_Native_Closure * nc ; 
  Scheme_Closure_Data * self_data ; 
  void * status_at_ptr ; 
  int reg_status ; 
  void * patch_depth ; 
}
mz_jit_state ; 
typedef int (* Native_Check_Arity_Proc ) (Scheme_Object * o , int argc , int dummy ) ; 
typedef Scheme_Object * (* Native_Get_Arity_Proc ) (Scheme_Object * o , int dumm1 , int dummy2 ) ; 
static Native_Check_Arity_Proc check_arity_code ; 
static Native_Get_Arity_Proc get_arity_code ; 
static int generate_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int need_ends ) ; 
static int generate (Scheme_Object * obj , mz_jit_state * jitter , int tail_ok , int multi_ok , int target ) ; 
static void * generate_lambda_simple_arity_check (int num_params , int has_rest , int is_method , int permanent ) ; 
static void generate_case_lambda (Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int is_method ) ; 
static void on_demand () ; 
static int generate_non_tail_mark_pos_prefix (mz_jit_state * jitter ) ; 
static void generate_non_tail_mark_pos_suffix (mz_jit_state * jitter ) ; 
static void * generate_shared_call (int num_rands , mz_jit_state * old_jitter , int multi_ok , int is_tail , int direct_prim , int direct_native , int nontail_self ) ; 
static int is_simple (Scheme_Object * obj , int depth , int just_markless , mz_jit_state * jitter , int stack_start ) ; 
static int lambda_has_been_jitted (Scheme_Native_Closure_Data * ndata ) ; 
static void register_traversers (void ) ; 
static void release_native_code (void * fnlized , void * p ) ; 
int scheme_direct_call_count , scheme_indirect_call_count ; 
typedef struct {
  Scheme_Native_Closure_Data nc ; 
  Scheme_Native_Closure_Data * case_lam ; 
}
Scheme_Native_Closure_Data_Plus_Case ; 
typedef struct {
  void * orig_return_address ; 
  void * stack_frame ; 
  Scheme_Object * cache ; 
  void * filler ; 
}
Stack_Cache_Elem ; 
static Stack_Cache_Elem stack_cache_stack [32 ] ; 
long stack_cache_stack_pos = 0 ; 
static void * * tree ; 
static int do_clear_symbols (void * * t , unsigned long start , int offset , unsigned long addr , int clearing ) ; 
static int during_set ; 
static void * find_symbol (unsigned long v ) {
  /* No conversion */
  unsigned long k ; 
  void * * t = tree , * val ; 
  int offset = ((1 << 2 ) * 8 ) ; 
  while (offset ) {
    if (! t )
      return ((void * ) 0 ) ; 
    offset -= 4 ; 
    k = ((v >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    val = t [k ] ; 
    if (! val )
      return ((void * ) 0 ) ; 
    if (* (Scheme_Type * ) val )
      return val ; 
    t = (void * * ) val ; 
  }
  printf ("Error: walked off end of tree\n" ) ; 
  return ((void * ) 0 ) ; 
}
/* this far 54 */
static void * * malloc_node () {
  void * * v ; 
  DECL_RET_SAVE (void * * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(v, 0)));
# define XfOrM4_COUNT (1)
# define SETUP_XfOrM4(x) SETUP(XfOrM4_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  v = NULLED_OUT ; 
  v = (void * * ) FUNCCALL(SETUP_XfOrM4(_), GC_malloc (((1 << 4 ) + 3 ) * sizeof (void * ) ) ); 
  ((unsigned long * ) v ) [1 ] = 0x1 ; 
  ((unsigned long * ) v ) [2 ] = 0x1 ; 
  RET_VALUE_START (v ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void add_symbol (unsigned long start , unsigned long end , void * value , int gc_able ) {
  unsigned long k1 , k2 , split_t_start = 0 , split_t_end = 0 , i ; 
  int m ; 
  int offset = ((1 << 2 ) * 8 ) , split_offset = 0 ; 
  void * * t1 , * * t2 , * * split_t , * val1 , * val2 ; 
  PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(t1, 0), PUSH(t2, 1), PUSH(val1, 2), PUSH(value, 3), PUSH(split_t, 4), PUSH(val2, 5)));
# define XfOrM5_COUNT (6)
# define SETUP_XfOrM5(x) SETUP(XfOrM5_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  t1 = NULLED_OUT ; 
  t2 = NULLED_OUT ; 
  split_t = NULLED_OUT ; 
  val1 = NULLED_OUT ; 
  val2 = NULLED_OUT ; 
  if (! tree ) {
#   define XfOrM36_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM36(x) SETUP_XfOrM5(x)
    FUNCCALL(SETUP_XfOrM36(_), scheme_register_static ((void * ) & tree , sizeof (tree ) ) ); 
    tree = FUNCCALL(SETUP_XfOrM36(_), malloc_node () ); 
  }
  during_set ++ ; 
  t1 = t2 = tree ; 
  split_t = ((void * ) 0 ) ; 
  while (offset ) {
#   define XfOrM30_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM30(x) SETUP_XfOrM5(x)
    offset -= 4 ; 
    k1 = ((start >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    if (offset ) {
#     define XfOrM34_COUNT (0+XfOrM30_COUNT)
#     define SETUP_XfOrM34(x) SETUP_XfOrM30(x)
      val1 = t1 [k1 ] ; 
      if (! val1 ) {
#       define XfOrM35_COUNT (0+XfOrM34_COUNT)
#       define SETUP_XfOrM35(x) SETUP_XfOrM34(x)
        val1 = FUNCCALL(SETUP_XfOrM35(_), malloc_node () ); 
        t1 [k1 ] = val1 ; 
      }
    }
    else val1 = t1 ; 
    k2 = ((end >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    if (offset ) {
#     define XfOrM32_COUNT (0+XfOrM30_COUNT)
#     define SETUP_XfOrM32(x) SETUP_XfOrM30(x)
      val2 = t2 [k2 ] ; 
      if (! val2 ) {
#       define XfOrM33_COUNT (0+XfOrM32_COUNT)
#       define SETUP_XfOrM33(x) SETUP_XfOrM32(x)
        val2 = FUNCCALL(SETUP_XfOrM33(_), malloc_node () ); 
        t2 [k2 ] = val2 ; 
      }
    }
    else val2 = t2 ; 
    if (! split_t && (val1 != val2 ) ) {
      split_t = t1 ; 
      split_t_start = k1 ; 
      split_t_end = k2 ; 
      split_offset = offset ; 
    }
    t1 = val1 ; 
    t2 = val2 ; 
  }
  if (! split_t ) {
    split_t = t1 ; 
    split_t_start = k1 ; 
    split_t_end = k2 ; 
  }
  m = (1 << (k1 - 3 + 1 ) ) ; 
  ((unsigned long * ) t1 ) [1 ] |= m ; 
  if (! value )
    ((unsigned long * ) t1 ) [2 ] |= m ; 
  t1 [k1 ] = value ; 
  t2 [k2 ] = value ; 
  for (i = split_t_start + 1 ; i < split_t_end ; i ++ ) {
    split_t [i ] = value ; 
  }
  if (t1 != split_t ) {
    k1 = ((start >> split_offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    t1 = split_t [k1 ] ; 
    offset = split_offset ; 
    while (offset ) {
      offset -= 4 ; 
      k1 = ((start >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
      for (i = k1 + 1 ; i < (1 << 4 ) + 3 ; i ++ ) {
        t1 [i ] = value ; 
      }
      t1 = t1 [k1 ] ; 
    }
  }
  if (t2 != split_t ) {
    k2 = ((end >> split_offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
    t2 = split_t [k2 ] ; 
    offset = split_offset ; 
    while (offset ) {
      offset -= 4 ; 
      k2 = ((end >> offset ) & ((1 << 4 ) - 1 ) ) + 3 ; 
      for (i = 3 ; i < k2 ; i ++ ) {
        t2 [i ] = value ; 
      }
      t2 = t2 [k2 ] ; 
    }
  }
  -- during_set ; 
  if (! value ) {
#   define XfOrM6_COUNT (0+XfOrM5_COUNT)
#   define SETUP_XfOrM6(x) SETUP_XfOrM5(x)
    FUNCCALL_EMPTY(do_clear_symbols (tree , start , 0 , 0 , 0 ) ); 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int do_clear_symbols (void * * t , unsigned long start , int offset , unsigned long addr , int clearing ) {
  int i , m , j ; 
  void * p , * val , * * subt ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(t, 0), PUSH(subt, 1), PUSH(val, 2)));
# define XfOrM37_COUNT (3)
# define SETUP_XfOrM37(x) SETUP(XfOrM37_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  p = NULLED_OUT ; 
  val = NULLED_OUT ; 
  subt = NULLED_OUT ; 
  for (i = ((start >> offset ) & ((1 << 4 ) - 1 ) ) ; i < (1 << 4 ) ; i ++ ) {
#   define XfOrM50_COUNT (0+XfOrM37_COUNT)
#   define SETUP_XfOrM50(x) SETUP_XfOrM37(x)
    m = (1 << (i + 1 ) ) ; 
    if (((unsigned long * ) t ) [1 ] & m ) {
      clearing = 0 ; 
      if (((unsigned long * ) t ) [2 ] & m ) {
        clearing = 1 ; 
        if (clearing ) {
          ((unsigned long * ) t ) [1 ] -= m ; 
          ((unsigned long * ) t ) [2 ] -= m ; 
        }
      }
      else {
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      }
    }
    if (! clearing )
      val = ((void * ) 0 ) ; 
    else val = t [i + 3 ] ; 
    if (val ) {
#     define XfOrM51_COUNT (0+XfOrM50_COUNT)
#     define SETUP_XfOrM51(x) SETUP_XfOrM50(x)
      if (! * (Scheme_Type * ) val ) {
#       define XfOrM52_COUNT (0+XfOrM51_COUNT)
#       define SETUP_XfOrM52(x) SETUP_XfOrM51(x)
        subt = (void * * ) val ; 
        clearing = FUNCCALL(SETUP_XfOrM52(_), do_clear_symbols (subt , start , offset - 4 , (addr + (i << offset ) ) , clearing ) ); 
        if (! during_set ) {
          for (j = 0 ; j < (1 << 4 ) ; j ++ ) {
            if (subt [j + 3 ] )
              break ; 
          }
          if (j == (1 << 4 ) ) {
            t [i + 3 ] = ((void * ) 0 ) ; 
          }
        }
        if (! clearing ) {
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        }
      }
      else if (clearing )
        t [i + 3 ] = ((void * ) 0 ) ; 
    }
  }
  RET_VALUE_START (clearing ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * * fixup_runstack_base ; 
static int fixup_already_in_place ; 
static Scheme_Object * _scheme_tail_apply_from_native_fixup_args (Scheme_Object * rator , int argc , Scheme_Object * * argv ) {
  /* No conversion */
  int already = fixup_already_in_place , i ; 
  Scheme_Object * * base ; 
  base = fixup_runstack_base XFORM_OK_MINUS argc XFORM_OK_MINUS already ; 
  for (i = 0 ; i < argc ; i ++ ) {
    base [already + i ] = argv [i ] ; 
  }
  return _scheme_tail_apply_from_native (rator , argc + already , base ) ; 
}
static Scheme_Object * make_global_ref (Scheme_Object * var ) {
  GC_CAN_IGNORE Scheme_Object * o ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(var, 0)));
# define XfOrM65_COUNT (1)
# define SETUP_XfOrM65(x) SETUP(XfOrM65_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  o = ((Scheme_Object * ) FUNCCALL(SETUP_XfOrM65(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Small_Object ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  o -> type = scheme_global_ref_type ; 
  (((Scheme_Small_Object * ) (o ) ) -> u . ptr_val ) = var ; 
  RET_VALUE_START (o ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void * jit_buffer_cache ; 
static long jit_buffer_cache_size ; 
static int jit_buffer_cache_registered ; 
typedef int (* Generate_Proc ) (mz_jit_state * j , void * data ) ; 
static void * get_end_pointer (mz_jit_state * jitter ) {
  /* No conversion */
  return ((jitter -> js ) . x . code ) . ptr ; 
}
static int mz_retain_it (mz_jit_state * jitter , void * v ) {
  /* No conversion */
  if (jitter -> retain_start ) {
    jitter -> retain_start [jitter -> retained ] = v ; 
  }
  jitter -> retained ++ ; 
  return jitter -> retained ; 
}
static void mz_load_retained (mz_jit_state * jitter , int rs , int retptr ) {
  /* No conversion */
  void * p ; 
  p = jitter -> retain_start + retptr - 1 ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((rs ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((p ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((rs ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((rs ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((p ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((rs ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((rs ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
}
static void * generate_one (mz_jit_state * old_jitter , Generate_Proc generate , void * data , int gcable , void * save_ptr , Scheme_Native_Closure_Data * ndata ) {
  mz_jit_state _jitter ; 
  mz_jit_state * jitter = & _jitter ; 
  void * buffer ; 
  int mappings_buffer [32 ] ; 
  int * mappings = mappings_buffer ; 
  long size = 256 , known_size = 0 , size_pre_retained = 0 , num_retained = 0 , padding ; 
  int mappings_size = 32 ; 
  int ok , max_extra_pushed = 0 ; 
  Scheme_Object * fnl_obj ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(17);
  BLOCK_SETUP_TOP((PUSH(buffer, 0), PUSH(data, 1), PUSH(old_jitter, 2), PUSH(fnl_obj, 3), PUSH(_jitter.limit, 4), PUSH(_jitter.mappings, 5), PUSH(_jitter.retain_start, 6), PUSH(_jitter.self_restart_code, 7), PUSH(_jitter.self_nontail_code, 8), PUSH(_jitter.nc, 9), PUSH(_jitter.self_data, 10), PUSH(_jitter.status_at_ptr, 11), PUSH(_jitter.patch_depth, 12), PUSH(save_ptr, 13), PUSH(mappings, 14), PUSH(jitter, 15), PUSH(ndata, 16)));
# define XfOrM70_COUNT (17)
# define SETUP_XfOrM70(x) SETUP(XfOrM70_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  _jitter.limit = NULLED_OUT ; 
  _jitter.mappings = NULLED_OUT ; 
  _jitter.retain_start = NULLED_OUT ; 
  _jitter.self_restart_code = NULLED_OUT ; 
  _jitter.self_nontail_code = NULLED_OUT ; 
  _jitter.nc = NULLED_OUT ; 
  _jitter.self_data = NULLED_OUT ; 
  _jitter.status_at_ptr = NULLED_OUT ; 
  _jitter.patch_depth = NULLED_OUT ; 
  buffer = NULLED_OUT ; 
  fnl_obj = NULLED_OUT ; 
  if (ndata ) {
#   define XfOrM114_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM114(x) SETUP_XfOrM70(x)
    fnl_obj = FUNCCALL(SETUP_XfOrM114(_), scheme_box (scheme_false ) ); 
  }
  else fnl_obj = ((void * ) 0 ) ; 
  if (! jit_buffer_cache_registered ) {
#   define XfOrM113_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM113(x) SETUP_XfOrM70(x)
    jit_buffer_cache_registered = 1 ; 
    FUNCCALL(SETUP_XfOrM113(_), scheme_register_static ((void * ) & jit_buffer_cache , sizeof (jit_buffer_cache ) ) ); 
    FUNCCALL_AGAIN(scheme_register_static ((void * ) & stack_cache_stack , sizeof (stack_cache_stack ) ) ); 
    FUNCCALL_AGAIN(register_traversers () ); 
  }
  while (1 ) {
#   define XfOrM92_COUNT (0+XfOrM70_COUNT)
#   define SETUP_XfOrM92(x) SETUP_XfOrM70(x)
    (memset (jitter , 0 , sizeof (_jitter ) ) ) ; 
    (jitter -> js ) . jitl . long_jumps = 1 ; 
    padding = 100 ; 
    if (known_size ) {
#     define XfOrM110_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM110(x) SETUP_XfOrM92(x)
      size_pre_retained = known_size ; 
      size = size_pre_retained + ((num_retained ) << 2 ) ; 
      padding = 0 ; 
      if (gcable ) {
#       define XfOrM112_COUNT (0+XfOrM110_COUNT)
#       define SETUP_XfOrM112(x) SETUP_XfOrM110(x)
        buffer = FUNCCALL(SETUP_XfOrM112(_), scheme_malloc_code (size ) ); 
        scheme_jit_malloced += size_pre_retained ; 
      }
      else {
#       define XfOrM111_COUNT (0+XfOrM110_COUNT)
#       define SETUP_XfOrM111(x) SETUP_XfOrM110(x)
        buffer = FUNCCALL(SETUP_XfOrM111(_), scheme_malloc_code (size ) ); 
      }
      ; 
    }
    else if (old_jitter ) {
#     define XfOrM107_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM107(x) SETUP_XfOrM92(x)
      buffer = FUNCCALL(SETUP_XfOrM107(_), get_end_pointer (old_jitter ) ); 
      size = ((char * ) old_jitter -> limit - (char * ) buffer ) ; 
      if (size < 256 ) {
        old_jitter = ((void * ) 0 ) ; 
        buffer = ((void * ) 0 ) ; 
        size = 256 ; 
      }
      else {
        size_pre_retained = size ; 
      }
    }
    else buffer = ((void * ) 0 ) ; 
    if (! buffer ) {
#     define XfOrM104_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM104(x) SETUP_XfOrM92(x)
      if (jit_buffer_cache && (jit_buffer_cache_size >= size ) ) {
        buffer = jit_buffer_cache ; 
        size = jit_buffer_cache_size ; 
        jit_buffer_cache = ((void * ) 0 ) ; 
      }
      else {
        long minsz ; 
#       define XfOrM105_COUNT (0+XfOrM104_COUNT)
#       define SETUP_XfOrM105(x) SETUP_XfOrM104(x)
        minsz = FUNCCALL(SETUP_XfOrM105(_), GC_malloc_stays_put_threshold () ); 
        if (size < minsz )
          size = minsz ; 
        buffer = (char * ) FUNCCALL(SETUP_XfOrM105(_), GC_malloc_atomic (size ) ); 
      }
      size_pre_retained = size ; 
    }
    (void ) ((jitter -> js ) . x . pc = (buffer ) , ((jitter -> js ) . x . code ) ) . ptr ; 
    jitter -> limit = (char * ) buffer + size_pre_retained - padding ; 
    if (known_size ) {
#     define XfOrM102_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM102(x) SETUP_XfOrM92(x)
      jitter -> retain_start = (void * ) jitter -> limit ; 
      if (ndata ) {
#       define XfOrM103_COUNT (0+XfOrM102_COUNT)
#       define SETUP_XfOrM103(x) SETUP_XfOrM102(x)
        (memset (jitter -> retain_start , 0 , num_retained * sizeof (void * ) ) ) ; 
        ndata -> retained = jitter -> retain_start ; 
        ndata -> retain_count = num_retained ; 
        (((Scheme_Small_Object * ) (fnl_obj ) ) -> u . ptr_val ) = ((Scheme_Object * ) (void * ) (long ) ((((long ) (size_pre_retained ) ) << 1 ) | 0x1 ) ) ; 
        FUNCCALL(SETUP_XfOrM103(_), GC_set_finalizer (fnl_obj , 1 , 3 , release_native_code , buffer , ((void * ) 0 ) , ((void * ) 0 ) ) ); 
      }
    }
    else jitter -> retain_start = ((void * ) 0 ) ; 
    jitter -> mappings = mappings ; 
    jitter -> num_mappings = 0 ; 
    jitter -> mappings_size = mappings_size ; 
    mappings [0 ] = 0 ; 
    jitter -> max_extra_pushed = max_extra_pushed ; 
    jitter -> self_pos = 1 ; 
    jitter -> self_toplevel_pos = - 1 ; 
    jitter -> status_at_ptr = ((void * ) 0 ) ; 
    ok = FUNCCALL(SETUP_XfOrM92(_), generate (jitter , data ) ); 
    if (save_ptr ) {
#     define XfOrM101_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM101(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM101(_), mz_retain_it (jitter , save_ptr ) ); 
    }
    if (fnl_obj ) {
#     define XfOrM100_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM100(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM100(_), mz_retain_it (jitter , fnl_obj ) ); 
    }
    jitter -> limit = (char * ) jitter -> limit + padding ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) || (jitter -> retain_start && (jitter -> retained > num_retained ) ) ) {
#     define XfOrM99_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM99(x) SETUP_XfOrM92(x)
      FUNCCALL(SETUP_XfOrM99(_), scheme_console_printf ("JIT buffer overflow: %p [%p,%p] (%d)!!\n" , ((jitter -> js ) . x . code ) . ptr , buffer , jitter -> limit , ! ! jitter -> retain_start ) ); 
      FUNCCALL(SETUP_XfOrM99(_), abort () ); 
    }
    mappings_size = jitter -> mappings_size ; 
    mappings = jitter -> mappings ; 
    max_extra_pushed = jitter -> max_extra_pushed ; 
    if (ok ) {
#     define XfOrM94_COUNT (0+XfOrM92_COUNT)
#     define SETUP_XfOrM94(x) SETUP_XfOrM92(x)
      if (known_size ) {
#       define XfOrM98_COUNT (0+XfOrM94_COUNT)
#       define SETUP_XfOrM98(x) SETUP_XfOrM94(x)
        FUNCCALL(SETUP_XfOrM98(_), jit_flush_code (buffer , ((jitter -> js ) . x . code ) . ptr ) ); 
        RET_VALUE_START (buffer ) RET_VALUE_END ; 
      }
      else {
        known_size = ((unsigned long ) ((jitter -> js ) . x . code ) . ptr ) - (unsigned long ) buffer ; 
        if (known_size & ((1 << 2 ) - 1 ) ) {
          known_size += ((1 << 2 ) - (known_size & ((1 << 2 ) - 1 ) ) ) ; 
        }
        num_retained = jitter -> retained ; 
        if ((jit_buffer_cache_size < 65536 ) && ! old_jitter && (! jit_buffer_cache || (jit_buffer_cache_size > size ) ) ) {
          jit_buffer_cache = buffer ; 
          jit_buffer_cache_size = size ; 
        }
      }
    }
    else {
      size = size * 2 ; 
      old_jitter = ((void * ) 0 ) ; 
    }
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static inline Scheme_Object * do_make_native_closure (Scheme_Native_Closure_Data * code , int size ) {
  Scheme_Native_Closure * o ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(code, 1)));
# define XfOrM115_COUNT (2)
# define SETUP_XfOrM115(x) SETUP(XfOrM115_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  o = NULLED_OUT ; 
  o = (Scheme_Native_Closure * ) FUNCCALL(SETUP_XfOrM115(_), GC_malloc_one_tagged (sizeof (Scheme_Native_Closure ) + ((size - 1 ) * sizeof (Scheme_Object * ) ) ) ); 
  o -> so . type = scheme_native_closure_type ; 
  o -> code = code ; 
  RET_VALUE_START ((Scheme_Object * ) o ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_make_native_closure (Scheme_Native_Closure_Data * code ) {
  /* No conversion */
  return do_make_native_closure (code , code -> closure_size ) ; 
}
Scheme_Object * scheme_make_native_case_closure (Scheme_Native_Closure_Data * code ) {
  /* No conversion */
  return do_make_native_closure (code , - (code -> closure_size + 1 ) ) ; 
}
static void call_set_global_bucket (Scheme_Bucket * b , Scheme_Object * val , int set_undef ) {
  /* No conversion */
  scheme_set_global_bucket ("set!" , b , val , set_undef ) ; 
}
static void lexical_binding_wrong_return_arity (int expected , int got , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_return_arity (((void * ) 0 ) , expected , got , argv , "lexical binding" ) ; 
}
static void call_wrong_return_arity (int expected , int got , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_return_arity (((void * ) 0 ) , expected , got , argv , ((void * ) 0 ) ) ; 
}
static void wrong_argument_count (Scheme_Object * proc , int argc , Scheme_Object * * argv ) {
  /* No conversion */
  scheme_wrong_count ((char * ) proc , - 1 , - 1 , argc , argv ) ; 
}
static void raise_bad_call_with_values (Scheme_Object * f ) {
  Scheme_Object * a [1 ] ; 
  PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSHARRAY(a, 1, 0)));
# define XfOrM122_COUNT (3)
# define SETUP_XfOrM122(x) SETUP(XfOrM122_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  a[0] = NULLED_OUT ; 
  a [0 ] = f ; 
  FUNCCALL(SETUP_XfOrM122(_), scheme_wrong_type ("call-with-values" , "procedure" , - 1 , 1 , a ) ); 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * call_with_values_from_multiple_result (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
    p -> values_buffer = ((void * ) 0 ) ; 
  return scheme_do_eval (f , p -> ku . multiple . count , p -> ku . multiple . array , 1 ) ; 
}
static Scheme_Object * call_with_values_from_multiple_result_multi (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
    p -> values_buffer = ((void * ) 0 ) ; 
  return scheme_do_eval (f , p -> ku . multiple . count , p -> ku . multiple . array , - 1 ) ; 
}
static Scheme_Object * tail_call_with_values_from_multiple_result (Scheme_Object * f ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  int num_rands = p -> ku . multiple . count ; 
  if (num_rands > p -> tail_buffer_size ) {
    if (((p -> ku . multiple . array ) == (p -> values_buffer ) ) )
      p -> values_buffer = ((void * ) 0 ) ; 
  }
  return scheme_tail_apply (f , num_rands , p -> ku . multiple . array ) ; 
}
/* this far 680 */
/* this far 679 */
/* this far 679 */
static void new_mapping (mz_jit_state * jitter ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM127_COUNT (1)
# define SETUP_XfOrM127(x) SETUP(XfOrM127_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  jitter -> num_mappings ++ ; 
  if (jitter -> num_mappings >= jitter -> mappings_size ) {
    int * a ; 
    BLOCK_SETUP((PUSH(a, 0+XfOrM127_COUNT)));
#   define XfOrM128_COUNT (1+XfOrM127_COUNT)
#   define SETUP_XfOrM128(x) SETUP(XfOrM128_COUNT)
    a = NULLED_OUT ; 
    a = (int * ) FUNCCALL(SETUP_XfOrM128(_), GC_malloc_atomic (jitter -> mappings_size * 2 * sizeof (int ) ) ); 
    (memcpy (a , jitter -> mappings , jitter -> mappings_size * sizeof (int ) ) ) ; 
    jitter -> mappings = a ; 
    jitter -> mappings_size *= 2 ; 
  }
  jitter -> mappings [jitter -> num_mappings ] = 0 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_pushr_p_it (mz_jit_state * jitter , int reg ) {
  int v ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM129_COUNT (1)
# define SETUP_XfOrM129(x) SETUP(XfOrM129_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> extra_pushed ++ ; 
  if (jitter -> extra_pushed > jitter -> max_extra_pushed )
    jitter -> max_extra_pushed = jitter -> extra_pushed ; 
  if (! (jitter -> mappings [jitter -> num_mappings ] & 0x1 ) || (jitter -> mappings [jitter -> num_mappings ] < 0 ) ) {
#   define XfOrM130_COUNT (0+XfOrM129_COUNT)
#   define SETUP_XfOrM130(x) SETUP_XfOrM129(x)
    FUNCCALL(SETUP_XfOrM130(_), new_mapping (jitter ) ); 
  }
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  v ++ ; 
  jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((reg ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_popr_p_it (mz_jit_state * jitter , int reg ) {
  /* No conversion */
  int v ; 
  jitter -> extra_pushed -- ; 
  ; 
  v = jitter -> mappings [jitter -> num_mappings ] >> 1 ; 
  v -- ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((reg ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  jitter -> need_set_rs = 1 ; 
}
static void mz_runstack_skipped (mz_jit_state * jitter , int n ) {
  int v ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM132_COUNT (1)
# define SETUP_XfOrM132(x) SETUP(XfOrM132_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (! (jitter -> mappings [jitter -> num_mappings ] & 0x1 ) || (jitter -> mappings [jitter -> num_mappings ] > 0 ) ) {
#   define XfOrM133_COUNT (0+XfOrM132_COUNT)
#   define SETUP_XfOrM133(x) SETUP_XfOrM132(x)
    FUNCCALL(SETUP_XfOrM133(_), new_mapping (jitter ) ); 
  }
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  ; 
  v -= n ; 
  jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  jitter -> self_pos += n ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_unskipped (mz_jit_state * jitter , int n ) {
  /* No conversion */
  int v ; 
  ; 
  v = (jitter -> mappings [jitter -> num_mappings ] ) >> 1 ; 
  ; 
  v += n ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = ((v << 1 ) | 0x1 ) ; 
  jitter -> self_pos -= n ; 
}
static void mz_runstack_pushed (mz_jit_state * jitter , int n ) {
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM135_COUNT (1)
# define SETUP_XfOrM135(x) SETUP(XfOrM135_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> depth += n ; 
  if (jitter -> depth > jitter -> max_depth )
    jitter -> max_depth = jitter -> depth ; 
  jitter -> self_pos += n ; 
  if (! jitter -> mappings [jitter -> num_mappings ] || (jitter -> mappings [jitter -> num_mappings ] & 0x3 ) ) {
#   define XfOrM136_COUNT (0+XfOrM135_COUNT)
#   define SETUP_XfOrM136(x) SETUP_XfOrM135(x)
    FUNCCALL(SETUP_XfOrM136(_), new_mapping (jitter ) ); 
  }
  jitter -> mappings [jitter -> num_mappings ] += (n << 2 ) ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_closure_pushed (mz_jit_state * jitter , int a , int flags ) {
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM137_COUNT (1)
# define SETUP_XfOrM137(x) SETUP(XfOrM137_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  jitter -> depth += 1 ; 
  if (jitter -> depth > jitter -> max_depth )
    jitter -> max_depth = jitter -> depth ; 
  jitter -> self_pos += 1 ; 
  FUNCCALL(SETUP_XfOrM137(_), new_mapping (jitter ) ); 
  jitter -> mappings [jitter -> num_mappings ] = (a << 4 ) | (flags << 2 ) | 0x2 ; 
  jitter -> need_set_rs = 1 ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void mz_runstack_popped (mz_jit_state * jitter , int n ) {
  /* No conversion */
  int v ; 
  jitter -> depth -= n ; 
  jitter -> self_pos -= n ; 
  v = jitter -> mappings [jitter -> num_mappings ] ; 
  ; 
  v = v >> 2 ; 
  ; 
  v -= n ; 
  if (! v )
    -- jitter -> num_mappings ; 
  else jitter -> mappings [jitter -> num_mappings ] = (v << 2 ) ; 
  jitter -> need_set_rs = 1 ; 
}
static int mz_try_runstack_pop (mz_jit_state * jitter , int n ) {
  /* No conversion */
  if (jitter -> mappings [jitter -> num_mappings ] & 0x3 )
    return 0 ; 
  if ((jitter -> mappings [jitter -> num_mappings ] >> 2 ) < n )
    return 0 ; 
  mz_runstack_popped (jitter , n ) ; 
  return 1 ; 
}
static void mz_runstack_saved (mz_jit_state * jitter ) {
  /* No conversion */
  new_mapping (jitter ) ; 
}
static int mz_runstack_restored (mz_jit_state * jitter ) {
  /* No conversion */
  int amt = 0 , c ; 
  while ((c = jitter -> mappings [jitter -> num_mappings ] ) ) {
    if (c & 0x1 ) {
      c >>= 1 ; 
      if (c > 0 )
        amt += c ; 
    }
    else if (c & 0x2 ) {
      amt ++ ; 
      jitter -> self_pos -- ; 
    }
    else {
      c = (c >> 2 ) ; 
      amt += c ; 
      jitter -> self_pos -= c ; 
    }
    -- jitter -> num_mappings ; 
  }
  -- jitter -> num_mappings ; 
  if (amt )
    jitter -> need_set_rs = 1 ; 
  jitter -> depth -= amt ; 
  return amt ; 
}
static int mz_remap_it (mz_jit_state * jitter , int i ) {
  /* No conversion */
  int j = i , p = jitter -> num_mappings , c ; 
  while (p && (j >= 0 ) ) {
    c = jitter -> mappings [p ] ; 
    if (c & 0x1 ) {
      c >>= 1 ; 
      i += c ; 
      if (c < 0 )
        j += c ; 
    }
    else if (c & 0x2 ) {
      j -- ; 
    }
    else {
      j -= (c >> 2 ) ; 
    }
    -- p ; 
  }
  return i ; 
}
static int mz_is_closure (mz_jit_state * jitter , int i , int arity , int * _flags ) {
  /* No conversion */
  int j = i , p = jitter -> num_mappings , c ; 
  while (p && (j >= 0 ) ) {
    c = jitter -> mappings [p ] ; 
    if (c & 0x1 ) {
      c >>= 1 ; 
      if (c < 0 )
        j += c ; 
    }
    else if (c & 0x2 ) {
      if (! j ) {
        if ((arity == (c >> 4 ) ) || (arity == - 1 ) ) {
          * _flags = (c >> 2 ) & 0x3 ; 
          return 1 ; 
        }
      }
      j -- ; 
    }
    else {
      j -= (c >> 2 ) ; 
    }
    -- p ; 
  }
  return 0 ; 
}
static int stack_safety (mz_jit_state * jitter , int cnt , int offset ) {
  /* No conversion */
  int i ; 
  for (i = 0 ; i < cnt ; i ++ ) {
    ((! ((((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  return 1 ; 
}
static void _jit_prolog_again (mz_jit_state * jitter , int n , int ret_addr_reg ) {
  /* No conversion */
  int frame_size ; 
  int ofs ; 
  int first_saved_reg = (31 - (7 ) ) - n ; 
  int num_saved_regs = 32 - first_saved_reg ; 
  frame_size = 24 + 32 + 12 + num_saved_regs * 4 ; 
  frame_size += 15 ; 
  frame_size &= ~ 15 ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (37 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (- frame_size ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  first_saved_reg = 29 ; 
  num_saved_regs = 3 ; 
  ofs = frame_size - num_saved_regs * 4 ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (47 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (first_saved_reg ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (ofs ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (ret_addr_reg ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (frame_size + 4 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
}
extern unsigned long GC_gen0_alloc_page_ptr ; 
long GC_initial_word (int sizeb ) ; 
long GC_compute_alloc_size (long sizeb ) ; 
long GC_alloc_alignment (void ) ; 
static void * retry_alloc_code ; 
static void * retry_alloc_code_keep_r0_r1 ; 
static void * retry_alloc_code_keep_fpr1 ; 
static void * retry_alloc_r1 ; 
static double save_fp ; 
static void * prepare_retry_alloc (void * p , void * p2 ) {
  long avail , algn ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(p2, 0), PUSH(p, 1)));
# define XfOrM176_COUNT (2)
# define SETUP_XfOrM176(x) SETUP(XfOrM176_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  algn = FUNCCALL(SETUP_XfOrM176(_), GC_alloc_alignment () ); 
  avail = algn - (GC_gen0_alloc_page_ptr & (algn - 1 ) ) ; 
  if (! avail )
    avail = 1 ; 
  else if (avail == algn )
    avail = 1 ; 
  if (avail > sizeof (long ) )
    avail -= sizeof (long ) ; 
  FUNCCALL(SETUP_XfOrM176(_), GC_malloc_atomic (avail ) ); 
  retry_alloc_r1 = p2 ; 
  RET_VALUE_START (p ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static long read_first_word (void * sp ) {
  /* No conversion */
  long foo ; 
  memcpy (& foo , sp , sizeof (long ) ) ; 
  return foo ; 
}
static long initial_tag_word (Scheme_Type tag ) {
  /* No conversion */
  GC_CAN_IGNORE Scheme_Small_Object sp ; 
  memset (& sp , 0 , sizeof (Scheme_Small_Object ) ) ; 
  sp . iso . so . type = tag ; 
  return read_first_word ((void * ) & sp ) ; 
}
static int inline_alloc (mz_jit_state * jitter , int amt , Scheme_Type ty , int keep_r0_r1 , int keep_fpr1 ) {
  GC_CAN_IGNORE jit_insn * ref , * reffail ; 
  long a_word , sz , algn ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM179_COUNT (1)
# define SETUP_XfOrM179(x) SETUP(XfOrM179_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  sz = FUNCCALL(SETUP_XfOrM179(_), GC_compute_alloc_size (amt ) ); 
  algn = FUNCCALL(SETUP_XfOrM179(_), GC_alloc_alignment () ); 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  reffail = (jitter -> js ) . x . pc ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) - (((((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& GC_gen0_alloc_page_ptr ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((- (1 ) ) ) ) ) ) ^ (((unsigned ) ((((- (1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (1 ) ) ) ) ) ^ (((unsigned ) (((- (1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! (((unsigned ) (((((algn - 1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((algn - 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((algn - 1 ) ) ) ) ) ^ (((unsigned ) ((((algn - 1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((algn - 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((algn - 1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((algn - 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((algn - 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ref = (((! ((((unsigned ) (((((algn - sz ) ) ) ) ) ) ^ (((unsigned ) (((((algn - sz ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((algn - sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((algn - sz ) ) ) ) ) ^ (((unsigned ) ((((algn - sz ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((algn - sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((algn - sz ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((algn - sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((algn - sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  if (keep_r0_r1 ) {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code_keep_r0_r1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code_keep_r0_r1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  else if (keep_fpr1 ) {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code_keep_fpr1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code_keep_fpr1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((retry_alloc_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  (void ) ((((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((! ((((unsigned ) (((((sz ) ) ) ) ) ) ^ (((unsigned ) (((((sz ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((sz ) ) ) ) ) ^ (((unsigned ) ((((sz ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((sz ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((sz ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) - (((((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& GC_gen0_alloc_page_ptr ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  a_word = FUNCCALL(SETUP_XfOrM179(_), GC_initial_word (amt ) ); 
  ((! ((((unsigned ) (((a_word ) ) ) ) ^ (((unsigned ) (((a_word ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((a_word ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  a_word = FUNCCALL(SETUP_XfOrM179(_), initial_tag_word (ty ) ); 
  ((! ((((unsigned ) (((a_word ) ) ) ) ^ (((unsigned ) (((a_word ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((a_word ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((a_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ((! ((((unsigned ) ((((sizeof (long ) ) ) ) ) ) ^ (((unsigned ) ((((sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((sizeof (long ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((sizeof (long ) ) ) ) ) ^ (((unsigned ) (((sizeof (long ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((sizeof (long ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((sizeof (long ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((sizeof (long ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((sizeof (long ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_short (Scheme_Object * obj , int fuel ) {
  Scheme_Type t ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(obj, 0)));
# define XfOrM189_COUNT (1)
# define SETUP_XfOrM189(x) SETUP(XfOrM189_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (fuel <= 0 )
    RET_VALUE_START (fuel ) RET_VALUE_END ; 
  t = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (t ) {
#   define XfOrM190_COUNT (0+XfOrM189_COUNT)
#   define SETUP_XfOrM190(x) SETUP_XfOrM189(x)
    case scheme_syntax_type : {
      int t ; 
      t = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . pint ) ; 
      if (t == 3 )
        RET_VALUE_START (fuel - 1 ) RET_VALUE_END ; 
      else RET_VALUE_START (0 ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_application_type : {
      Scheme_App_Rec * app = (Scheme_App_Rec * ) obj ; 
      int i ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM190_COUNT)));
#     define XfOrM197_COUNT (1+XfOrM190_COUNT)
#     define SETUP_XfOrM197(x) SETUP(XfOrM197_COUNT)
      fuel -= app -> num_args ; 
      for (i = app -> num_args + 1 ; i -- ; ) {
#       define XfOrM199_COUNT (0+XfOrM197_COUNT)
#       define SETUP_XfOrM199(x) SETUP_XfOrM197(x)
        fuel = FUNCCALL(SETUP_XfOrM199(_), is_short (app -> args [i ] , fuel ) ); 
      }
      RET_VALUE_START (fuel ) RET_VALUE_END ; 
    }
    case scheme_application2_type : {
      Scheme_App2_Rec * app = (Scheme_App2_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM190_COUNT)));
#     define XfOrM196_COUNT (1+XfOrM190_COUNT)
#     define SETUP_XfOrM196(x) SETUP(XfOrM196_COUNT)
      fuel -= 2 ; 
      fuel = FUNCCALL(SETUP_XfOrM196(_), is_short (app -> rator , fuel ) ); 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_short (app -> rand , fuel ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_application3_type : {
      Scheme_App3_Rec * app = (Scheme_App3_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM190_COUNT)));
#     define XfOrM195_COUNT (1+XfOrM190_COUNT)
#     define SETUP_XfOrM195(x) SETUP(XfOrM195_COUNT)
      fuel -= 3 ; 
      fuel = FUNCCALL(SETUP_XfOrM195(_), is_short (app -> rator , fuel ) ); 
      fuel = FUNCCALL_AGAIN(is_short (app -> rand1 , fuel ) ); 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_short (app -> rand2 , fuel ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_sequence_type : {
      Scheme_Sequence * seq = (Scheme_Sequence * ) obj ; 
      int i ; 
      BLOCK_SETUP((PUSH(seq, 0+XfOrM190_COUNT)));
#     define XfOrM192_COUNT (1+XfOrM190_COUNT)
#     define SETUP_XfOrM192(x) SETUP(XfOrM192_COUNT)
      fuel -= seq -> count ; 
      for (i = seq -> count ; i -- ; ) {
#       define XfOrM194_COUNT (0+XfOrM192_COUNT)
#       define SETUP_XfOrM194(x) SETUP_XfOrM192(x)
        fuel = FUNCCALL(SETUP_XfOrM194(_), is_short (seq -> array [i ] , fuel ) ); 
      }
      RET_VALUE_START (fuel ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_branch_type : {
      Scheme_Branch_Rec * branch = (Scheme_Branch_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(branch, 0+XfOrM190_COUNT)));
#     define XfOrM191_COUNT (1+XfOrM190_COUNT)
#     define SETUP_XfOrM191(x) SETUP(XfOrM191_COUNT)
      fuel -= 3 ; 
      fuel = FUNCCALL(SETUP_XfOrM191(_), is_short (branch -> test , fuel ) ); 
      fuel = FUNCCALL_AGAIN(is_short (branch -> tbranch , fuel ) ); 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_short (branch -> fbranch , fuel ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_toplevel_type : case scheme_quote_syntax_type : case scheme_local_type : case scheme_local_unbox_type : case scheme_unclosed_procedure_type : RET_VALUE_START (fuel - 1 ) RET_VALUE_END ; 
    default : if (t > _scheme_values_types_ )
      RET_VALUE_START (fuel - 1 ) RET_VALUE_END ; 
    else RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * extract_global (Scheme_Object * o , Scheme_Native_Closure * nc ) {
  /* No conversion */
  Scheme_Object * * globs ; 
  globs = (Scheme_Object * * ) nc -> vals [nc -> code -> u2 . orig_code -> closure_size - 1 ] ; 
  return globs [(((Scheme_Toplevel * ) (o ) ) -> position ) ] ; 
}
static int inlineable_struct_prim (Scheme_Object * o , mz_jit_state * jitter ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(1);
# define XfOrM202_COUNT (0)
# define SETUP_XfOrM202(x) SETUP(XfOrM202_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (jitter -> nc && ((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
    Scheme_Object * p ; 
    BLOCK_SETUP((PUSH(p, 0+XfOrM202_COUNT)));
#   define XfOrM203_COUNT (1+XfOrM202_COUNT)
#   define SETUP_XfOrM203(x) SETUP(XfOrM203_COUNT)
    p = NULLED_OUT ; 
    p = FUNCCALL(SETUP_XfOrM203(_), extract_global (o , jitter -> nc ) ); 
    p = ((Scheme_Bucket * ) p ) -> val ; 
    if (p && ((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
      if (((Scheme_Primitive_Proc * ) p ) -> pp . flags & 16 )
        RET_VALUE_START (1 ) RET_VALUE_END ; 
      else if (((Scheme_Primitive_Proc * ) p ) -> pp . flags & 8 )
        RET_VALUE_START (2 ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int inlined_unary_prim (Scheme_Object * o , Scheme_Object * _app , mz_jit_state * jitter ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 16384 ) )
    return 1 ; 
  if (inlineable_struct_prim (o , jitter ) )
    return 1 ; 
  return 0 ; 
}
static int inlined_binary_prim (Scheme_Object * o , Scheme_Object * _app ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 1024 ) ) ; 
}
static int inlined_nary_prim (Scheme_Object * o , Scheme_Object * _app ) {
  /* No conversion */
  return (((Scheme_Type ) (((((long ) (o ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (o ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) && ((((Scheme_Prim_Proc_Header * ) o ) -> flags ) & 32768 ) && (((Scheme_App_Rec * ) _app ) -> num_args == ((Scheme_Primitive_Proc * ) o ) -> mina ) ) ; 
}
static int is_noncm (Scheme_Object * a , mz_jit_state * jitter , int depth , int stack_start ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(a, 0), PUSH(jitter, 1)));
# define XfOrM208_COUNT (2)
# define SETUP_XfOrM208(x) SETUP(XfOrM208_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
    int opts ; 
    opts = ((Scheme_Prim_Proc_Header * ) a ) -> flags & (1 | 2 ) ; 
    if (opts >= 1 )
      if (! (((Scheme_Prim_Proc_Header * ) a ) -> flags & 16 ) )
      RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  if (depth && jitter -> nc && ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) && ((& ((Scheme_Toplevel * ) (a ) ) -> iso ) -> so . keyex & 0x1 ) ) {
    Scheme_Object * p ; 
    BLOCK_SETUP((PUSH(p, 0+XfOrM208_COUNT)));
#   define XfOrM213_COUNT (1+XfOrM208_COUNT)
#   define SETUP_XfOrM213(x) SETUP(XfOrM213_COUNT)
    p = NULLED_OUT ; 
    p = FUNCCALL(SETUP_XfOrM213(_), extract_global (a , jitter -> nc ) ); 
    p = ((Scheme_Bucket * ) p ) -> val ; 
    if (p && ((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) {
      Scheme_Native_Closure_Data * ndata = ((Scheme_Native_Closure * ) p ) -> code ; 
      BLOCK_SETUP((PUSH(ndata, 0+XfOrM213_COUNT)));
#     define XfOrM214_COUNT (1+XfOrM213_COUNT)
#     define SETUP_XfOrM214(x) SETUP(XfOrM214_COUNT)
      if (ndata -> closure_size >= 0 ) {
#       define XfOrM215_COUNT (0+XfOrM214_COUNT)
#       define SETUP_XfOrM215(x) SETUP_XfOrM214(x)
        if (FUNCCALL(SETUP_XfOrM215(_), lambda_has_been_jitted (ndata ) )) {
          if ((& (ndata ) -> iso ) -> so . keyex & 0x1 )
            RET_VALUE_START (1 ) RET_VALUE_END ; 
        }
        else {
          if ((& (ndata -> u2 . orig_code ) -> iso ) -> so . keyex & 4 )
            RET_VALUE_START (1 ) RET_VALUE_END ; 
        }
      }
    }
  }
  if (((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) ) {
    int pos = (((Scheme_Local * ) (a ) ) -> position ) - stack_start ; 
#   define XfOrM210_COUNT (0+XfOrM208_COUNT)
#   define SETUP_XfOrM210(x) SETUP_XfOrM208(x)
    if (pos >= 0 ) {
      int flags ; 
#     define XfOrM211_COUNT (0+XfOrM210_COUNT)
#     define SETUP_XfOrM211(x) SETUP_XfOrM210(x)
      if (FUNCCALL(SETUP_XfOrM211(_), mz_is_closure (jitter , pos , - 1 , & flags ) )) {
        RET_VALUE_START ((flags & 0x1 ) ) RET_VALUE_END ; 
      }
    }
  }
  if (depth && ((Scheme_Type ) (((((long ) (a ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a ) ) -> type ) ) == (Scheme_Type ) (scheme_closure_type ) ) ) {
    Scheme_Closure_Data * data ; 
    data = NULLED_OUT ; 
    data = ((Scheme_Closure * ) a ) -> code ; 
    if ((& (data ) -> iso ) -> so . keyex & 4 )
      RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_simple (Scheme_Object * obj , int depth , int just_markless , mz_jit_state * jitter , int stack_start ) {
  Scheme_Type type ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(3);
  BLOCK_SETUP_TOP((PUSH(obj, 0), PUSH(jitter, 1)));
# define XfOrM219_COUNT (2)
# define SETUP_XfOrM219(x) SETUP(XfOrM219_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM220_COUNT (0+XfOrM219_COUNT)
#   define SETUP_XfOrM220(x) SETUP_XfOrM219(x)
    case scheme_syntax_type : {
      int t ; 
      t = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . pint ) ; 
      RET_VALUE_START ((t == 3 ) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_branch_type : if (depth ) {
      Scheme_Branch_Rec * b = (Scheme_Branch_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(b, 0+XfOrM220_COUNT)));
#     define XfOrM228_COUNT (1+XfOrM220_COUNT)
#     define SETUP_XfOrM228(x) SETUP(XfOrM228_COUNT)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM228(_), is_simple (b -> tbranch , depth - 1 , just_markless , jitter , stack_start ) )&& FUNCCALL(SETUP_XfOrM228(_), is_simple (b -> fbranch , depth - 1 , just_markless , jitter , stack_start ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_value_type : if (depth ) {
#     define XfOrM227_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM227(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_Value * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_let_one_type : if (just_markless && depth ) {
#     define XfOrM226_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM226(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_One * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + 1 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_let_void_type : if (just_markless && depth ) {
#     define XfOrM225_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM225(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Let_Void * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + ((Scheme_Let_Void * ) obj ) -> count ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_letrec_type : if (just_markless && depth ) {
#     define XfOrM224_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM224(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_simple (((Scheme_Letrec * ) obj ) -> body , depth - 1 , just_markless , jitter , stack_start + ((Scheme_Letrec * ) obj ) -> count ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application_type : if (FUNCCALL(SETUP_XfOrM220(_), inlined_nary_prim (((Scheme_App_Rec * ) obj ) -> args [0 ] , obj ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    if (just_markless ) {
#     define XfOrM223_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM223(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App_Rec * ) obj ) -> args [0 ] , jitter , depth , stack_start + ((Scheme_App_Rec * ) obj ) -> num_args ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application2_type : if (FUNCCALL(SETUP_XfOrM220(_), inlined_unary_prim (((Scheme_App2_Rec * ) obj ) -> rator , obj , jitter ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    else if (just_markless ) {
#     define XfOrM222_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM222(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App2_Rec * ) obj ) -> rator , jitter , depth , stack_start + 1 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_application3_type : if (FUNCCALL(SETUP_XfOrM220(_), inlined_binary_prim (((Scheme_App2_Rec * ) obj ) -> rator , obj ) ))
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    else if (just_markless ) {
#     define XfOrM221_COUNT (0+XfOrM220_COUNT)
#     define SETUP_XfOrM221(x) SETUP_XfOrM220(x)
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(is_noncm (((Scheme_App3_Rec * ) obj ) -> rator , jitter , depth , stack_start + 2 ) )) RET_VALUE_EMPTY_END ; 
    }
    break ; 
    case scheme_toplevel_type : case scheme_quote_syntax_type : case scheme_local_type : case scheme_local_unbox_type : case scheme_unclosed_procedure_type : RET_VALUE_START (1 ) RET_VALUE_END ; 
    break ; 
  }
  RET_VALUE_START ((type > _scheme_values_types_ ) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_non_gc (Scheme_Object * obj , int depth ) {
  Scheme_Type type ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(obj, 0)));
# define XfOrM230_COUNT (1)
# define SETUP_XfOrM230(x) SETUP(XfOrM230_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM231_COUNT (0+XfOrM230_COUNT)
#   define SETUP_XfOrM231(x) SETUP_XfOrM230(x)
    case scheme_syntax_type : break ; 
    case scheme_branch_type : if (depth ) {
      Scheme_Branch_Rec * b = (Scheme_Branch_Rec * ) obj ; 
      BLOCK_SETUP((PUSH(b, 0+XfOrM231_COUNT)));
#     define XfOrM235_COUNT (1+XfOrM231_COUNT)
#     define SETUP_XfOrM235(x) SETUP(XfOrM235_COUNT)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM235(_), is_non_gc (b -> test , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM235(_), is_non_gc (b -> tbranch , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM235(_), is_non_gc (b -> fbranch , depth - 1 ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_value_type : if (depth ) {
      Scheme_Let_Value * lv = (Scheme_Let_Value * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM231_COUNT)));
#     define XfOrM234_COUNT (1+XfOrM231_COUNT)
#     define SETUP_XfOrM234(x) SETUP(XfOrM234_COUNT)
      if ((& lv -> iso ) -> so . keyex )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM234(_), is_non_gc (lv -> body , depth - 1 ) )) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_one_type : if (depth ) {
#     define XfOrM233_COUNT (0+XfOrM231_COUNT)
#     define SETUP_XfOrM233(x) SETUP_XfOrM231(x)
      RET_VALUE_START ((FUNCCALL(SETUP_XfOrM233(_), is_non_gc (((Scheme_Let_One * ) obj ) -> value , depth - 1 ) )&& FUNCCALL(SETUP_XfOrM233(_), is_non_gc (((Scheme_Let_One * ) obj ) -> body , depth - 1 ) )) ) RET_VALUE_END ; 
    }
    break ; 
    case scheme_let_void_type : if (depth ) {
      Scheme_Let_Void * lv = (Scheme_Let_Void * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM231_COUNT)));
#     define XfOrM232_COUNT (1+XfOrM231_COUNT)
#     define SETUP_XfOrM232(x) SETUP(XfOrM232_COUNT)
      if ((& lv -> iso ) -> so . keyex )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM232(_), is_non_gc (lv -> body , depth - 1 ) )) RET_VALUE_END ; 
    }
    break ; 
    case scheme_letrec_type : break ; 
    case scheme_application_type : break ; 
    case scheme_application2_type : break ; 
    case scheme_application3_type : break ; 
    case scheme_toplevel_type : break ; 
    case scheme_unclosed_procedure_type : break ; 
    case scheme_quote_syntax_type : case scheme_local_type : case scheme_local_unbox_type : RET_VALUE_START (1 ) RET_VALUE_END ; 
    break ; 
  }
  RET_VALUE_START ((type > _scheme_values_types_ ) ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int ok_to_move_local (Scheme_Object * obj ) {
  /* No conversion */
  if (((Scheme_Type ) (((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) && ! ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x3 ) ) {
    return 1 ; 
  }
  else return 0 ; 
}
static int is_constant_and_avoids_r1 (Scheme_Object * obj ) {
  /* No conversion */
  Scheme_Type t = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
    return (((& ((Scheme_Toplevel * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) ? 1 : 0 ) ; 
  }
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) && ok_to_move_local (obj ) ) {
    return 1 ; 
  }
  else return (t >= _scheme_compiled_values_types_ ) ; 
}
static int generate_direct_prim_tail_call (mz_jit_state * jitter , int num_rands ) {
  /* No conversion */
  if (num_rands == 1 ) {
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  ((void ) 0 , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ; 
  _jit_epilog (& (jitter -> js ) ) ; 
  return 1 ; 
}
static int generate_tail_call (mz_jit_state * jitter , int num_rands , int direct_native , int need_set_rs ) {
  /* No conversion */
  int i ; 
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref4 , * ref5 ; 
  if (num_rands < 100 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (! direct_native ) {
    ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ref2 = (((! ((((unsigned ) (((scheme_native_closure_type ) ) ) ) ^ (((unsigned ) (((scheme_native_closure_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_native_closure_type ) ) ) ^ (((unsigned ) ((scheme_native_closure_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  else {
    ref = ref2 = ((void * ) 0 ) ; 
  }
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref4 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_fuel_counter ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_fuel_counter ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref5 = (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((0 ) ) ) ^ (((unsigned ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (num_rands >= 0 ) {
    if (num_rands ) {
      ((! ((((unsigned ) ((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      for (i = num_rands ; i -- ; ) {
        ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          return 0 ; 
        ; 
      }
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    if (direct_native > 1 ) {
      ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
    }
  }
  else {
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (direct_native ) {
    ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  else {
    ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (num_rands >= 0 ) {
    ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    if (direct_native > 1 ) {
      ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
  }
  else {
    ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (! direct_native ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref4 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref4 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref4 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref4 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref4 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref5 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref5 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref5 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref5 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref5 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (direct_native > 1 ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& fixup_runstack_base ) ) ) ) - (((((_ul ) (((& fixup_runstack_base ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& fixup_runstack_base ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& fixup_already_in_place ) ) ) - (((((_ul ) ((& fixup_already_in_place ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& fixup_already_in_place ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (num_rands >= 0 ) {
    ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  }
  else {
    ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (num_rands < 100 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  if (direct_native > 1 ) {
    (void ) ((((! ((((unsigned ) (((_ul ) ((finish_tail_call_fixup_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((finish_tail_call_fixup_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((finish_tail_call_fixup_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((finish_tail_call_fixup_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((finish_tail_call_fixup_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) ((((! ((((unsigned ) (((_ul ) ((finish_tail_call_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((finish_tail_call_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((finish_tail_call_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((finish_tail_call_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((finish_tail_call_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  return 1 ; 
}
static int generate_finish_tail_call (mz_jit_state * jitter , int direct_native ) {
  /* No conversion */
  ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (direct_native > 1 ) {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_tail_apply_from_native_fixup_args ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_tail_apply_from_native_fixup_args ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_tail_apply_from_native ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_tail_apply_from_native ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ; 
  _jit_epilog (& (jitter -> js ) ) ; 
  return 1 ; 
}
static int generate_direct_prim_non_tail_call (mz_jit_state * jitter , int num_rands , int multi_ok , int pop_and_jump ) {
  /* No conversion */
  if (pop_and_jump ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (num_rands == 1 ) {
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  ((void ) 0 , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  if (num_rands == 1 ) {
    ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    jitter -> need_set_rs = 1 ; 
  }
  if (pop_and_jump ) {
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
  }
  return 1 ; 
}
static int generate_retry_call (mz_jit_state * jitter , int num_rands , int multi_ok , GC_CAN_IGNORE jit_insn * reftop ) {
  /* No conversion */
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * refloop ; 
  if (! reftop ) {
    reftop = shared_non_tail_retry_code [multi_ok ? 1 : 0 ] ; 
  }
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (num_rands >= 0 ) {
    ((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  }
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  refloop = (jitter -> js ) . x . pc ; 
  ref2 = (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) ((((- ((1 << 2 ) ) ) ) ) ) ) ^ (((unsigned ) ((((- ((1 << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- ((1 << 2 ) ) ) ) ) ) ^ (((unsigned ) (((- ((1 << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (void ) ((((! ((((unsigned ) (((_ul ) ((refloop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refloop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refloop ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refloop ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refloop ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_rator ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . apply . tail_num_rands ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  (void ) ((((! ((((unsigned ) (((_ul ) ((reftop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reftop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((reftop ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reftop ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reftop ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((! ((((unsigned ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) ^ (((unsigned ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((Scheme_Object * ) 0x4 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  return 1 ; 
}
static int generate_non_tail_call (mz_jit_state * jitter , int num_rands , int direct_native , int need_set_rs , int multi_ok , int nontail_self , int pop_and_jump ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref4 , * ref5 , * ref6 , * ref7 , * ref8 , * ref9 ; 
  GC_CAN_IGNORE jit_insn * ref10 , * reftop = ((void * ) 0 ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM281_COUNT (1)
# define SETUP_XfOrM281(x) SETUP(XfOrM281_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (pop_and_jump ) {
    if (num_rands != - 1 ) {
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      reftop = (jitter -> js ) . x . pc ; 
    }
  }
  if (! direct_native ) {
    ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ref2 = (((! ((((unsigned ) (((scheme_native_closure_type ) ) ) ) ^ (((unsigned ) (((scheme_native_closure_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_native_closure_type ) ) ) ^ (((unsigned ) ((scheme_native_closure_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    ref = ref2 = ((void * ) 0 ) ; 
  }
  if (! nontail_self ) {
    ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref4 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_jit_stack_boundary ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_jit_stack_boundary ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref9 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  {
    jit_insn * refr ; 
    BLOCK_SETUP((PUSH(refr, 0+XfOrM281_COUNT)));
#   define XfOrM315_COUNT (1+XfOrM281_COUNT)
#   define SETUP_XfOrM315(x) SETUP(XfOrM315_COUNT)
    refr = NULLED_OUT ; 
    if (num_rands < 0 ) {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    refr = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM315(_), _jit_prolog_again (jitter , 3 , (9 + (1 ) ) ) ); 
    if (num_rands >= 0 ) {
      if (nontail_self ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      if (! nontail_self ) {
        ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      ((! ((((unsigned ) ((((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
    if (! nontail_self ) {
      ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (direct_native ) {
        ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else {
        ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (need_set_rs ) {
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
      }
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    }
    (* ((refr ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((refr ) - 2 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) , * ((refr ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((refr ) - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  if (pop_and_jump ) {
    jit_insn * refc ; 
    refc = NULLED_OUT ; 
    ; 
    refc = (((! (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (10 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ^ (((unsigned ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ; 
    if (num_rands < 0 ) {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    if (pop_and_jump ) {
      (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    }
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  if (! multi_ok ) {
    jit_insn * refm ; 
    refm = NULLED_OUT ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    refm = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refm - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refm - 4 ) |= (((_ul ) (bad_result_arity_code ) ) >> (16 ) ) , * (refm - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refm - 3 ) |= (((_ul ) (bad_result_arity_code ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refm - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refm - 1 ) |= (((_ul ) (bad_result_arity_code ) ) - ((_ul ) (refm - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
  }
  ref6 = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (pop_and_jump ) {
#   define XfOrM308_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM308(x) SETUP_XfOrM281(x)
    FUNCCALL(SETUP_XfOrM308(_), generate_retry_call (jitter , num_rands , multi_ok , reftop ) ); 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (multi_ok ) {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_value_same_mark ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_value_same_mark ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_one_value_same_mark ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_one_value_same_mark ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  ref5 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (! direct_native ) {
#   define XfOrM294_COUNT (0+XfOrM281_COUNT)
#   define SETUP_XfOrM294(x) SETUP_XfOrM281(x)
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ref2 = (((! ((((unsigned ) (((scheme_prim_type ) ) ) ) ^ (((unsigned ) (((scheme_prim_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_prim_type ) ) ) ^ (((unsigned ) ((scheme_prim_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) ^ (((unsigned ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> mina ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    if (num_rands >= 0 ) {
      ref7 = (((! ((((unsigned ) (((num_rands ) ) ) ) ^ (((unsigned ) (((num_rands ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      ref7 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    ((! ((((unsigned ) (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Proc * ) 0x0 ) -> prim_val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    if (need_set_rs ) {
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (num_rands < 0 ) {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (void ) ((void ) 0 , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ; 
    if (! multi_ok ) {
      jit_insn * refm ; 
      refm = NULLED_OUT ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      refm = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refm - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refm - 4 ) |= (((_ul ) (bad_result_arity_code ) ) >> (16 ) ) , * (refm - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refm - 3 ) |= (((_ul ) (bad_result_arity_code ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refm - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refm - 1 ) |= (((_ul ) (bad_result_arity_code ) ) - ((_ul ) (refm - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
    }
    ref10 = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x4 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (pop_and_jump ) {
#     define XfOrM297_COUNT (0+XfOrM294_COUNT)
#     define SETUP_XfOrM297(x) SETUP_XfOrM294(x)
      FUNCCALL(SETUP_XfOrM297(_), generate_retry_call (jitter , num_rands , multi_ok , reftop ) ); 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (multi_ok ) {
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_value_same_mark ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_value_same_mark ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    }
    else {
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_one_value_same_mark ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_force_one_value_same_mark ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ref8 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    ref2 = ref7 = ref8 = ref10 = ((void * ) 0 ) ; 
  }
  if (! direct_native ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref7 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref7 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref7 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref7 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref7 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref7 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref7 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref4 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref4 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref4 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref4 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref4 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref9 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref9 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref9 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref9 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref9 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref9 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref9 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (num_rands >= 0 ) {
    ((! ((((unsigned ) ((num_rands ) ) ) ^ (((unsigned ) ((num_rands ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_rands ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  }
  ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (num_rands < 0 ) {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  }
  if (multi_ok ) {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_multi_from_native ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_multi_from_native ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  else {
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_from_native ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_from_native ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref5 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref5 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref5 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref5 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref5 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
  if (! direct_native ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref8 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref8 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref8 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref8 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref8 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref8 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref8 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref6 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref6 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref6 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref6 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref6 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref6 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref6 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (! direct_native ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref10 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref10 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref10 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref10 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref10 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref10 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref10 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  if (num_rands < 0 ) {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  }
  if (pop_and_jump ) {
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_self_tail_call (Scheme_Object * rator , mz_jit_state * jitter , int num_rands , jit_insn * slow_code , int args_already_in_place ) {
  jit_insn * refslow ; 
  int i , jmp_tiny , jmp_short ; 
  int closure_size = jitter -> self_closure_size ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(slow_code, 0), PUSH(jitter, 1)));
# define XfOrM333_COUNT (2)
# define SETUP_XfOrM333(x) SETUP(XfOrM333_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  refslow = NULLED_OUT ; 
  closure_size += 1 ; 
  jmp_tiny = num_rands < 5 ; 
  jmp_short = num_rands < 100 ; 
  if (jmp_tiny ) {
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
  }
  else {
    if (jmp_short ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
  }
  ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_fuel_counter ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& scheme_fuel_counter ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  refslow = (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((0 ) ) ) ^ (((unsigned ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (jmp_tiny ) {
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
  }
  else {
    if (jmp_short ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
  }
  ; 
  ((! ((((unsigned ) ((((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (num_rands ) {
    ((! ((((unsigned ) (((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    for (i = num_rands - 1 ; i -- ; ) {
      ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + closure_size + args_already_in_place ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (void ) ((((! ((((unsigned ) (((_ul ) ((jitter -> self_restart_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((jitter -> self_restart_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((jitter -> self_restart_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((jitter -> self_restart_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((jitter -> self_restart_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (jmp_tiny ) {
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
  }
  else {
    if (jmp_short ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
  }
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refslow - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refslow - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refslow - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refslow - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refslow - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refslow - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refslow - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (jmp_tiny ) {
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
  }
  else {
    if (jmp_short ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
  }
  ; 
  if (args_already_in_place ) {
    ((! ((((unsigned ) (((args_already_in_place ) ) ) ) ^ (((unsigned ) (((args_already_in_place ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  ((! ((((unsigned ) (((((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((num_rands - 1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  FUNCCALL(SETUP_XfOrM333(_), generate (rator , jitter , 0 , 0 , (31 - (1 ) ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (void ) ((((! ((((unsigned ) (((_ul ) ((slow_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((slow_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((slow_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((slow_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((slow_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  int num_rands ; 
  mz_jit_state * old_jitter ; 
  int multi_ok ; 
  int is_tail ; 
  int direct_prim , direct_native , nontail_self ; 
}
Generate_Call_Data ; 
/* this far 2225 */
int do_generate_shared_call (mz_jit_state * jitter , void * _data ) {
  Generate_Call_Data * data = (Generate_Call_Data * ) _data ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(jitter, 1)));
# define XfOrM354_COUNT (2)
# define SETUP_XfOrM354(x) SETUP(XfOrM354_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  jitter -> js . jitl . nbArgs = data -> old_jitter -> js . jitl . nbArgs ; 
  if (data -> is_tail ) {
#   define XfOrM356_COUNT (0+XfOrM354_COUNT)
#   define SETUP_XfOrM356(x) SETUP_XfOrM354(x)
    if (data -> direct_prim )
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_direct_prim_tail_call (jitter , data -> num_rands ) )) RET_VALUE_EMPTY_END ; 
    else RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_tail_call (jitter , data -> num_rands , data -> direct_native , 1 ) )) RET_VALUE_EMPTY_END ; 
  }
  else {
    int ok ; 
    void * code , * code_end ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM354_COUNT), PUSH(code_end, 1+XfOrM354_COUNT)));
#   define XfOrM355_COUNT (2+XfOrM354_COUNT)
#   define SETUP_XfOrM355(x) SETUP(XfOrM355_COUNT)
    code = NULLED_OUT ; 
    code_end = NULLED_OUT ; 
    code = ((jitter -> js ) . x . code ) . ptr ; 
    if (data -> direct_prim )
      ok = FUNCCALL(SETUP_XfOrM355(_), generate_direct_prim_non_tail_call (jitter , data -> num_rands , data -> multi_ok , 1 ) ); 
    else ok = FUNCCALL(SETUP_XfOrM355(_), generate_non_tail_call (jitter , data -> num_rands , data -> direct_native , 1 , data -> multi_ok , data -> nontail_self , 1 ) ); 
    code_end = ((jitter -> js ) . x . code ) . ptr ; 
    if (jitter -> retain_start )
      FUNCCALL_EMPTY(add_symbol ((unsigned long ) code , (unsigned long ) code_end - 1 , scheme_false , 0 ) ); 
    RET_VALUE_START (ok ) RET_VALUE_END ; 
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void * generate_shared_call (int num_rands , mz_jit_state * old_jitter , int multi_ok , int is_tail , int direct_prim , int direct_native , int nontail_self ) {
  Generate_Call_Data data ; 
  DECL_RET_SAVE (void * ) PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(data.old_jitter, 0)));
# define XfOrM357_COUNT (1)
# define SETUP_XfOrM357(x) SETUP(XfOrM357_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data.old_jitter = NULLED_OUT ; 
  data . num_rands = num_rands ; 
  data . old_jitter = old_jitter ; 
  data . multi_ok = multi_ok ; 
  data . is_tail = is_tail ; 
  data . direct_prim = direct_prim ; 
  data . direct_native = direct_native ; 
  data . nontail_self = nontail_self ; 
  RET_VALUE_START (FUNCCALL(SETUP_XfOrM357(_), generate_one (old_jitter , do_generate_shared_call , & data , 0 , ((void * ) 0 ) , ((void * ) 0 ) ) )) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void ensure_retry_available (mz_jit_state * jitter , int multi_ok ) {
  int mo = multi_ok ? 1 : 0 ; 
  PREPARE_VAR_STACK(1);
# define XfOrM358_COUNT (0)
# define SETUP_XfOrM358(x) SETUP(XfOrM358_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! shared_non_tail_retry_code [mo ] ) {
    void * code ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM358_COUNT)));
#   define XfOrM359_COUNT (1+XfOrM358_COUNT)
#   define SETUP_XfOrM359(x) SETUP(XfOrM359_COUNT)
    code = NULLED_OUT ; 
    code = FUNCCALL(SETUP_XfOrM359(_), generate_shared_call (- 1 , jitter , multi_ok , 0 , 0 , 0 , 0 ) ); 
    shared_non_tail_retry_code [mo ] = code ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int is_a_procedure (Scheme_Object * v , mz_jit_state * jitter ) {
  Scheme_Type t ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(1);
# define XfOrM360_COUNT (0)
# define SETUP_XfOrM360(x) SETUP(XfOrM360_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if ((! (((long ) (v ) ) & 0x1 ) && ((((v ) -> type ) >= scheme_prim_type ) && (((v ) -> type ) <= scheme_native_closure_type ) ) ) )
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  t = ((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ; 
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_closure_type ) ) || ((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_unclosed_procedure_type ) ) )
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_syntax_type ) ) ) {
    RET_VALUE_START (((((Scheme_Simple_Object * ) (v ) ) -> u . ptr_int_val . pint ) == 3 ) ) RET_VALUE_END ; 
  }
  else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) ) {
    int flags ; 
#   define XfOrM364_COUNT (0+XfOrM360_COUNT)
#   define SETUP_XfOrM364(x) SETUP_XfOrM360(x)
    RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(mz_is_closure (jitter , (((Scheme_Local * ) (v ) ) -> position ) , - 1 , & flags ) )) RET_VALUE_EMPTY_END ; 
  }
  else if (t == scheme_toplevel_type ) {
#   define XfOrM361_COUNT (0+XfOrM360_COUNT)
#   define SETUP_XfOrM361(x) SETUP_XfOrM360(x)
    if ((& ((Scheme_Toplevel * ) (v ) ) -> iso ) -> so . keyex & 0x1 ) {
#     define XfOrM362_COUNT (0+XfOrM361_COUNT)
#     define SETUP_XfOrM362(x) SETUP_XfOrM361(x)
      if (jitter -> nc ) {
        Scheme_Object * p ; 
        BLOCK_SETUP((PUSH(p, 0+XfOrM362_COUNT)));
#       define XfOrM363_COUNT (1+XfOrM362_COUNT)
#       define SETUP_XfOrM363(x) SETUP(XfOrM363_COUNT)
        p = NULLED_OUT ; 
        p = FUNCCALL(SETUP_XfOrM363(_), extract_global (v , jitter -> nc ) ); 
        p = ((Scheme_Bucket * ) p ) -> val ; 
        RET_VALUE_START (((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) RET_VALUE_END ; 
      }
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_nontail_self_setup (mz_jit_state * jitter ) {
  void * pp , * * pd ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(pp, 0), PUSH(pd, 1), PUSH(jitter, 2)));
# define XfOrM366_COUNT (3)
# define SETUP_XfOrM366(x) SETUP(XfOrM366_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  pp = NULLED_OUT ; 
  pd = NULLED_OUT ; 
  pp = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  pd = (void * * ) FUNCCALL(SETUP_XfOrM366(_), GC_malloc (2 * sizeof (void * ) ) ); 
  pd [0 ] = pp ; 
  pd [1 ] = jitter -> patch_depth ; 
  jitter -> patch_depth = pd ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((jitter -> self_nontail_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((jitter -> self_nontail_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  {
    int depth = jitter -> depth + jitter -> extra_pushed - 1 ; 
    ((! ((((unsigned ) (((((((depth ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((depth ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((depth ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((depth ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((depth ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((depth ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((depth ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((depth ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((depth ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_app (Scheme_App_Rec * app , Scheme_Object * * alt_rands , int num_rands , mz_jit_state * jitter , int is_tail , int multi_ok ) {
  int i , offset , need_safety = 0 ; 
  int direct_prim = 0 , need_non_tail = 0 , direct_native = 0 , direct_self = 0 , nontail_self = 0 ; 
  int proc_already_in_place = 0 ; 
  Scheme_Object * rator , * v , * arg ; 
  int reorder_ok = 0 ; 
  int args_already_in_place = 0 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(rator, 1), PUSH(alt_rands, 2), PUSH(arg, 3), PUSH(v, 4), PUSH(jitter, 5)));
# define XfOrM368_COUNT (6)
# define SETUP_XfOrM368(x) SETUP(XfOrM368_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  rator = NULLED_OUT ; 
  v = NULLED_OUT ; 
  arg = NULLED_OUT ; 
  ; 
  rator = (alt_rands ? alt_rands [0 ] : app -> args [0 ] ) ; 
  if (((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) ) {
#   define XfOrM438_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM438(x) SETUP_XfOrM368(x)
    if ((num_rands >= ((Scheme_Primitive_Proc * ) rator ) -> mina ) && ((num_rands <= ((Scheme_Primitive_Proc * ) rator ) -> mu . maxa ) || (((Scheme_Primitive_Proc * ) rator ) -> mina < 0 ) ) && (FUNCCALL(SETUP_XfOrM438(_), is_noncm (rator , jitter , 0 , 0 ) )|| (multi_ok && ((rator ) == (scheme_values_func ) ) ) ) )
      direct_prim = 1 ; 
  }
  else {
    Scheme_Type t ; 
#   define XfOrM424_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM424(x) SETUP_XfOrM368(x)
    t = ((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ; 
    if ((t == scheme_local_type ) && FUNCCALL(SETUP_XfOrM424(_), ok_to_move_local (rator ) )) {
#     define XfOrM434_COUNT (0+XfOrM424_COUNT)
#     define SETUP_XfOrM434(x) SETUP_XfOrM424(x)
      reorder_ok = 1 ; 
      {
        int pos , flags ; 
#       define XfOrM435_COUNT (0+XfOrM434_COUNT)
#       define SETUP_XfOrM435(x) SETUP_XfOrM434(x)
        pos = (((Scheme_Local * ) (rator ) ) -> position ) - num_rands ; 
        if (FUNCCALL(SETUP_XfOrM435(_), mz_is_closure (jitter , pos , num_rands , & flags ) )) {
          direct_native = 1 ; 
          if ((pos == jitter -> self_pos ) && (num_rands < 25 ) ) {
            if (is_tail )
              direct_self = 1 ; 
            else if (jitter -> self_nontail_code )
              nontail_self = 1 ; 
          }
        }
      }
    }
    else if ((t == scheme_toplevel_type ) && ((& ((Scheme_Toplevel * ) (rator ) ) -> iso ) -> so . keyex & 0x1 ) ) {
#     define XfOrM429_COUNT (0+XfOrM424_COUNT)
#     define SETUP_XfOrM429(x) SETUP_XfOrM424(x)
      reorder_ok = 1 ; 
      if (jitter -> nc ) {
        Scheme_Object * p ; 
        BLOCK_SETUP((PUSH(p, 0+XfOrM429_COUNT)));
#       define XfOrM430_COUNT (1+XfOrM429_COUNT)
#       define SETUP_XfOrM430(x) SETUP(XfOrM430_COUNT)
        p = NULLED_OUT ; 
        p = FUNCCALL(SETUP_XfOrM430(_), extract_global (rator , jitter -> nc ) ); 
        p = ((Scheme_Bucket * ) p ) -> val ; 
        if (((Scheme_Type ) (((((long ) (p ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (p ) ) -> type ) ) == (Scheme_Type ) (scheme_native_closure_type ) ) ) {
#         define XfOrM431_COUNT (0+XfOrM430_COUNT)
#         define SETUP_XfOrM431(x) SETUP_XfOrM430(x)
          if (FUNCCALL(SETUP_XfOrM431(_), scheme_native_arity_check (p , num_rands ) )&& ! FUNCCALL(SETUP_XfOrM431(_), scheme_native_arity_check (p , num_rands + 1 ) )) {
            direct_native = 1 ; 
            if (((((Scheme_Toplevel * ) (rator ) ) -> position ) == jitter -> self_toplevel_pos ) && (num_rands < 25 ) ) {
              if (is_tail )
                direct_self = 1 ; 
              else if (jitter -> self_nontail_code )
                nontail_self = 1 ; 
            }
          }
        }
      }
    }
    else if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_closure_type ) ) ) {
      Scheme_Closure_Data * data ; 
      data = NULLED_OUT ; 
      data = ((Scheme_Closure * ) rator ) -> code ; 
      if ((data -> num_params == num_rands ) && ! ((& (data ) -> iso ) -> so . keyex & 1 ) ) {
        direct_native = 1 ; 
        if (((data -> u . jit_clone ) == (jitter -> self_data ) ) && (num_rands < 25 ) ) {
          if (is_tail )
            direct_self = 1 ; 
          else if (jitter -> self_nontail_code )
            nontail_self = 1 ; 
        }
      }
      reorder_ok = 1 ; 
    }
    else if (t > _scheme_values_types_ ) {
      reorder_ok = 1 ; 
    }
    if (nontail_self )
      direct_self = 1 ; 
    if (direct_self )
      reorder_ok = 0 ; 
  }
  if (direct_native && is_tail && num_rands && (num_rands == jitter -> self_data -> num_params ) && ! ((& (jitter -> self_data ) -> iso ) -> so . keyex & 1 ) ) {
#   define XfOrM418_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM418(x) SETUP_XfOrM368(x)
    FUNCCALL(SETUP_XfOrM418(_), mz_runstack_skipped (jitter , num_rands ) ); 
    for (i = 0 ; i < num_rands ; i ++ ) {
#     define XfOrM422_COUNT (0+XfOrM418_COUNT)
#     define SETUP_XfOrM422(x) SETUP_XfOrM418(x)
      v = (alt_rands ? alt_rands [i + 1 ] : app -> args [i + 1 ] ) ; 
      if (((Scheme_Type ) (((((long ) (v ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (v ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) && ! ((& ((Scheme_Local * ) (v ) ) -> iso ) -> so . keyex & 0x2 ) ) {
        int pos ; 
#       define XfOrM423_COUNT (0+XfOrM422_COUNT)
#       define SETUP_XfOrM423(x) SETUP_XfOrM422(x)
        pos = FUNCCALL(SETUP_XfOrM423(_), mz_remap_it (jitter , (((Scheme_Local * ) (v ) ) -> position ) ) ); 
        if (pos == (jitter -> depth + args_already_in_place ) )
          args_already_in_place ++ ; 
        else break ; 
      }
      else break ; 
    }
    FUNCCALL(SETUP_XfOrM418(_), mz_runstack_unskipped (jitter , num_rands ) ); 
    if (args_already_in_place ) {
#     define XfOrM419_COUNT (0+XfOrM418_COUNT)
#     define SETUP_XfOrM419(x) SETUP_XfOrM418(x)
      direct_native = 2 ; 
      FUNCCALL(SETUP_XfOrM419(_), mz_runstack_skipped (jitter , args_already_in_place ) ); 
      num_rands -= args_already_in_place ; 
    }
  }
  if (num_rands ) {
#   define XfOrM415_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM415(x) SETUP_XfOrM368(x)
    if (! direct_prim || (num_rands > 1 ) ) {
#     define XfOrM417_COUNT (0+XfOrM415_COUNT)
#     define SETUP_XfOrM417(x) SETUP_XfOrM415(x)
      ((! ((((unsigned ) ((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((num_rands ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      need_safety = num_rands ; 
      ; 
      FUNCCALL(SETUP_XfOrM417(_), mz_runstack_pushed (jitter , num_rands ) ); 
    }
    else {
#     define XfOrM416_COUNT (0+XfOrM415_COUNT)
#     define SETUP_XfOrM416(x) SETUP_XfOrM415(x)
      FUNCCALL(SETUP_XfOrM416(_), mz_runstack_skipped (jitter , 1 ) ); 
    }
  }
  for (i = num_rands + args_already_in_place + 1 ; i -- ; ) {
#   define XfOrM413_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM413(x) SETUP_XfOrM368(x)
    v = (alt_rands ? alt_rands [i ] : app -> args [i ] ) ; 
    if (! FUNCCALL(SETUP_XfOrM413(_), is_simple (v , 10 , 1 , jitter , 0 ) )) {
      need_non_tail = 1 ; 
      break ; 
    }
  }
  if (need_non_tail ) {
#   define XfOrM410_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM410(x) SETUP_XfOrM368(x)
    offset = FUNCCALL(SETUP_XfOrM410(_), generate_non_tail_mark_pos_prefix (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else offset = 0 ; 
  if (! direct_prim && ! reorder_ok && ! direct_self ) {
#   define XfOrM404_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM404(x) SETUP_XfOrM368(x)
    if (need_safety && ! FUNCCALL(SETUP_XfOrM404(_), is_non_gc (rator , 10 ) )) {
#     define XfOrM409_COUNT (0+XfOrM404_COUNT)
#     define SETUP_XfOrM409(x) SETUP_XfOrM404(x)
      FUNCCALL(SETUP_XfOrM409(_), stack_safety (jitter , need_safety , offset ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      need_safety = 0 ; 
    }
    FUNCCALL(SETUP_XfOrM404(_), generate_non_tail (rator , jitter , 0 , ! need_non_tail ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (num_rands ) {
      Scheme_Type t ; 
      t = ((((long ) ((alt_rands ? alt_rands [1 + args_already_in_place ] : app -> args [1 + args_already_in_place ] ) ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) ((alt_rands ? alt_rands [1 + args_already_in_place ] : app -> args [1 + args_already_in_place ] ) ) ) -> type ) ; 
      if ((num_rands == 1 ) && (((Scheme_Type ) (scheme_local_type ) == (Scheme_Type ) (t ) ) || (t >= _scheme_values_types_ ) ) ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        proc_already_in_place = 1 ; 
      }
      else {
        ((! ((((unsigned ) (((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((num_rands - 1 + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (need_safety )
          need_safety -- ; 
      }
    }
    else {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
  }
  for (i = 0 ; i < num_rands ; i ++ ) {
#   define XfOrM400_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM400(x) SETUP_XfOrM368(x)
    ; 
    arg = (alt_rands ? alt_rands [i + 1 + args_already_in_place ] : app -> args [i + 1 + args_already_in_place ] ) ; 
    if (need_safety && ! FUNCCALL(SETUP_XfOrM400(_), is_non_gc (arg , 10 ) )) {
#     define XfOrM403_COUNT (0+XfOrM400_COUNT)
#     define SETUP_XfOrM403(x) SETUP_XfOrM400(x)
      FUNCCALL(SETUP_XfOrM403(_), stack_safety (jitter , need_safety - i , offset + i ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      need_safety = 0 ; 
    }
    FUNCCALL(SETUP_XfOrM400(_), generate_non_tail (arg , jitter , 0 , ! need_non_tail ) ); 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if ((i == num_rands - 1 ) && ! direct_prim && ! reorder_ok && ! direct_self && ! proc_already_in_place ) {
      ((! ((((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    if ((! direct_prim || (num_rands > 1 ) ) && (! direct_self || ! is_tail || (i + 1 < num_rands ) ) ) {
      ((! ((((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i + offset ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i + offset ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i + offset ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
  }
  if (need_non_tail ) {
#   define XfOrM395_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM395(x) SETUP_XfOrM368(x)
    FUNCCALL(SETUP_XfOrM395(_), generate_non_tail_mark_pos_suffix (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  if (direct_prim ) {
#   define XfOrM391_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM391(x) SETUP_XfOrM368(x)
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (num_rands == 1 ) {
#     define XfOrM394_COUNT (0+XfOrM391_COUNT)
#     define SETUP_XfOrM394(x) SETUP_XfOrM391(x)
      FUNCCALL(SETUP_XfOrM394(_), mz_runstack_unskipped (jitter , 1 ) ); 
    }
    else {
      if (jitter -> need_set_rs ) {
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
    }
    ; 
  }
  if (reorder_ok ) {
#   define XfOrM390_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM390(x) SETUP_XfOrM368(x)
    FUNCCALL(SETUP_XfOrM390(_), generate (rator , jitter , 0 , 0 , (31 - (1 ) ) ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  ; 
  if (direct_prim || direct_native || direct_self || nontail_self )
    scheme_direct_call_count ++ ; 
  else scheme_indirect_call_count ++ ; 
  if (! (direct_self && is_tail ) && (num_rands >= 25 ) ) {
#   define XfOrM382_COUNT (0+XfOrM368_COUNT)
#   define SETUP_XfOrM382(x) SETUP_XfOrM368(x)
    ; 
    if (is_tail ) {
#     define XfOrM386_COUNT (0+XfOrM382_COUNT)
#     define SETUP_XfOrM386(x) SETUP_XfOrM382(x)
      if (direct_prim ) {
#       define XfOrM389_COUNT (0+XfOrM386_COUNT)
#       define SETUP_XfOrM389(x) SETUP_XfOrM386(x)
        FUNCCALL(SETUP_XfOrM389(_), generate_direct_prim_tail_call (jitter , num_rands ) ); 
      }
      else {
#       define XfOrM387_COUNT (0+XfOrM386_COUNT)
#       define SETUP_XfOrM387(x) SETUP_XfOrM386(x)
        if (args_already_in_place ) {
          ((! ((((unsigned ) (((args_already_in_place ) ) ) ) ^ (((unsigned ) (((args_already_in_place ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        FUNCCALL(SETUP_XfOrM387(_), generate_tail_call (jitter , num_rands , direct_native , jitter -> need_set_rs ) ); 
      }
    }
    else {
#     define XfOrM383_COUNT (0+XfOrM382_COUNT)
#     define SETUP_XfOrM383(x) SETUP_XfOrM382(x)
      if (direct_prim )
        FUNCCALL(SETUP_XfOrM383(_), generate_direct_prim_non_tail_call (jitter , num_rands , multi_ok , 0 ) ); 
      else {
#       define XfOrM384_COUNT (0+XfOrM383_COUNT)
#       define SETUP_XfOrM384(x) SETUP_XfOrM383(x)
        if (nontail_self ) {
#         define XfOrM385_COUNT (0+XfOrM384_COUNT)
#         define SETUP_XfOrM385(x) SETUP_XfOrM384(x)
          FUNCCALL(SETUP_XfOrM385(_), generate_nontail_self_setup (jitter ) ); 
        }
        FUNCCALL(SETUP_XfOrM384(_), generate_non_tail_call (jitter , num_rands , direct_native , jitter -> need_set_rs , multi_ok , nontail_self , 0 ) ); 
      }
    }
  }
  else {
    void * code ; 
    int dp = (direct_prim ? 1 : (direct_native ? (1 + direct_native + (nontail_self ? 1 : 0 ) ) : 0 ) ) ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM368_COUNT)));
#   define XfOrM369_COUNT (1+XfOrM368_COUNT)
#   define SETUP_XfOrM369(x) SETUP(XfOrM369_COUNT)
    code = NULLED_OUT ; 
    if (is_tail ) {
#     define XfOrM377_COUNT (0+XfOrM369_COUNT)
#     define SETUP_XfOrM377(x) SETUP_XfOrM369(x)
      if (! shared_tail_code [dp ] [num_rands ] ) {
#       define XfOrM381_COUNT (0+XfOrM377_COUNT)
#       define SETUP_XfOrM381(x) SETUP_XfOrM377(x)
        code = FUNCCALL(SETUP_XfOrM381(_), generate_shared_call (num_rands , jitter , multi_ok , is_tail , direct_prim , direct_native , 0 ) ); 
        shared_tail_code [dp ] [num_rands ] = code ; 
      }
      code = shared_tail_code [dp ] [num_rands ] ; 
      if (direct_self ) {
#       define XfOrM380_COUNT (0+XfOrM377_COUNT)
#       define SETUP_XfOrM380(x) SETUP_XfOrM377(x)
        ; 
        FUNCCALL(SETUP_XfOrM380(_), generate_self_tail_call (rator , jitter , num_rands , code , args_already_in_place ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
        ; 
        if (args_already_in_place ) {
          ((! ((((unsigned ) (((args_already_in_place ) ) ) ) ^ (((unsigned ) (((args_already_in_place ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((args_already_in_place ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        (void ) ((((! ((((unsigned ) (((_ul ) ((code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
    }
    else {
      int mo = (multi_ok ? 1 : 0 ) ; 
#     define XfOrM370_COUNT (0+XfOrM369_COUNT)
#     define SETUP_XfOrM370(x) SETUP_XfOrM369(x)
      if (! shared_non_tail_code [dp ] [num_rands ] [mo ] ) {
#       define XfOrM376_COUNT (0+XfOrM370_COUNT)
#       define SETUP_XfOrM376(x) SETUP_XfOrM370(x)
        FUNCCALL(SETUP_XfOrM376(_), ensure_retry_available (jitter , multi_ok ) ); 
        code = FUNCCALL(SETUP_XfOrM376(_), generate_shared_call (num_rands , jitter , multi_ok , is_tail , direct_prim , direct_native , nontail_self ) ); 
        shared_non_tail_code [dp ] [num_rands ] [mo ] = code ; 
      }
      ; 
      code = shared_non_tail_code [dp ] [num_rands ] [mo ] ; 
      if (nontail_self ) {
#       define XfOrM375_COUNT (0+XfOrM370_COUNT)
#       define SETUP_XfOrM375(x) SETUP_XfOrM370(x)
        FUNCCALL(SETUP_XfOrM375(_), generate_nontail_self_setup (jitter ) ); 
      }
      (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
      if (direct_prim ) {
        if (num_rands == 1 ) {
          jitter -> need_set_rs = 1 ; 
        }
        else {
          jitter -> need_set_rs = 0 ; 
        }
      }
      else {
        jitter -> need_set_rs = 1 ; 
      }
    }
  }
  ; 
  RET_VALUE_START (is_tail ? 2 : 1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static jit_insn * generate_arith_slow_path (mz_jit_state * jitter , Scheme_Object * rator , jit_insn * * _ref , jit_insn * * _ref4 , jit_insn * * for_branch , int orig_args , int reversed , int arith , int use_v , int v ) {
  /* No conversion */
  jit_insn * ref , * ref4 , * refslow ; 
  refslow = (jitter -> js ) . x . pc ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (for_branch ) {
    ref4 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  else ref4 = ((void * ) 0 ) ; 
  ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (orig_args == 1 ) {
    if (for_branch ) {
      (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_unary_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_unary_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_unary_arith_for_branch_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_unary_arith_for_branch_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_unary_arith_for_branch_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_unary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_unary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_unary_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_unary_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_unary_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
  }
  else {
    if (use_v ) {
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      reversed = ! reversed ; 
    }
    if (for_branch ) {
      if (reversed ) {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_rev_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_rev_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_rev_arith_for_branch_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_for_branch_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_for_branch_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_arith_for_branch_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_arith_for_branch_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_for_branch_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_for_branch_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
    }
    else {
      if (reversed ) {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_rev_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
    }
  }
  * _ref = ref ; 
  * _ref4 = ref4 ; 
  if (arith == 6 ) {
    ref = (jitter -> js ) . x . pc ; 
    if (reversed || use_v ) {
      ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    (void ) ((((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    return ref ; 
  }
  else {
    return refslow ; 
  }
}
static int can_fast_double (int arith , int cmp , int two_args ) {
  /* No conversion */
  if ((arith == 1 ) || (arith == - 1 ) || (arith == 2 ) || (arith == - 2 ) || (arith == 11 ) )
    return 1 ; 
  if (! arith || ((arith == 9 ) && two_args ) || ((arith == 10 ) && two_args ) )
    return 1 ; 
  return 0 ; 
}
static int generate_double_arith (mz_jit_state * jitter , int arith , int cmp , int reversed , int two_args , int second_const , jit_insn * * _refd , jit_insn * * _refdt , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref8 , * ref9 , * ref10 , * refd , * refdt ; 
  int no_alloc = 0 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(_refdt, 0), PUSH(jitter, 1), PUSH(_refd, 2)));
# define XfOrM459_COUNT (3)
# define SETUP_XfOrM459(x) SETUP(XfOrM459_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (two_args ) {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ref8 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else ref8 = ((void * ) 0 ) ; 
  ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ref9 = (((! ((((unsigned ) ((((((scheme_double_type ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_double_type ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_double_type ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_double_type ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (two_args ) {
    ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref10 = (((! ((((unsigned ) ((((((scheme_double_type ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_double_type ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_double_type ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_double_type ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_double_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else ref10 = ((void * ) 0 ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  if (! two_args && ! second_const && ((arith == 2 ) || ((arith == - 2 ) && reversed ) ) ) {
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
#   define XfOrM465_COUNT (0+XfOrM459_COUNT)
#   define SETUP_XfOrM465(x) SETUP_XfOrM459(x)
    ((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (50 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (599 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (two_args ) {
      ((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (50 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (599 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    }
    else if ((arith == - 1 ) && ! second_const && reversed ) {
      reversed = 0 ; 
    }
    else if (arith == 11 ) {
    }
    else {
      double d = second_const ; 
#     define XfOrM480_COUNT (0+XfOrM465_COUNT)
#     define SETUP_XfOrM480(x) SETUP_XfOrM465(x)
      do {
        double _v = (d ) ; 
#       define XfOrM482_COUNT (0+XfOrM480_COUNT)
#       define SETUP_XfOrM482(x) SETUP_XfOrM480(x)
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (12 ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        (memcpy ((jitter -> js ) . x . uc_pc , & _v , sizeof (double ) ) ) ; 
        (jitter -> js ) . x . uc_pc += sizeof (double ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((0 ) ) ) ^ (((unsigned ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (50 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((0 ) ) ) ^ (((unsigned ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (599 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
      }
      while (0 ) ; 
      reversed = ! reversed ; 
      cmp = - cmp ; 
    }
    if (arith ) {
#     define XfOrM470_COUNT (0+XfOrM465_COUNT)
#     define SETUP_XfOrM470(x) SETUP_XfOrM465(x)
      switch (arith ) {
        case 1 : ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (21 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        break ; 
        case 2 : ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (25 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        break ; 
        case - 2 : if (reversed )
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (18 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        else ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (18 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        break ; 
        case - 1 : {
          if (! two_args && ! second_const && ! reversed ) {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          else if (reversed )
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          else ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((8 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        }
        break ; 
        case 9 : case 10 : {
          GC_CAN_IGNORE jit_insn * refc , * refn ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 0 ; 
          }
          ; 
          refn = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refn - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refn - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refn - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refn - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refn - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refn - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refn - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          if (arith == 9 ) {
            refc = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (449 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          }
          else {
            refc = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          }
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 1 ; 
          }
          ; 
          no_alloc = 1 ; 
        }
        break ; 
        case 11 : ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (264 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        break ; 
        default : break ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! no_alloc ) {
#       define XfOrM471_COUNT (0+XfOrM470_COUNT)
#       define SETUP_XfOrM471(x) SETUP_XfOrM470(x)
        FUNCCALL(SETUP_XfOrM471(_), inline_alloc (jitter , sizeof (Scheme_Double ) , scheme_double_type , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((! ((((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        (void ) ((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (54 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Double * ) 0x0 ) -> double_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (54 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
    }
    else {
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      switch (cmp ) {
        case - 2 : refd = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case - 1 : refd = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (449 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case 0 : refd = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case 1 : refd = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (449 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        case 2 : refd = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (63 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (3 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((8 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((8 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        break ; 
        default : refd = ((void * ) 0 ) ; 
        break ; 
      }
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      * _refd = refd ; 
    }
  }
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  refdt = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  * _refdt = refdt ; 
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (two_args ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref8 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref8 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref8 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref8 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref8 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref8 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref8 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref10 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref10 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref10 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref10 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref10 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref10 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref10 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref9 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref9 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref9 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref9 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref9 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref9 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref9 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_arith (mz_jit_state * jitter , Scheme_Object * rator , Scheme_Object * rand , Scheme_Object * rand2 , int orig_args , int arith , int cmp , int v , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 , * refd = ((void * ) 0 ) , * refdt = ((void * ) 0 ) , * refslow ; 
  int skipped , simple_rand , simple_rand2 , reversed = 0 , has_fixnum_fast = 1 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(rator, 0), PUSH(rand, 1), PUSH(for_branch, 2), PUSH(jitter, 3), PUSH(rand2, 4)));
# define XfOrM491_COUNT (5)
# define SETUP_XfOrM491(x) SETUP(XfOrM491_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  if (rand2 ) {
#   define XfOrM595_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM595(x) SETUP_XfOrM491(x)
    if ((((long ) (rand2 ) ) & 0x1 ) && 1 && ((arith != 6 ) || (((((long ) (rand2 ) ) >> 1 ) <= 30 ) && ((((long ) (rand2 ) ) >> 1 ) >= - 30 ) ) ) && ((cmp != 3 ) || (((((long ) (rand2 ) ) >> 1 ) <= 30 ) && ((((long ) (rand2 ) ) >> 1 ) >= 0 ) ) ) ) {
      v = (((long ) (rand2 ) ) >> 1 ) ; 
      rand2 = ((void * ) 0 ) ; 
    }
    else if ((((long ) (rand ) ) & 0x1 ) && 1 && (arith != 6 ) && (cmp != 3 ) ) {
      v = (((long ) (rand ) ) >> 1 ) ; 
      cmp = - cmp ; 
      rand = rand2 ; 
      rand2 = ((void * ) 0 ) ; 
      reversed = 1 ; 
    }
    else if ((FUNCCALL(SETUP_XfOrM595(_), ok_to_move_local (rand2 ) )|| (((long ) (rand2 ) ) & 0x1 ) ) && ! (FUNCCALL(SETUP_XfOrM595(_), ok_to_move_local (rand ) )|| (((long ) (rand ) ) & 0x1 ) ) ) {
      Scheme_Object * t = rand2 ; 
      rand2 = rand ; 
      rand = t ; 
      cmp = - cmp ; 
      reversed = 1 ; 
    }
  }
  if ((arith == - 1 ) && (orig_args == 1 ) && ! v ) {
    reversed = 1 ; 
  }
  if (rand2 ) {
#   define XfOrM593_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM593(x) SETUP_XfOrM491(x)
    simple_rand = (FUNCCALL(SETUP_XfOrM593(_), ok_to_move_local (rand ) )|| (((long ) (rand ) ) & 0x1 ) ) ; 
    if (! simple_rand )
      simple_rand2 = ((Scheme_Type ) (((((long ) (rand2 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rand2 ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) ; 
    else simple_rand2 = 0 ; 
  }
  else {
    simple_rand = 0 ; 
    simple_rand2 = 0 ; 
  }
  if (rand2 && ! simple_rand && ! simple_rand2 )
    skipped = orig_args - 1 ; 
  else skipped = orig_args ; 
  FUNCCALL(SETUP_XfOrM491(_), mz_runstack_skipped (jitter , skipped ) ); 
  if (rand2 && ! simple_rand && ! simple_rand2 ) {
#   define XfOrM591_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM591(x) SETUP_XfOrM491(x)
    FUNCCALL(SETUP_XfOrM591(_), mz_runstack_skipped (jitter , 1 ) ); 
    FUNCCALL(SETUP_XfOrM591(_), generate_non_tail (rand , jitter , 0 , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM591(_), mz_runstack_unskipped (jitter , 1 ) ); 
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM591(_), mz_runstack_pushed (jitter , 1 ) ); 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  }
  if (simple_rand2 ) {
#   define XfOrM589_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM589(x) SETUP_XfOrM491(x)
    if (((Scheme_Type ) (((((long ) (rand ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rand ) ) -> type ) ) == (Scheme_Type ) (scheme_local_type ) ) )
      FUNCCALL(SETUP_XfOrM589(_), generate (rand , jitter , 0 , 0 , (9 + (1 ) ) ) ); 
    else {
#     define XfOrM590_COUNT (0+XfOrM589_COUNT)
#     define SETUP_XfOrM590(x) SETUP_XfOrM589(x)
      FUNCCALL(SETUP_XfOrM590(_), generate_non_tail (rand , jitter , 0 , 1 ) ); 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM589(_), generate (rand2 , jitter , 0 , 0 , (9 + (0 ) ) ) ); 
  }
  else {
#   define XfOrM588_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM588(x) SETUP_XfOrM491(x)
    FUNCCALL(SETUP_XfOrM588(_), generate_non_tail (rand2 ? rand2 : rand , jitter , 0 , 1 ) ); 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (arith == 2 ) {
    if (rand2 || ((v != 0 ) && (v != 1 ) ) )
      has_fixnum_fast = 0 ; 
  }
  else if (arith == - 2 ) {
    if (rand2 || (v != 1 ) || reversed )
      has_fixnum_fast = 0 ; 
  }
  if (simple_rand || simple_rand2 ) {
    int pos , va ; 
#   define XfOrM573_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM573(x) SETUP_XfOrM491(x)
    if (simple_rand && (((long ) (rand ) ) & 0x1 ) ) {
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((rand ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((rand ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      va = (9 + (0 ) ) ; 
    }
    else {
#     define XfOrM583_COUNT (0+XfOrM573_COUNT)
#     define SETUP_XfOrM583(x) SETUP_XfOrM573(x)
      if (simple_rand ) {
#       define XfOrM584_COUNT (0+XfOrM583_COUNT)
#       define SETUP_XfOrM584(x) SETUP_XfOrM583(x)
        pos = FUNCCALL(SETUP_XfOrM584(_), mz_remap_it (jitter , (((Scheme_Local * ) (rand ) ) -> position ) ) ); 
        ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      va = (9 + (2 ) ) ; 
    }
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ref2 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((va ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((va ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if (! (((long ) (rand ) ) & 0x1 ) && FUNCCALL(SETUP_XfOrM573(_), can_fast_double (arith , cmp , 1 ) )) {
#     define XfOrM580_COUNT (0+XfOrM573_COUNT)
#     define SETUP_XfOrM580(x) SETUP_XfOrM573(x)
      FUNCCALL(SETUP_XfOrM580(_), generate_double_arith (jitter , arith , cmp , reversed , 1 , 0 , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM573(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 0 , 0 ) ); 
    if (has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else if (rand2 ) {
#   define XfOrM563_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM563(x) SETUP_XfOrM491(x)
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM563(_), mz_runstack_popped (jitter , 1 ) ); 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ref2 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (FUNCCALL(SETUP_XfOrM563(_), can_fast_double (arith , cmp , 1 ) )) {
#     define XfOrM570_COUNT (0+XfOrM563_COUNT)
#     define SETUP_XfOrM570(x) SETUP_XfOrM563(x)
      FUNCCALL(SETUP_XfOrM570(_), generate_double_arith (jitter , arith , cmp , reversed , 1 , 0 , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM563(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 0 , 0 ) ); 
    if (has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
#   define XfOrM553_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM553(x) SETUP_XfOrM491(x)
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ref2 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if ((orig_args != 2 ) && FUNCCALL(SETUP_XfOrM553(_), can_fast_double (arith , cmp , 0 ) )&& ((arith != - 2 ) || v || reversed ) ) {
#     define XfOrM560_COUNT (0+XfOrM553_COUNT)
#     define SETUP_XfOrM560(x) SETUP_XfOrM553(x)
      FUNCCALL(SETUP_XfOrM560(_), generate_double_arith (jitter , arith , cmp , reversed , 0 , v , & refd , & refdt , branch_short ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    if (! has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    refslow = FUNCCALL(SETUP_XfOrM553(_), generate_arith_slow_path (jitter , rator , & ref , & ref4 , for_branch , orig_args , reversed , arith , 1 , v ) ); 
    if (has_fixnum_fast ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM491(_), mz_runstack_unskipped (jitter , skipped ) ); 
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (arith ) {
    if (rand2 ) {
      if (arith == 1 ) {
        ((! (((unsigned ) ((((((~ 0x1 ) ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((~ 0x1 ) ) ) ) ) ) ^ (((unsigned ) (((((~ 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == - 1 ) {
        if (reversed ) {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (8 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (8 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        ((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 2 ) {
        if (has_fixnum_fast ) {
          (void ) ((((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else if (arith == - 2 ) {
        if (has_fixnum_fast ) {
          (void ) ((((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
      }
      else if (arith == 3 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 4 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 5 ) {
        ((! (((unsigned ) ((((((~ 0x1 ) ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((~ 0x1 ) ) ) ) ) ) ^ (((unsigned ) (((((~ 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((~ 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (316 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == 6 ) {
        int v1 = (reversed ? (9 + (0 ) ) : (9 + (1 ) ) ) ; 
        int v2 = (reversed ? (9 + (1 ) ) : (9 + (0 ) ) ) ; 
        jit_insn * refi , * refc ; 
        refi = NULLED_OUT ; 
        refc = NULLED_OUT ; 
        refi = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        (void ) (((! ((((unsigned ) ((((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((Scheme_Object * ) (void * ) (long ) ((((long ) (- 30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((! (((unsigned ) ((((~ 0L ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (26 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((v2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((~ 0L ) ) ) ) ^ (((unsigned ) (((~ 0L ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0L ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((v2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (316 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (31 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (792 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        refc = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refi - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refi - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refi - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refi - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refi - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refi - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refi - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        (void ) (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((v2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! (((unsigned ) (((((~ 0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((~ 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (31 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((v1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (24 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (31 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (792 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((v1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((refslow ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (refc - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
      }
      else if (arith == 9 ) {
        jit_insn * refc ; 
        refc = NULLED_OUT ; 
        ; 
        refc = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ; 
      }
      else if (arith == 10 ) {
        jit_insn * refc ; 
        refc = NULLED_OUT ; 
        ; 
        refc = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ; 
      }
    }
    else {
      if (arith == 1 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        (void ) (((! ((((unsigned ) (((v << 1 ) ) ) ) ^ (((unsigned ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((v << 1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else if (arith == - 1 ) {
        if (reversed ) {
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (8 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((! ((((unsigned ) (((((0x1 ) ) ) ) ) ) ^ (((unsigned ) (((((0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          (void ) (((! ((((unsigned ) (((v << 1 ) ) ) ) ^ (((unsigned ) (((v << 1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((v << 1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((v << 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (8 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((0 ) << 2 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (512 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        }
      }
      else if (arith == 2 ) {
        if (v == 1 ) {
        }
        else if (v == 0 ) {
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          if (has_fixnum_fast ) {
            (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            (void ) ((((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          }
        }
      }
      else if (arith == - 2 ) {
        if ((v == 1 ) && ! reversed ) {
        }
        else {
          if (has_fixnum_fast ) {
            (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            (void ) ((((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          }
        }
      }
      else {
        if (arith == 3 ) {
          long l = (long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
          ((! (((unsigned ) (((((l ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((l ) ) ) ) ) ^ (((unsigned ) ((((l ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((l ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 4 ) {
          long l = (long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
          ((! (((unsigned ) (((((l ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((l ) ) ) ) ) ^ (((unsigned ) ((((l ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((l ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((l ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 5 ) {
          ((! (((unsigned ) (((((v << 1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (26 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((v << 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((v << 1 ) ) ) ) ) ^ (((unsigned ) ((((v << 1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((v << 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((v << 1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((v << 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((v << 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (316 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 6 ) {
          if (v <= 0 ) {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((- v ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          }
          else {
            ((! (((unsigned ) (((((~ 0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((~ 0x1 ) ) ) ) ) ^ (((unsigned ) ((((~ 0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((~ 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((~ 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((v ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((v ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((v ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((refslow ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          }
        }
        else if (arith == 7 ) {
          ((! (((unsigned ) ((((~ 0L ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (26 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((~ 0L ) ) ) ) ^ (((unsigned ) (((~ 0L ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0L ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0L ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (316 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else if (arith == 9 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          ; 
          refc = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          ; 
        }
        else if (arith == 10 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          ; 
          refc = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          ; 
        }
        else if (arith == 11 ) {
          jit_insn * refc ; 
          refc = NULLED_OUT ; 
          ; 
          refc = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (0 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ; 
          (void ) (((! ((((unsigned ) (((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((void * ) (((long ) 1 << ((8 * (1 << 2 ) ) - 1 ) ) | 0x1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((refslow ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refc - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refc - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refc - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refc - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refc - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refc - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
      }
    }
    if (refdt )
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refdt - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refdt - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refdt - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refdt - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refdt - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (refdt - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (refdt - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
    (* ((ref ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref ) - 2 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) , * ((ref ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref ) - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  else {
#   define XfOrM493_COUNT (0+XfOrM491_COUNT)
#   define SETUP_XfOrM493(x) SETUP_XfOrM491(x)
    switch (cmp ) {
#     define XfOrM496_COUNT (0+XfOrM493_COUNT)
#     define SETUP_XfOrM496(x) SETUP_XfOrM493(x)
      case - 3 : if (rand2 ) {
        (void ) (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        (void ) (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((((1 ) ) ) ) ) ^ (((unsigned ) ((((1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((1 ) ) ) ) ^ (((unsigned ) (((1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((1 ) ) ) ) ^ (((unsigned ) (((1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (31 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (24 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
#       define XfOrM509_COUNT (0+XfOrM496_COUNT)
#       define SETUP_XfOrM509(x) SETUP_XfOrM496(x)
        FUNCCALL_EMPTY(scheme_signal_error ("bitwise-bit-test? constant in wrong position" ) ); 
        ref3 = ((void * ) 0 ) ; 
      }
      break ; 
      case - 2 : if (rand2 ) {
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      case - 1 : if (rand2 ) {
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      case 0 : if (rand2 ) {
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      case 1 : if (rand2 ) {
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      case 2 : if (rand2 ) {
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
      default : case 3 : if (rand2 ) {
        (void ) (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        (void ) (((! ((((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) ^ (((unsigned ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((long ) ((Scheme_Object * ) (void * ) (long ) ((((long ) (30 ) ) << 1 ) | 0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((refslow ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((((1 ) ) ) ) ) ^ (((unsigned ) ((((1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((1 ) ) ) ) ^ (((unsigned ) (((1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((1 ) ) ) ) ^ (((unsigned ) (((1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (31 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (24 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        ref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        ref3 = (((! (((unsigned ) ((((1 << (v + 1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 << (v + 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((1 << (v + 1 ) ) ) ) ) ^ (((unsigned ) (((1 << (v + 1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 << (v + 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 << (v + 1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 << (v + 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 << (v + 1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      break ; 
    }
    if (refdt )
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refdt - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refdt - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refdt - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refdt - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refdt - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (refdt - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (refdt - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
    if (for_branch ) {
      for_branch [0 ] = ref3 ; 
      for_branch [1 ] = refd ; 
      for_branch [2 ] = ref ; 
      (* ((ref4 ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref4 ) - 2 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) , * ((ref4 ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref4 ) - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
    else {
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      if (refd )
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refd - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refd - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refd - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refd - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refd - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refd - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refd - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
      (* ((ref ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref ) - 2 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) , * ((ref ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((ref ) - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
  }
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_constant_test (mz_jit_state * jitter , Scheme_App2_Rec * app , Scheme_Object * cnst , Scheme_Object * cnst2 , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(cnst2, 1), PUSH(for_branch, 2), PUSH(jitter, 3), PUSH(cnst, 4)));
# define XfOrM599_COUNT (5)
# define SETUP_XfOrM599(x) SETUP(XfOrM599_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  FUNCCALL(SETUP_XfOrM599(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM599(_), mz_runstack_unskipped (jitter , 1 ) ); 
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (cnst2 ) {
    ref2 = (((! ((((unsigned ) ((((((cnst ) ) ) ) ) ) ) ^ (((unsigned ) ((((((cnst ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((cnst ) ) ) ) ) ) ^ (((unsigned ) (((((cnst ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref = (((! ((((unsigned ) ((((((cnst2 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((cnst2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((cnst2 ) ) ) ) ) ) ^ (((unsigned ) (((((cnst2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((cnst2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  else {
    ref = (((! ((((unsigned ) ((((((cnst ) ) ) ) ) ) ) ^ (((unsigned ) ((((((cnst ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((cnst ) ) ) ) ) ) ^ (((unsigned ) (((((cnst ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((cnst ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  if (for_branch ) {
    for_branch [0 ] = ref ; 
  }
  else {
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
  }
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_type_test (mz_jit_state * jitter , Scheme_App2_Rec * app , Scheme_Type lo_ty , Scheme_Type hi_ty , jit_insn * * for_branch , int branch_short ) {
  GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 ; 
  int int_ok ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(for_branch, 1), PUSH(jitter, 2)));
# define XfOrM606_COUNT (3)
# define SETUP_XfOrM606(x) SETUP(XfOrM606_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  int_ok = ((lo_ty <= scheme_integer_type ) && (scheme_integer_type <= hi_ty ) ) ; 
  ; 
  FUNCCALL(SETUP_XfOrM606(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  FUNCCALL(SETUP_XfOrM606(_), mz_runstack_unskipped (jitter , 1 ) ); 
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (lo_ty == hi_ty ) {
    ref3 = (((! ((((unsigned ) ((((((lo_ty ) ) ) ) ) ) ) ^ (((unsigned ) ((((((lo_ty ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((lo_ty ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((lo_ty ) ) ) ) ) ) ^ (((unsigned ) (((((lo_ty ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((lo_ty ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((lo_ty ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((lo_ty ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((lo_ty ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref4 = ((void * ) 0 ) ; 
  }
  else {
    ref3 = (((! (((unsigned ) (((((lo_ty ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (10 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((lo_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((lo_ty ) ) ) ) ) ^ (((unsigned ) ((((lo_ty ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((lo_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((lo_ty ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((lo_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((lo_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref4 = (((! (((unsigned ) (((((hi_ty ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (10 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((hi_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((hi_ty ) ) ) ) ) ^ (((unsigned ) ((((hi_ty ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((hi_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((hi_ty ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((hi_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((hi_ty ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  if (int_ok ) {
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  if (for_branch ) {
    if (! int_ok ) {
      for_branch [0 ] = ref ; 
    }
    for_branch [1 ] = ref3 ; 
    for_branch [3 ] = ref4 ; 
  }
  else {
    if ((lo_ty <= scheme_integer_type ) && (scheme_integer_type <= hi_ty ) ) {
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (! int_ok ) {
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    if (ref4 ) {
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref4 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref4 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref4 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref4 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref4 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
  }
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_struct_op (int kind , mz_jit_state * jitter , Scheme_Object * rator , Scheme_Object * rand , jit_insn * * for_branch , int branch_short ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(rand, 0), PUSH(rator, 1), PUSH(for_branch, 2), PUSH(jitter, 3)));
# define XfOrM618_COUNT (4)
# define SETUP_XfOrM618(x) SETUP(XfOrM618_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  FUNCCALL(SETUP_XfOrM618(_), mz_runstack_skipped (jitter , 1 ) ); 
  FUNCCALL(SETUP_XfOrM618(_), generate (rator , jitter , 0 , 0 , (9 + (0 ) ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (((Scheme_Type ) (scheme_local_type ) == (Scheme_Type ) (((((long ) (rand ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rand ) ) -> type ) ) ) ) {
#   define XfOrM623_COUNT (0+XfOrM618_COUNT)
#   define SETUP_XfOrM623(x) SETUP_XfOrM618(x)
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM623(_), generate (rand , jitter , 0 , 0 , (9 + (0 ) ) ) ); 
    FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 1 ) ); 
  }
  else {
#   define XfOrM622_COUNT (0+XfOrM618_COUNT)
#   define SETUP_XfOrM622(x) SETUP_XfOrM618(x)
    FUNCCALL(SETUP_XfOrM622(_), mz_runstack_unskipped (jitter , 1 ) ); 
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM622(_), mz_runstack_pushed (jitter , 1 ) ); 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM622(_), generate_non_tail (rand , jitter , 0 , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM622(_), mz_runstack_popped (jitter , 1 ) ); 
  }
  if (for_branch ) {
    for_branch [2 ] = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_pred_branch_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_pred_branch_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  else if (kind == 1 ) {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_pred_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_pred_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_get_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((struct_get_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_unary (mz_jit_state * jitter , Scheme_App2_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> rator ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(5);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(rator, 1), PUSH(for_branch, 2), PUSH(jitter, 3)));
# define XfOrM624_COUNT (4)
# define SETUP_XfOrM624(x) SETUP(XfOrM624_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  {
    int k ; 
#   define XfOrM722_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM722(x) SETUP_XfOrM624(x)
    k = FUNCCALL(SETUP_XfOrM722(_), inlineable_struct_prim (rator , jitter ) ); 
    if (k == 1 ) {
#     define XfOrM724_COUNT (0+XfOrM722_COUNT)
#     define SETUP_XfOrM724(x) SETUP_XfOrM722(x)
      FUNCCALL(SETUP_XfOrM724(_), generate_inlined_struct_op (1 , jitter , rator , app -> rand , for_branch , branch_short ) ); 
      scheme_direct_call_count ++ ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((k == 2 ) && ! for_branch ) {
#     define XfOrM723_COUNT (0+XfOrM722_COUNT)
#     define SETUP_XfOrM723(x) SETUP_XfOrM722(x)
      FUNCCALL(SETUP_XfOrM723(_), generate_inlined_struct_op (2 , jitter , rator , app -> rand , for_branch , branch_short ) ); 
      scheme_direct_call_count ++ ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 16384 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "not" ) ) ) ) {
#   define XfOrM721_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM721(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM721(_), generate_inlined_constant_test (jitter , app , scheme_false , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "null?" ) ) ) ) {
#   define XfOrM720_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM720(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM720(_), generate_inlined_constant_test (jitter , app , scheme_null , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "pair?" ) ) ) ) {
#   define XfOrM719_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM719(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM719(_), generate_inlined_type_test (jitter , app , scheme_pair_type , scheme_pair_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mpair?" ) ) ) ) {
#   define XfOrM718_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM718(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM718(_), generate_inlined_type_test (jitter , app , scheme_mutable_pair_type , scheme_mutable_pair_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "symbol?" ) ) ) ) {
#   define XfOrM717_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM717(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM717(_), generate_inlined_type_test (jitter , app , scheme_symbol_type , scheme_symbol_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "syntax?" ) ) ) ) {
#   define XfOrM716_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM716(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM716(_), generate_inlined_type_test (jitter , app , scheme_stx_type , scheme_stx_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "char?" ) ) ) ) {
#   define XfOrM715_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM715(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM715(_), generate_inlined_type_test (jitter , app , scheme_char_type , scheme_char_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "boolean?" ) ) ) ) {
#   define XfOrM714_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM714(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM714(_), generate_inlined_constant_test (jitter , app , scheme_false , scheme_true , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "number?" ) ) ) ) {
#   define XfOrM713_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM713(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM713(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_complex_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "real?" ) ) ) ) {
#   define XfOrM712_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM712(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM712(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_double_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-integer?" ) ) ) ) {
#   define XfOrM711_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM711(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM711(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_bignum_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "fixnum?" ) ) ) ) {
#   define XfOrM710_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM710(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM710(_), generate_inlined_type_test (jitter , app , scheme_integer_type , scheme_integer_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "inexact-real?" ) ) ) ) {
#   define XfOrM709_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM709(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM709(_), generate_inlined_type_test (jitter , app , scheme_double_type , scheme_double_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "procedure?" ) ) ) ) {
#   define XfOrM708_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM708(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM708(_), generate_inlined_type_test (jitter , app , scheme_prim_type , scheme_native_closure_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector?" ) ) ) ) {
#   define XfOrM707_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM707(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM707(_), generate_inlined_type_test (jitter , app , scheme_vector_type , scheme_vector_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "box?" ) ) ) ) {
#   define XfOrM706_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM706(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM706(_), generate_inlined_type_test (jitter , app , scheme_box_type , scheme_box_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string?" ) ) ) ) {
#   define XfOrM705_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM705(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM705(_), generate_inlined_type_test (jitter , app , scheme_char_string_type , scheme_char_string_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes?" ) ) ) ) {
#   define XfOrM704_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM704(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM704(_), generate_inlined_type_test (jitter , app , scheme_byte_string_type , scheme_byte_string_type , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "eof-object?" ) ) ) ) {
#   define XfOrM703_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM703(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM703(_), generate_inlined_constant_test (jitter , app , scheme_eof , ((void * ) 0 ) , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "zero?" ) ) ) ) {
#   define XfOrM702_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM702(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM702(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , 0 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "negative?" ) ) ) ) {
#   define XfOrM701_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM701(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM701(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , - 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "positive?" ) ) ) ) {
#   define XfOrM700_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM700(x) SETUP_XfOrM624(x)
    FUNCCALL(SETUP_XfOrM700(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 0 , 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-nonnegative-integer?" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-positive-integer?" ) ) ) ) {
    GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref4 ; 
#   define XfOrM687_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM687(x) SETUP_XfOrM624(x)
    ; 
    FUNCCALL(SETUP_XfOrM687(_), mz_runstack_skipped (jitter , 1 ) ); 
    FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM687(_), mz_runstack_unskipped (jitter , 1 ) ); 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref2 = (((! ((((unsigned ) ((((((scheme_bignum_type ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_bignum_type ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_bignum_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_bignum_type ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_bignum_type ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_bignum_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_bignum_type ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_bignum_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_bignum_type ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) (((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ^ (((unsigned ) (((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref3 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (1 ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (1 ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "exact-nonnegative-integer?" ) ) ) ) {
      ref4 = (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      ref4 = (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    if (for_branch ) {
      for_branch [0 ] = ref2 ; 
      for_branch [1 ] = ref3 ; 
      for_branch [3 ] = ref4 ; 
    }
    else {
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ref = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref4 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref4 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref4 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref4 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref4 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref4 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
    }
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if (! for_branch ) {
#   define XfOrM626_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM626(x) SETUP_XfOrM624(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "car" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cdr" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cadr" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cdar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "caar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cddr" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
      int steps , i ; 
      const char * name = ((Scheme_Primitive_Proc * ) rator ) -> name ; 
      BLOCK_SETUP((PUSH(name, 0+XfOrM626_COUNT)));
#     define XfOrM647_COUNT (1+XfOrM626_COUNT)
#     define SETUP_XfOrM647(x) SETUP(XfOrM647_COUNT)
      ; 
      for (steps = 0 ; name [steps + 1 ] != 'r' ; steps ++ ) {
      }
      FUNCCALL(SETUP_XfOrM647(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL(SETUP_XfOrM647(_), generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM647(_), mz_runstack_unskipped (jitter , 1 ) ); 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      if (steps > 1 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      for (i = 0 ; i < steps ; i ++ ) {
        if (! i ) {
          ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          reffail = (jitter -> js ) . x . pc ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 1 ; 
          }
          ; 
          if (steps == 1 ) {
            if (name [1 ] == 'a' ) {
              (void ) ((((! ((((unsigned ) (((_ul ) ((bad_car_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_car_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_car_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_car_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_car_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            }
            else {
              (void ) ((((! ((((unsigned ) (((_ul ) ((bad_cdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_cdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_cdr_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cdr_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cdr_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            }
          }
          else {
            if (name [1 ] == 'a' ) {
              if (name [2 ] == 'a' ) {
                (void ) ((((! ((((unsigned ) (((_ul ) ((bad_caar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_caar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_caar_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_caar_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_caar_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
              }
              else {
                (void ) ((((! ((((unsigned ) (((_ul ) ((bad_cadr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_cadr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_cadr_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cadr_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cadr_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
              }
            }
            else {
              if (name [2 ] == 'a' ) {
                (void ) ((((! ((((unsigned ) (((_ul ) ((bad_cdar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_cdar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_cdar_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cdar_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cdar_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
              }
              else {
                (void ) ((((! ((((unsigned ) (((_ul ) ((bad_cddr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_cddr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_cddr_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cddr_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_cddr_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
              }
            }
          }
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 0 ; 
          }
          ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        }
        else {
          (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        (void ) (((! ((((unsigned ) (((scheme_pair_type ) ) ) ) ^ (((unsigned ) (((scheme_pair_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_pair_type ) ) ) ^ (((unsigned ) ((scheme_pair_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_pair_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (name [steps - i ] == 'a' ) {
          (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else {
          (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcar" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcdr" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
      const char * name = ((Scheme_Primitive_Proc * ) rator ) -> name ; 
      BLOCK_SETUP((PUSH(name, 0+XfOrM626_COUNT)));
#     define XfOrM638_COUNT (1+XfOrM626_COUNT)
#     define SETUP_XfOrM638(x) SETUP(XfOrM638_COUNT)
      ; 
      FUNCCALL(SETUP_XfOrM638(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM638(_), mz_runstack_unskipped (jitter , 1 ) ); 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      if (name [2 ] == 'a' ) {
        (void ) ((((! ((((unsigned ) (((_ul ) ((bad_mcar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_mcar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_mcar_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_mcar_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_mcar_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) ((((! ((((unsigned ) (((_ul ) ((bad_mcdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_mcdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_mcdr_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_mcdr_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_mcdr_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((! ((((unsigned ) (((scheme_mutable_pair_type ) ) ) ) ^ (((unsigned ) (((scheme_mutable_pair_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_mutable_pair_type ) ) ) ^ (((unsigned ) ((scheme_mutable_pair_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_mutable_pair_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (name [2 ] == 'a' ) {
        (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else {
        (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "unbox" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail , * ref ; 
#     define XfOrM633_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM633(x) SETUP_XfOrM626(x)
      ; 
      FUNCCALL(SETUP_XfOrM633(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM633(_), mz_runstack_unskipped (jitter , 1 ) ); 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      reffail = (jitter -> js ) . x . pc ; 
      (void ) ((((! ((((unsigned ) (((_ul ) ((bad_unbox_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_unbox_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_unbox_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_unbox_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_unbox_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((! ((((unsigned ) (((scheme_box_type ) ) ) ) ^ (((unsigned ) (((scheme_box_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_box_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_box_type ) ) ) ^ (((unsigned ) ((scheme_box_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_box_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_box_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_box_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_box_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      (void ) ((! ((((unsigned ) (((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) ^ (((unsigned ) (((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) ^ (((unsigned ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& (((Scheme_Small_Object * ) (0x0 ) ) -> u . ptr_val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "syntax-e" ) ) ) ) {
#     define XfOrM632_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM632(x) SETUP_XfOrM626(x)
      ; 
      FUNCCALL(SETUP_XfOrM632(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (app -> rand , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM632(_), mz_runstack_unskipped (jitter , 1 ) ); 
      (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((syntax_e_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((syntax_e_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "add1" ) ) ) ) {
#     define XfOrM631_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM631(x) SETUP_XfOrM626(x)
      FUNCCALL(SETUP_XfOrM631(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 1 , 0 , 1 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "sub1" ) ) ) ) {
#     define XfOrM630_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM630(x) SETUP_XfOrM626(x)
      FUNCCALL(SETUP_XfOrM630(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , - 1 , 0 , 1 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "-" ) ) ) ) {
#     define XfOrM629_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM629(x) SETUP_XfOrM626(x)
      FUNCCALL(SETUP_XfOrM629(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , - 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "abs" ) ) ) ) {
#     define XfOrM628_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM628(x) SETUP_XfOrM626(x)
      FUNCCALL(SETUP_XfOrM628(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 11 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-not" ) ) ) ) {
#     define XfOrM627_COUNT (0+XfOrM626_COUNT)
#     define SETUP_XfOrM627(x) SETUP_XfOrM626(x)
      FUNCCALL(SETUP_XfOrM627(_), generate_arith (jitter , rator , app -> rand , ((void * ) 0 ) , 1 , 7 , 0 , 9 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM625_COUNT (0+XfOrM624_COUNT)
#   define SETUP_XfOrM625(x) SETUP_XfOrM624(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_two_args (Scheme_Object * rand1 , Scheme_Object * rand2 , mz_jit_state * jitter , int order_matters ) {
  int simple1 , simple2 , direction = 1 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(rand1, 0), PUSH(jitter, 1), PUSH(rand2, 2)));
# define XfOrM725_COUNT (3)
# define SETUP_XfOrM725(x) SETUP(XfOrM725_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  simple1 = FUNCCALL(SETUP_XfOrM725(_), is_constant_and_avoids_r1 (rand1 ) ); 
  simple2 = FUNCCALL(SETUP_XfOrM725(_), is_constant_and_avoids_r1 (rand2 ) ); 
  if (! simple1 ) {
#   define XfOrM729_COUNT (0+XfOrM725_COUNT)
#   define SETUP_XfOrM729(x) SETUP_XfOrM725(x)
    if (simple2 ) {
#     define XfOrM731_COUNT (0+XfOrM729_COUNT)
#     define SETUP_XfOrM731(x) SETUP_XfOrM729(x)
      FUNCCALL(SETUP_XfOrM731(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM731(_), generate_non_tail (rand1 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM731(_), generate (rand2 , jitter , 0 , 0 , (9 + (0 ) ) ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (order_matters ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else direction = - 1 ; 
      FUNCCALL(SETUP_XfOrM731(_), mz_runstack_unskipped (jitter , 2 ) ); 
    }
    else {
#     define XfOrM730_COUNT (0+XfOrM729_COUNT)
#     define SETUP_XfOrM730(x) SETUP_XfOrM729(x)
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM730(_), generate_non_tail (rand1 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_unskipped (jitter , 2 ) ); 
      ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_pushed (jitter , 1 ) ); 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_skipped (jitter , 1 ) ); 
      FUNCCALL_AGAIN(generate_non_tail (rand2 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM730(_), mz_runstack_popped (jitter , 1 ) ); 
    }
  }
  else {
#   define XfOrM726_COUNT (0+XfOrM725_COUNT)
#   define SETUP_XfOrM726(x) SETUP_XfOrM725(x)
    FUNCCALL(SETUP_XfOrM726(_), mz_runstack_skipped (jitter , 2 ) ); 
    if (simple2 ) {
#     define XfOrM728_COUNT (0+XfOrM726_COUNT)
#     define SETUP_XfOrM728(x) SETUP_XfOrM726(x)
      FUNCCALL(SETUP_XfOrM728(_), generate (rand2 , jitter , 0 , 0 , (9 + (1 ) ) ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    else {
#     define XfOrM727_COUNT (0+XfOrM726_COUNT)
#     define SETUP_XfOrM727(x) SETUP_XfOrM726(x)
      FUNCCALL(SETUP_XfOrM727(_), generate_non_tail (rand2 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    FUNCCALL(SETUP_XfOrM726(_), generate (rand1 , jitter , 0 , 0 , (9 + (0 ) ) ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL_EMPTY(mz_runstack_unskipped (jitter , 2 ) ); 
  }
  RET_VALUE_START (direction ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_binary_char (mz_jit_state * jitter , Scheme_App3_Rec * app , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * r1 , * r2 , * rator = app -> rator ; 
  GC_CAN_IGNORE jit_insn * reffail = ((void * ) 0 ) , * ref ; 
  int direct = 0 , direction ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(r2, 0), PUSH(rator, 1), PUSH(r1, 2), PUSH(for_branch, 3), PUSH(jitter, 4)));
# define XfOrM733_COUNT (5)
# define SETUP_XfOrM733(x) SETUP(XfOrM733_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  r1 = NULLED_OUT ; 
  r2 = NULLED_OUT ; 
  ; 
  r1 = app -> rand1 ; 
  r2 = app -> rand2 ; 
  direction = FUNCCALL(SETUP_XfOrM733(_), generate_two_args (r1 , r2 , jitter , 1 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (! ((Scheme_Type ) (((((long ) (r1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (r1 ) ) -> type ) ) == (Scheme_Type ) (scheme_char_type ) ) ) {
    GC_CAN_IGNORE jit_insn * pref ; 
    pref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    reffail = (jitter -> js ) . x . pc ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    if (direction > 0 ) {
      (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_rev_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    else {
      (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    if (branch_short ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (pref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (pref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (pref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (pref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (pref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (pref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (pref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((! ((((unsigned ) ((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) ((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (void ) (((! ((((unsigned ) (((scheme_char_type ) ) ) ) ^ (((unsigned ) (((scheme_char_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_char_type ) ) ) ^ (((unsigned ) ((scheme_char_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    if (! direct )
      direct = ((((Scheme_Small_Object * ) (r1 ) ) -> u . char_val ) < 256 ) ; 
  }
  if (! ((Scheme_Type ) (((((long ) (r2 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (r2 ) ) -> type ) ) == (Scheme_Type ) (scheme_char_type ) ) ) {
    if (! reffail ) {
      GC_CAN_IGNORE jit_insn * pref ; 
      pref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Primitive_Proc * ) rator ) -> prim_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      if (direction > 0 ) {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_rev_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_rev_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_rev_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) ((((! ((((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((call_original_binary_arith_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((call_original_binary_arith_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((call_original_binary_arith_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (pref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (pref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (pref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (pref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (pref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (pref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (pref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
    else {
      (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    ((! ((((unsigned ) ((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) ((((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (void ) (((! ((((unsigned ) (((scheme_char_type ) ) ) ) ^ (((unsigned ) (((scheme_char_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_char_type ) ) ) ^ (((unsigned ) ((scheme_char_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  else {
    if (! direct )
      direct = ((((Scheme_Small_Object * ) (r2 ) ) -> u . char_val ) < 256 ) ; 
  }
  if (! direct ) {
    ((! ((((unsigned ) ((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ^ (((unsigned ) ((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) ((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) ^ (((unsigned ) ((((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) ^ (((unsigned ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Small_Object * ) ((Scheme_Object * ) 0x0 ) ) -> u . char_val ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (for_branch ) {
    for_branch [0 ] = ref ; 
  }
  else {
    GC_CAN_IGNORE jit_insn * ref2 ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
  }
  if (branch_short ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_vector_op (mz_jit_state * jitter , int set ) {
  /* No conversion */
  GC_CAN_IGNORE jit_insn * ref , * reffail ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  reffail = (jitter -> js ) . x . pc ; 
  if (set ) {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_set_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_set_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  else {
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_ref_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_ref_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  }
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (void ) (((! ((((unsigned ) (((scheme_vector_type ) ) ) ) ^ (((unsigned ) (((scheme_vector_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_vector_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_vector_type ) ) ) ^ (((unsigned ) ((scheme_vector_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_vector_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_vector_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_vector_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_vector_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) ((((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) ) ^ (((unsigned ) ((((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) ^ (((unsigned ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    return 0 ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (set ) {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  }
  else {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  }
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  return 1 ; 
}
static int generate_inlined_binary (mz_jit_state * jitter , Scheme_App3_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> rator ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(6);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(rator, 1), PUSH(for_branch, 2), PUSH(jitter, 3)));
# define XfOrM763_COUNT (4)
# define SETUP_XfOrM763(x) SETUP(XfOrM763_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 1024 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "eq?" ) ) ) ) {
    Scheme_Object * a1 , * a2 ; 
    GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
    BLOCK_SETUP((PUSH(a1, 0+XfOrM763_COUNT), PUSH(a2, 1+XfOrM763_COUNT)));
#   define XfOrM799_COUNT (2+XfOrM763_COUNT)
#   define SETUP_XfOrM799(x) SETUP(XfOrM799_COUNT)
    a1 = NULLED_OUT ; 
    a2 = NULLED_OUT ; 
    ; 
    a1 = app -> rand1 ; 
    if (((((long ) (a1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a1 ) ) -> type ) > _scheme_values_types_ ) {
      a2 = app -> rand2 ; 
    }
    else {
      a1 = app -> rand2 ; 
      a2 = app -> rand1 ; 
    }
    if (((((long ) (a1 ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (a1 ) ) -> type ) > _scheme_values_types_ ) {
      int retptr ; 
#     define XfOrM805_COUNT (0+XfOrM799_COUNT)
#     define SETUP_XfOrM805(x) SETUP_XfOrM799(x)
      FUNCCALL(SETUP_XfOrM805(_), mz_runstack_skipped (jitter , 2 ) ); 
      FUNCCALL(SETUP_XfOrM805(_), generate_non_tail (a2 , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM805(_), mz_runstack_unskipped (jitter , 2 ) ); 
      if (! (((long ) (a1 ) ) & 0x1 ) && ! (((a1 ) ) == (scheme_false ) ) && ! (((a1 ) ) == (scheme_void ) ) && ! ((a1 ) == (scheme_true ) ) )
        retptr = FUNCCALL(SETUP_XfOrM805(_), mz_retain_it (jitter , a1 ) ); 
      else retptr = 0 ; 
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      if (retptr ) {
#       define XfOrM809_COUNT (0+XfOrM805_COUNT)
#       define SETUP_XfOrM809(x) SETUP_XfOrM805(x)
        FUNCCALL(SETUP_XfOrM809(_), mz_load_retained (jitter , (9 + (1 ) ) , retptr ) ); 
        ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else ref = (((! ((((unsigned ) ((((((a1 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((a1 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((a1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((a1 ) ) ) ) ) ) ^ (((unsigned ) (((((a1 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((a1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((a1 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((a1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((a1 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (for_branch ) {
        for_branch [0 ] = ref ; 
      }
      else {
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
      }
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    else {
#     define XfOrM800_COUNT (0+XfOrM799_COUNT)
#     define SETUP_XfOrM800(x) SETUP_XfOrM799(x)
      FUNCCALL(SETUP_XfOrM800(_), generate_two_args (a2 , a1 , jitter , 0 ) ); 
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (for_branch ) {
        for_branch [0 ] = ref ; 
      }
      else {
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
      }
      if (branch_short ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "=" ) ) ) ) {
#   define XfOrM798_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM798(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM798(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 0 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "<=" ) ) ) ) {
#   define XfOrM797_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM797(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM797(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , - 1 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "<" ) ) ) ) {
#   define XfOrM796_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM796(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM796(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , - 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , ">=" ) ) ) ) {
#   define XfOrM795_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM795(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM795(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 1 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , ">" ) ) ) ) {
#   define XfOrM794_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM794(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM794(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 2 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-bit-set?" ) ) ) ) {
#   define XfOrM793_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM793(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM793(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 0 , 3 , 0 , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "char=?" ) ) ) ) {
#   define XfOrM792_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM792(x) SETUP_XfOrM763(x)
    FUNCCALL(SETUP_XfOrM792(_), generate_binary_char (jitter , app , for_branch , branch_short ) ); 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  else if (! for_branch ) {
#   define XfOrM765_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM765(x) SETUP_XfOrM763(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "+" ) ) ) ) {
#     define XfOrM791_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM791(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM791(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "-" ) ) ) ) {
#     define XfOrM790_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM790(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM790(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , - 1 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "*" ) ) ) ) {
#     define XfOrM789_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM789(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM789(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 2 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "/" ) ) ) ) {
#     define XfOrM788_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM788(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM788(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , - 2 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "min" ) ) ) ) {
#     define XfOrM787_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM787(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM787(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 9 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "max" ) ) ) ) {
#     define XfOrM786_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM786(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM786(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 10 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-and" ) ) ) ) {
#     define XfOrM785_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM785(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM785(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 3 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-ior" ) ) ) ) {
#     define XfOrM784_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM784(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM784(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 4 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bitwise-xor" ) ) ) ) {
#     define XfOrM783_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM783(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM783(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 5 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "arithmetic-shift" ) ) ) ) {
#     define XfOrM782_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM782(x) SETUP_XfOrM765(x)
      FUNCCALL(SETUP_XfOrM782(_), generate_arith (jitter , rator , app -> rand1 , app -> rand2 , 2 , 6 , 0 , 0 , ((void * ) 0 ) , 1 ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-ref" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-ref" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes-ref" ) ) ) ) {
      int simple ; 
      int which ; 
#     define XfOrM773_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM773(x) SETUP_XfOrM765(x)
      if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-ref" ) ) ) )
        which = 0 ; 
      else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-ref" ) ) ) )
        which = 1 ; 
      else which = 2 ; 
      ; 
      simple = ((((long ) (app -> rand2 ) ) & 0x1 ) && ((((long ) (app -> rand2 ) ) >> 1 ) >= 0 ) ) ; 
      if (! simple ) {
#       define XfOrM778_COUNT (0+XfOrM773_COUNT)
#       define SETUP_XfOrM778(x) SETUP_XfOrM773(x)
        FUNCCALL(SETUP_XfOrM778(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (! which ) {
#         define XfOrM781_COUNT (0+XfOrM778_COUNT)
#         define SETUP_XfOrM781(x) SETUP_XfOrM778(x)
          FUNCCALL(SETUP_XfOrM781(_), generate_vector_op (jitter , 0 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
        else if (which == 1 ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_ref_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_ref_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_ref_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_ref_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
      }
      else {
        long offset ; 
#       define XfOrM774_COUNT (0+XfOrM773_COUNT)
#       define SETUP_XfOrM774(x) SETUP_XfOrM773(x)
        FUNCCALL(SETUP_XfOrM774(_), mz_runstack_skipped (jitter , 2 ) ); 
        FUNCCALL(SETUP_XfOrM774(_), generate_non_tail (app -> rand1 , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        offset = (((long ) (app -> rand2 ) ) >> 1 ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((offset ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (! which )
          offset = ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) + ((offset ) << 2 ) ; 
        else if (which == 1 )
          offset = offset << 2 ; 
        ((! ((((unsigned ) (((offset ) ) ) ) ^ (((unsigned ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((offset ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        if (! which ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_ref_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_ref_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_ref_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_ref_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_ref_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_ref_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        FUNCCALL(SETUP_XfOrM774(_), mz_runstack_unskipped (jitter , 2 ) ); 
      }
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcar!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcdr!" ) ) ) ) {
      GC_CAN_IGNORE jit_insn * reffail , * ref ; 
      int set_mcar ; 
#     define XfOrM768_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM768(x) SETUP_XfOrM765(x)
      set_mcar = (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "set-mcar!" ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM768(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      reffail = (jitter -> js ) . x . pc ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      if (set_mcar )
        (void ) ((((! ((((unsigned ) (((_ul ) ((bad_set_mcar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_set_mcar_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_set_mcar_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_set_mcar_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_set_mcar_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      else (void ) ((((! ((((unsigned ) (((_ul ) ((bad_set_mcdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_set_mcdr_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((bad_set_mcdr_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_set_mcdr_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_set_mcdr_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((! ((((unsigned ) (((scheme_mutable_pair_type ) ) ) ) ^ (((unsigned ) (((scheme_mutable_pair_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_mutable_pair_type ) ) ) ^ (((unsigned ) ((scheme_mutable_pair_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_mutable_pair_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_mutable_pair_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (set_mcar )
        (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . car ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      else (void ) ((! ((((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Simple_Object * ) 0x0 ) -> u . pair_val . cdr ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "cons" ) ) ) ) {
#     define XfOrM767_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM767(x) SETUP_XfOrM765(x)
      ; 
      FUNCCALL(SETUP_XfOrM767(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM767(_), inline_alloc (jitter , sizeof (Scheme_Simple_Object ) , scheme_pair_type , 1 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((! ((((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ^ (((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ^ (((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "mcons" ) ) ) ) {
#     define XfOrM766_COUNT (0+XfOrM765_COUNT)
#     define SETUP_XfOrM766(x) SETUP_XfOrM765(x)
      ; 
      FUNCCALL(SETUP_XfOrM766(_), generate_two_args (app -> rand1 , app -> rand2 , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM766(_), inline_alloc (jitter , sizeof (Scheme_Simple_Object ) , scheme_mutable_pair_type , 1 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((! ((((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) ^ (((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . car ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) ^ (((unsigned ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . pair_val . cdr ) + sizeof (long ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM764_COUNT (0+XfOrM763_COUNT)
#   define SETUP_XfOrM764(x) SETUP_XfOrM763(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_inlined_nary (mz_jit_state * jitter , Scheme_App_Rec * app , int is_tail , int multi_ok , jit_insn * * for_branch , int branch_short ) {
  Scheme_Object * rator = app -> args [0 ] ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(app, 0), PUSH(for_branch, 1), PUSH(jitter, 2)));
# define XfOrM813_COUNT (3)
# define SETUP_XfOrM813(x) SETUP(XfOrM813_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (! ((Scheme_Type ) (((((long ) (rator ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (rator ) ) -> type ) ) == (Scheme_Type ) (scheme_prim_type ) ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (! ((((Scheme_Prim_Proc_Header * ) rator ) -> flags ) & 32768 ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  if (app -> num_args != ((Scheme_Primitive_Proc * ) rator ) -> mina )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  scheme_direct_call_count ++ ; 
  if (! for_branch ) {
#   define XfOrM815_COUNT (0+XfOrM813_COUNT)
#   define SETUP_XfOrM815(x) SETUP_XfOrM813(x)
    if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-set!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-set!" ) ) ) || (! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "bytes-set!" ) ) ) ) {
      int simple , constval ; 
      int which ; 
      int pushed ; 
#     define XfOrM816_COUNT (0+XfOrM815_COUNT)
#     define SETUP_XfOrM816(x) SETUP_XfOrM815(x)
      if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "vector-set!" ) ) ) )
        which = 0 ; 
      else if ((! (strcmp (((Scheme_Primitive_Proc * ) rator ) -> name , "string-set!" ) ) ) )
        which = 1 ; 
      else which = 2 ; 
      ; 
      simple = ((((long ) (app -> args [2 ] ) ) & 0x1 ) && ((((long ) (app -> args [2 ] ) ) >> 1 ) >= 0 ) ) ; 
      constval = (((((long ) (app -> args [3 ] ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (app -> args [3 ] ) ) -> type ) > _scheme_values_types_ ) ; 
      if (constval && simple )
        pushed = 1 ; 
      else pushed = 2 ; 
      FUNCCALL(SETUP_XfOrM816(_), mz_runstack_skipped (jitter , 3 - pushed ) ); 
      if (pushed ) {
#       define XfOrM833_COUNT (0+XfOrM816_COUNT)
#       define SETUP_XfOrM833(x) SETUP_XfOrM816(x)
        ((! ((((unsigned ) ((((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ; 
        FUNCCALL(SETUP_XfOrM833(_), mz_runstack_pushed (jitter , pushed ) ); 
        FUNCCALL_AGAIN(stack_safety (jitter , pushed , 0 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      FUNCCALL(SETUP_XfOrM816(_), generate_non_tail (app -> args [1 ] , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! constval || ! simple ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      if (! simple ) {
#       define XfOrM828_COUNT (0+XfOrM816_COUNT)
#       define SETUP_XfOrM828(x) SETUP_XfOrM816(x)
        FUNCCALL(SETUP_XfOrM828(_), generate_non_tail (app -> args [2 ] , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (! constval ) {
          ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        }
      }
      FUNCCALL(SETUP_XfOrM816(_), generate_non_tail (app -> args [3 ] , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! constval || ! simple ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        if (! simple && ! constval ) {
          ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
      }
      else {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      if (! simple ) {
#       define XfOrM821_COUNT (0+XfOrM816_COUNT)
#       define SETUP_XfOrM821(x) SETUP_XfOrM816(x)
        if (! which ) {
#         define XfOrM824_COUNT (0+XfOrM821_COUNT)
#         define SETUP_XfOrM824(x) SETUP_XfOrM821(x)
          FUNCCALL(SETUP_XfOrM824(_), generate_vector_op (jitter , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
        else if (which == 1 ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_set_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_set_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_set_check_index_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_set_check_index_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
      }
      else {
        long offset ; 
        offset = (((long ) (app -> args [2 ] ) ) >> 1 ) ; 
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((offset ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (! which )
          offset = ((int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ) + ((offset ) << 2 ) ; 
        else if (which == 1 )
          offset = offset << 2 ; 
        ((! ((((unsigned ) (((offset ) ) ) ) ^ (((unsigned ) (((offset ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((offset ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        if (! which ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_set_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((vector_set_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else if (which == 1 ) {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_set_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((string_set_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
        else {
          (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_set_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bytes_set_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
        }
      }
      ((! ((((unsigned ) ((((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((pushed ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      FUNCCALL(SETUP_XfOrM816(_), mz_runstack_popped (jitter , pushed ) ); 
      FUNCCALL_AGAIN(mz_runstack_unskipped (jitter , 3 - pushed ) ); 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  if (! for_branch ) {
#   define XfOrM814_COUNT (0+XfOrM813_COUNT)
#   define SETUP_XfOrM814(x) SETUP_XfOrM813(x)
    FUNCCALL_EMPTY(scheme_console_printf ("Inlining expected.\n" ) ); 
    FUNCCALL_EMPTY(abort () ); 
  }
  -- scheme_direct_call_count ; 
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
int generate_inlined_test (mz_jit_state * jitter , Scheme_Object * obj , int branch_short , jit_insn * * refs ) {
  /* No conversion */
  switch (((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ) {
    case scheme_application2_type : return generate_inlined_unary (jitter , (Scheme_App2_Rec * ) obj , 0 , 0 , refs , branch_short ) ; 
    case scheme_application3_type : return generate_inlined_binary (jitter , (Scheme_App3_Rec * ) obj , 0 , 0 , refs , branch_short ) ; 
  }
  return 0 ; 
}
static Scheme_Object example_so = {
  scheme_native_closure_type , 0 }
; 
static void ensure_closure_native (Scheme_Closure_Data * data , Scheme_Native_Closure_Data * case_lam ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(data, 0)));
# define XfOrM836_COUNT (1)
# define SETUP_XfOrM836(x) SETUP(XfOrM836_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! data -> u . native_code || ((((Scheme_Object * ) data -> u . native_code ) ) == (scheme_false ) ) ) {
    Scheme_Native_Closure_Data * code ; 
    BLOCK_SETUP((PUSH(code, 0+XfOrM836_COUNT)));
#   define XfOrM837_COUNT (1+XfOrM836_COUNT)
#   define SETUP_XfOrM837(x) SETUP(XfOrM837_COUNT)
    code = NULLED_OUT ; 
    code = FUNCCALL(SETUP_XfOrM837(_), scheme_generate_lambda (data , 0 , case_lam ) ); 
    data -> u . native_code = code ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_closure (Scheme_Closure_Data * data , mz_jit_state * jitter , int immediately_filled ) {
  Scheme_Native_Closure_Data * code ; 
  int retptr ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(data, 0), PUSH(code, 1), PUSH(jitter, 2)));
# define XfOrM838_COUNT (3)
# define SETUP_XfOrM838(x) SETUP(XfOrM838_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  code = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM838(_), ensure_closure_native (data , ((void * ) 0 ) ) ); 
  code = data -> u . native_code ; 
  if (data -> closure_size < 100 ) {
    int sz ; 
    long init_word ; 
#   define XfOrM840_COUNT (0+XfOrM838_COUNT)
#   define SETUP_XfOrM840(x) SETUP_XfOrM838(x)
    sz = (sizeof (Scheme_Native_Closure ) + ((data -> closure_size - 1 ) * sizeof (Scheme_Object * ) ) ) ; 
    if (immediately_filled ) {
#     define XfOrM845_COUNT (0+XfOrM840_COUNT)
#     define SETUP_XfOrM845(x) SETUP_XfOrM840(x)
      FUNCCALL(SETUP_XfOrM845(_), inline_alloc (jitter , sz , scheme_native_closure_type , 0 , 0 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((! ((((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (sizeof (long ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (sizeof (long ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (sizeof (long ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    else {
#     define XfOrM841_COUNT (0+XfOrM840_COUNT)
#     define SETUP_XfOrM841(x) SETUP_XfOrM840(x)
      if (jitter -> need_set_rs ) {
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
      ((! ((((unsigned ) (((sz ) ) ) ) ^ (((unsigned ) (((sz ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((sz ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((sz ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((sz ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((sz ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      if (immediately_filled ) {
        (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((GC_malloc_one_small_dirty_tagged ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((GC_malloc_one_small_dirty_tagged ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      }
      else {
        (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((GC_malloc_one_small_tagged ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((GC_malloc_one_small_tagged ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      }
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      (memcpy (& init_word , & example_so , sizeof (long ) ) ) ; 
      ((! ((((unsigned ) (((init_word ) ) ) ) ^ (((unsigned ) (((init_word ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((init_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((init_word ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((init_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((init_word ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    retptr = FUNCCALL(SETUP_XfOrM840(_), mz_retain_it (jitter , code ) ); 
    FUNCCALL(SETUP_XfOrM840(_), mz_load_retained (jitter , (9 + (1 ) ) , retptr ) ); 
    ((! ((((unsigned ) ((((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) & ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  if (jitter -> need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    jitter -> need_set_rs = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  retptr = FUNCCALL(SETUP_XfOrM838(_), mz_retain_it (jitter , code ) ); 
  FUNCCALL_AGAIN(mz_load_retained (jitter , (9 + (0 ) ) , retptr ) ); 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_native_closure ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_native_closure ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_closure_fill (Scheme_Closure_Data * data , mz_jit_state * jitter ) {
  int j , size , pos ; 
  mzshort * map ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(map, 0), PUSH(jitter, 1)));
# define XfOrM846_COUNT (2)
# define SETUP_XfOrM846(x) SETUP(XfOrM846_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  map = NULLED_OUT ; 
  size = data -> closure_size ; 
  map = data -> closure_map ; 
  ((! ((((unsigned ) ((((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Native_Closure * ) 0x0 ) -> vals ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  for (j = 0 ; j < size ; j ++ ) {
#   define XfOrM848_COUNT (0+XfOrM846_COUNT)
#   define SETUP_XfOrM848(x) SETUP_XfOrM846(x)
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    pos = FUNCCALL(SETUP_XfOrM848(_), mz_remap_it (jitter , map [j ] ) ); 
    ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((((j ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((j ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((j ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((j ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((j ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((j ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((j ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((j ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((j ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Native_Closure_Data * scheme_generate_case_lambda (Scheme_Case_Lambda * c ) {
  Scheme_Closure_Data * data ; 
  Scheme_Native_Closure_Data * ndata ; 
  Scheme_Object * name , * o ; 
  int max_let_depth = 0 , i , count , is_method = 0 ; 
  DECL_RET_SAVE (Scheme_Native_Closure_Data * ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(name, 1), PUSH(data, 2), PUSH(ndata, 3), PUSH(c, 4)));
# define XfOrM849_COUNT (5)
# define SETUP_XfOrM849(x) SETUP(XfOrM849_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  ndata = NULLED_OUT ; 
  name = NULLED_OUT ; 
  o = NULLED_OUT ; 
  ndata = ((Scheme_Native_Closure_Data * ) FUNCCALL(SETUP_XfOrM849(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
  ndata -> iso . so . type = scheme_rt_native_code ; 
  name = c -> name ; 
  if (name && ((Scheme_Type ) (((((long ) (name ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (name ) ) -> type ) ) == (Scheme_Type ) (scheme_box_type ) ) ) {
    name = (((Scheme_Small_Object * ) (name ) ) -> u . ptr_val ) ; 
    is_method = 1 ; 
  }
  ndata -> u2 . name = name ; 
  count = c -> count ; 
  for (i = 0 ; i < count ; i ++ ) {
#   define XfOrM852_COUNT (0+XfOrM849_COUNT)
#   define SETUP_XfOrM852(x) SETUP_XfOrM849(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    FUNCCALL(SETUP_XfOrM852(_), ensure_closure_native (data , ndata ) ); 
    if (data -> u . native_code -> max_let_depth > max_let_depth )
      max_let_depth = data -> u . native_code -> max_let_depth ; 
  }
  ndata -> max_let_depth = max_let_depth ; 
  ndata -> closure_size = - (count + 1 ) ; 
  if (count ) {
    o = c -> array [0 ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    is_method = (((& (data ) -> iso ) -> so . keyex & 16 ) ? 1 : 0 ) ; 
  }
  FUNCCALL(SETUP_XfOrM849(_), generate_case_lambda (c , ndata , is_method ) ); 
  RET_VALUE_START (ndata ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void ensure_case_closure_native (Scheme_Case_Lambda * c ) {
  PREPARE_VAR_STACK(2);
  BLOCK_SETUP_TOP((PUSH(c, 0)));
# define XfOrM854_COUNT (1)
# define SETUP_XfOrM854(x) SETUP(XfOrM854_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  if (! c -> native_code || ((((Scheme_Object * ) c -> native_code ) ) == (scheme_false ) ) ) {
    Scheme_Native_Closure_Data * ndata ; 
    BLOCK_SETUP((PUSH(ndata, 0+XfOrM854_COUNT)));
#   define XfOrM855_COUNT (1+XfOrM854_COUNT)
#   define SETUP_XfOrM855(x) SETUP(XfOrM855_COUNT)
    ndata = NULLED_OUT ; 
    ndata = FUNCCALL(SETUP_XfOrM855(_), scheme_generate_case_lambda (c ) ); 
    c -> native_code = ndata ; 
  }
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_case_closure (Scheme_Object * obj , mz_jit_state * jitter , int target ) {
  Scheme_Case_Lambda * c = (Scheme_Case_Lambda * ) obj ; 
  Scheme_Native_Closure_Data * ndata ; 
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , offset , count , retptr ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(c, 1), PUSH(data, 2), PUSH(jitter, 3), PUSH(ndata, 4)));
# define XfOrM856_COUNT (5)
# define SETUP_XfOrM856(x) SETUP(XfOrM856_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ndata = NULLED_OUT ; 
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  FUNCCALL(SETUP_XfOrM856(_), ensure_case_closure_native (c ) ); 
  ndata = c -> native_code ; 
  if (jitter -> need_set_rs ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    jitter -> need_set_rs = 0 ; 
  }
  ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  retptr = FUNCCALL(SETUP_XfOrM856(_), mz_retain_it (jitter , ndata ) ); 
  FUNCCALL_AGAIN(mz_load_retained (jitter , (9 + (0 ) ) , retptr ) ); 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_native_case_closure ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_native_case_closure ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  count = c -> count ; 
  for (i = 0 ; i < count ; i ++ ) {
#   define XfOrM858_COUNT (0+XfOrM856_COUNT)
#   define SETUP_XfOrM858(x) SETUP_XfOrM856(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    FUNCCALL(SETUP_XfOrM858(_), mz_pushr_p_it (jitter , (9 + (1 ) ) ) ); 
    FUNCCALL_AGAIN(generate_closure (data , jitter , 1 ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM858(_), generate_closure_fill (data , jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    FUNCCALL(SETUP_XfOrM858(_), mz_popr_p_it (jitter , (9 + (1 ) ) ) ); 
    offset = ((i ) << 2 ) + (unsigned long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
    ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_non_tail_mark_pos_prefix (mz_jit_state * jitter ) {
  /* No conversion */
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((2 ) ) ) ) ) ^ (((unsigned ) ((((2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((2 ) ) ) ) ^ (((unsigned ) (((2 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((2 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  return 0 ; 
}
static void generate_non_tail_mark_pos_suffix (mz_jit_state * jitter ) {
  /* No conversion */
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((- (2 ) ) ) ) ) ) ^ (((unsigned ) ((((- (2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (2 ) ) ) ) ) ^ (((unsigned ) (((- (2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (2 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) - (((((_ul ) ((& scheme_current_cont_mark_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& scheme_current_cont_mark_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
}
static int generate_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int mark_pos_ends ) {
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(obj, 0), PUSH(jitter, 1)));
# define XfOrM862_COUNT (2)
# define SETUP_XfOrM862(x) SETUP(XfOrM862_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (FUNCCALL(SETUP_XfOrM862(_), is_simple (obj , 10 , 0 , jitter , 0 ) )) {
    int v ; 
#   define XfOrM872_COUNT (0+XfOrM862_COUNT)
#   define SETUP_XfOrM872(x) SETUP_XfOrM862(x)
    ; 
    v = FUNCCALL(SETUP_XfOrM872(_), generate (obj , jitter , 0 , multi_ok , (9 + (0 ) ) ) ); 
    ; 
    RET_VALUE_START (v ) RET_VALUE_END ; 
  }
  {
    int amt , need_ends = 1 , using_local1 = 0 ; 
#   define XfOrM863_COUNT (0+XfOrM862_COUNT)
#   define SETUP_XfOrM863(x) SETUP_XfOrM862(x)
    ; 
    if (FUNCCALL(SETUP_XfOrM863(_), is_simple (obj , 10 , 1 , jitter , 0 ) )) {
      need_ends = 0 ; 
    }
    else {
#     define XfOrM868_COUNT (0+XfOrM863_COUNT)
#     define SETUP_XfOrM868(x) SETUP_XfOrM863(x)
      ; 
      if (mark_pos_ends )
        FUNCCALL(SETUP_XfOrM868(_), generate_non_tail_mark_pos_prefix (jitter ) ); 
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      if (! jitter -> local1_busy ) {
        using_local1 = 1 ; 
        jitter -> local1_busy = 1 ; 
        ((! ((((unsigned ) (((((56 ) ) ) ) ) ) ^ (((unsigned ) (((((56 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((56 ) ) ) ) ) ^ (((unsigned ) ((((56 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((56 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else {
#       define XfOrM869_COUNT (0+XfOrM868_COUNT)
#       define SETUP_XfOrM869(x) SETUP_XfOrM868(x)
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM869(_), mz_pushr_p_it (jitter , (9 + (2 ) ) ) ); 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    FUNCCALL(SETUP_XfOrM863(_), mz_runstack_saved (jitter ) ); 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ; 
    ; 
    FUNCCALL(SETUP_XfOrM863(_), generate (obj , jitter , 0 , multi_ok , (9 + (0 ) ) ) ); 
    ; 
    ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    amt = FUNCCALL(SETUP_XfOrM863(_), mz_runstack_restored (jitter ) ); 
    if (amt ) {
      ((! ((((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    if (need_ends ) {
#     define XfOrM864_COUNT (0+XfOrM863_COUNT)
#     define SETUP_XfOrM864(x) SETUP_XfOrM863(x)
      if (using_local1 ) {
        ((! ((((unsigned ) (((((56 ) ) ) ) ) ) ^ (((unsigned ) (((((56 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((56 ) ) ) ) ) ^ (((unsigned ) ((((56 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((56 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((56 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        jitter -> local1_busy = 0 ; 
      }
      else {
#       define XfOrM865_COUNT (0+XfOrM864_COUNT)
#       define SETUP_XfOrM865(x) SETUP_XfOrM864(x)
        FUNCCALL(SETUP_XfOrM865(_), mz_popr_p_it (jitter , (9 + (2 ) ) ) ); 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (824 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) - (((((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_cont_mark_stack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      if (mark_pos_ends )
        FUNCCALL(SETUP_XfOrM864(_), generate_non_tail_mark_pos_suffix (jitter ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_ignored_non_tail (Scheme_Object * obj , mz_jit_state * jitter , int multi_ok , int need_ends ) {
  Scheme_Type t = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(2);
  BLOCK_SETUP_TOP((PUSH(obj, 0), PUSH(jitter, 1)));
# define XfOrM873_COUNT (2)
# define SETUP_XfOrM873(x) SETUP(XfOrM873_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  if (((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_type ) ) || ((Scheme_Type ) (t ) == (Scheme_Type ) (scheme_local_unbox_type ) ) ) {
#   define XfOrM874_COUNT (0+XfOrM873_COUNT)
#   define SETUP_XfOrM874(x) SETUP_XfOrM873(x)
    if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
      int pos ; 
#     define XfOrM875_COUNT (0+XfOrM874_COUNT)
#     define SETUP_XfOrM875(x) SETUP_XfOrM874(x)
      ; 
      pos = FUNCCALL(SETUP_XfOrM875(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ; 
      ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
    }
    RET_VALUE_START (1 ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate_non_tail (obj , jitter , multi_ok , need_ends ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static Scheme_Object * generate_k (void ) {
  /* No conversion */
  Scheme_Thread * p = scheme_current_thread ; 
  Scheme_Object * obj = (Scheme_Object * ) p -> ku . k . p1 ; 
  mz_jit_state * jitter = (mz_jit_state * ) p -> ku . k . p2 ; 
  int v ; 
  p -> ku . k . p1 = ((void * ) 0 ) ; 
  p -> ku . k . p2 = ((void * ) 0 ) ; 
  v = generate (obj , jitter , p -> ku . k . i1 , p -> ku . k . i2 , p -> ku . k . i3 ) ; 
  return ((Scheme_Object * ) (void * ) (long ) ((((long ) (v ) ) << 1 ) | 0x1 ) ) ; 
}
static int generate (Scheme_Object * obj , mz_jit_state * jitter , int is_tail , int multi_ok , int target ) {
  Scheme_Type type ; 
  unsigned long _stk_pos ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(obj, 0), PUSH(jitter, 1)));
# define XfOrM877_COUNT (2)
# define SETUP_XfOrM877(x) SETUP(XfOrM877_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  _stk_pos = (unsigned long ) & _stk_pos ; 
  if (((_stk_pos ) < (scheme_stack_boundary ) ) ) {
    Scheme_Object * ok ; 
    Scheme_Thread * p = scheme_current_thread ; 
    mz_jit_state * jitter_copy ; 
    BLOCK_SETUP((PUSH(ok, 0+XfOrM877_COUNT), PUSH(p, 1+XfOrM877_COUNT), PUSH(jitter_copy, 2+XfOrM877_COUNT)));
#   define XfOrM997_COUNT (3+XfOrM877_COUNT)
#   define SETUP_XfOrM997(x) SETUP(XfOrM997_COUNT)
    ok = NULLED_OUT ; 
    jitter_copy = NULLED_OUT ; 
    jitter_copy = ((mz_jit_state * ) FUNCCALL(SETUP_XfOrM997(_), GC_malloc_one_small_tagged ((((sizeof (mz_jit_state ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    (memcpy (jitter_copy , jitter , sizeof (mz_jit_state ) ) ) ; 
    jitter_copy -> type = scheme_rt_jitter_data ; 
    p -> ku . k . p1 = (void * ) obj ; 
    p -> ku . k . p2 = (void * ) jitter_copy ; 
    p -> ku . k . i1 = is_tail ; 
    p -> ku . k . i2 = multi_ok ; 
    p -> ku . k . i3 = target ; 
    ok = FUNCCALL(SETUP_XfOrM997(_), scheme_handle_stack_overflow (generate_k ) ); 
    (memcpy (jitter , jitter_copy , sizeof (mz_jit_state ) ) ) ; 
    RET_VALUE_START ((((long ) (ok ) ) >> 1 ) ) RET_VALUE_END ; 
  }
  type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
  switch (type ) {
#   define XfOrM878_COUNT (0+XfOrM877_COUNT)
#   define SETUP_XfOrM878(x) SETUP_XfOrM877(x)
    case scheme_toplevel_type : {
      int pos ; 
#     define XfOrM995_COUNT (0+XfOrM878_COUNT)
#     define SETUP_XfOrM995(x) SETUP_XfOrM878(x)
      ; 
      ; 
      pos = FUNCCALL(SETUP_XfOrM995(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (obj ) ) -> depth ) ) ); 
      ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      pos = (((Scheme_Toplevel * ) (obj ) ) -> position ) ; 
      ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) ^ (((unsigned ) (((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((target ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) ^ (((unsigned ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& (((Scheme_Bucket * ) (0x0 ) ) -> val ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((target ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (! ((& ((Scheme_Toplevel * ) (obj ) ) -> iso ) -> so . keyex & (0x1 | 0x2 ) ) ) {
        (void ) (((! ((((unsigned ) ((((((0 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((0 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((0 ) ) ) ) ) ) ^ (((unsigned ) (((((0 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((unbound_global_code ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((unbound_global_code ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((unbound_global_code ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((unbound_global_code ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((unbound_global_code ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_local_type : {
      int pos ; 
#     define XfOrM991_COUNT (0+XfOrM878_COUNT)
#     define SETUP_XfOrM991(x) SETUP_XfOrM878(x)
      ; 
      pos = FUNCCALL(SETUP_XfOrM991(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ; 
      if (pos || (((jitter -> status_at_ptr == (jitter -> js ) . x . pc ) ? jitter -> reg_status : 0 ) != 0x1 ) ) {
        ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((target ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((target ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ; 
      }
      else if (target != (9 + (0 ) ) ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
        ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_local_unbox_type : {
      int pos ; 
#     define XfOrM989_COUNT (0+XfOrM878_COUNT)
#     define SETUP_XfOrM989(x) SETUP_XfOrM878(x)
      ; 
      ; 
      pos = FUNCCALL(SETUP_XfOrM989(_), mz_remap_it (jitter , (((Scheme_Local * ) (obj ) ) -> position ) ) ); 
      ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      if ((& ((Scheme_Local * ) (obj ) ) -> iso ) -> so . keyex & 0x1 ) {
        ; 
        ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_syntax_type : {
      int pos ; 
#     define XfOrM949_COUNT (0+XfOrM878_COUNT)
#     define SETUP_XfOrM949(x) SETUP_XfOrM878(x)
      pos = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . pint ) ; 
      switch (pos ) {
#       define XfOrM950_COUNT (0+XfOrM949_COUNT)
#       define SETUP_XfOrM950(x) SETUP_XfOrM949(x)
        case 3 : {
#         define XfOrM988_COUNT (0+XfOrM950_COUNT)
#         define SETUP_XfOrM988(x) SETUP_XfOrM950(x)
          ; 
          ; 
          FUNCCALL(SETUP_XfOrM988(_), generate_case_closure ((((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) , jitter , target ) ); 
          ; 
        }
        break ; 
        case 4 : {
          Scheme_Sequence * seq ; 
          jit_insn * ref , * ref2 ; 
          int i ; 
          BLOCK_SETUP((PUSH(seq, 0+XfOrM950_COUNT), PUSH(ref, 1+XfOrM950_COUNT), PUSH(ref2, 2+XfOrM950_COUNT)));
#         define XfOrM981_COUNT (3+XfOrM950_COUNT)
#         define SETUP_XfOrM981(x) SETUP(XfOrM981_COUNT)
          seq = NULLED_OUT ; 
          ref = NULLED_OUT ; 
          ref2 = NULLED_OUT ; 
          ; 
          ; 
          seq = (Scheme_Sequence * ) (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          FUNCCALL(SETUP_XfOrM981(_), generate_non_tail (seq -> array [0 ] , jitter , 1 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM981(_), mz_pushr_p_it (jitter , (31 - (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_pushr_p_it (jitter , (31 - (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_pushr_p_it (jitter , (31 - (1 ) ) ) ); 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 0 ; 
          }
          ; 
          ref = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM981(_), mz_popr_p_it (jitter , (31 - (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , (31 - (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , (31 - (1 ) ) ) ); 
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM981(_), mz_pushr_p_it (jitter , (31 - (1 ) ) ) ); 
          ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          FUNCCALL(SETUP_XfOrM981(_), mz_pushr_p_it (jitter , (31 - (1 ) ) ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          FUNCCALL(SETUP_XfOrM981(_), mz_pushr_p_it (jitter , (9 + (1 ) ) ) ); 
          ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ref2 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> values_buffer ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 1 ; 
          }
          ; 
          for (i = 1 ; i < seq -> count ; i ++ ) {
#           define XfOrM985_COUNT (0+XfOrM981_COUNT)
#           define SETUP_XfOrM985(x) SETUP_XfOrM981(x)
            FUNCCALL(SETUP_XfOrM985(_), generate_ignored_non_tail (seq -> array [i ] , jitter , 1 , 1 ) ); 
            if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
              RET_VALUE_START (0 ) RET_VALUE_END ; 
            ; 
          }
          FUNCCALL(SETUP_XfOrM981(_), mz_popr_p_it (jitter , (9 + (0 ) ) ) ); 
          FUNCCALL(SETUP_XfOrM981(_), mz_popr_p_it (jitter , (9 + (1 ) ) ) ); 
          FUNCCALL_AGAIN(mz_popr_p_it (jitter , (9 + (2 ) ) ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 0 ; 
          }
          ; 
          ref = (((! ((((unsigned ) ((((((0x0 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((0x0 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((0x0 ) ) ) ) ) ) ^ (((unsigned ) (((((0x0 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0x0 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) 0x6 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) 0x6 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          if (target != (9 + (0 ) ) )
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 1 ; 
          }
          ; 
          ; 
        }
        break ; 
        case 2 : {
          Scheme_Object * p , * v ; 
          int pos , set_undef ; 
          BLOCK_SETUP((PUSH(v, 0+XfOrM950_COUNT)));
#         define XfOrM979_COUNT (1+XfOrM950_COUNT)
#         define SETUP_XfOrM979(x) SETUP(XfOrM979_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          p = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          set_undef = (! (((v ) ) == (scheme_false ) ) ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          FUNCCALL(SETUP_XfOrM979(_), generate_non_tail (p , jitter , 0 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          pos = FUNCCALL(SETUP_XfOrM979(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (v ) ) -> depth ) ) ); 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          pos = (((Scheme_Toplevel * ) (v ) ) -> position ) ; 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (jitter -> need_set_rs ) {
            (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
          (void ) ((! ((((unsigned ) ((set_undef ) ) ) ^ (((unsigned ) ((set_undef ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((set_undef ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((set_undef ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((set_undef ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((set_undef ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_set_global_bucket ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_set_global_bucket ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ; 
        }
        break ; 
        case 10 : {
          Scheme_Object * p , * v ; 
          GC_CAN_IGNORE jit_insn * ref , * ref2 , * ref3 , * ref5 , * refloop ; 
          BLOCK_SETUP((PUSH(p, 0+XfOrM950_COUNT), PUSH(v, 1+XfOrM950_COUNT)));
#         define XfOrM957_COUNT (2+XfOrM950_COUNT)
#         define SETUP_XfOrM957(x) SETUP(XfOrM957_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          p = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          FUNCCALL(SETUP_XfOrM957(_), generate_non_tail (v , jitter , 0 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (! FUNCCALL(SETUP_XfOrM957(_), is_a_procedure (v , jitter ) )) {
            (void ) (((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((bad_app_vals_target ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((bad_app_vals_target ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((bad_app_vals_target ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bad_app_vals_target ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((bad_app_vals_target ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            (void ) (((! ((((unsigned ) (((scheme_prim_type ) ) ) ) ^ (((unsigned ) (((scheme_prim_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_prim_type ) ) ) ^ (((unsigned ) ((scheme_prim_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((bad_app_vals_target ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_app_vals_target ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_app_vals_target ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            (void ) (((! ((((unsigned ) (((scheme_native_closure_type ) ) ) ) ^ (((unsigned ) (((scheme_native_closure_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_native_closure_type ) ) ) ^ (((unsigned ) ((scheme_native_closure_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_native_closure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((bad_app_vals_target ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((bad_app_vals_target ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_app_vals_target ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((bad_app_vals_target ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
              RET_VALUE_START (0 ) RET_VALUE_END ; 
            ; 
          }
          FUNCCALL(SETUP_XfOrM957(_), mz_pushr_p_it (jitter , (9 + (0 ) ) ) ); 
          FUNCCALL(SETUP_XfOrM957(_), generate_non_tail (p , jitter , 1 , 1 ) ); 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM957(_), mz_popr_p_it (jitter , (31 - (1 ) ) ) ); 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 0 ; 
          }
          ; 
          ref = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (is_tail ) {
            ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          }
          else {
            ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          }
          ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) (((1 ) ) ) ) ^ (((unsigned ) (((1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
          ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          if (is_tail ) {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          else {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          if (is_tail ) {
            if (1 ) {
              (jitter -> js ) . jitl . long_jumps = 1 ; 
            }
            ; 
            (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((app_values_tail_slow_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((app_values_tail_slow_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((app_values_tail_slow_code ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_tail_slow_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_tail_slow_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            if (1 ) {
              (jitter -> js ) . jitl . long_jumps = 0 ; 
            }
            ; 
            ref5 = 0 ; 
          }
          else {
            GC_CAN_IGNORE jit_insn * refok ; 
            refok = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            if (1 ) {
              (jitter -> js ) . jitl . long_jumps = 1 ; 
            }
            ; 
            if (multi_ok ) {
              (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_multi_slow_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_multi_slow_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
            }
            else {
              (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_slow_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((app_values_slow_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
            }
            if (1 ) {
              (jitter -> js ) . jitl . long_jumps = 0 ; 
            }
            ; 
            ref5 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refok - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refok - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refok - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refok - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refok - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refok - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refok - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          if (is_tail ) {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          else {
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          ; 
          ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          refloop = (jitter -> js ) . x . pc ; 
          ref3 = (((! ((((unsigned ) ((((0 ) ) ) ) ) ^ (((unsigned ) ((((0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0 ) ) ) ) ^ (((unsigned ) (((0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((! ((((unsigned ) ((((- ((1 << 2 ) ) ) ) ) ) ) ^ (((unsigned ) ((((- ((1 << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- ((1 << 2 ) ) ) ) ) ) ^ (((unsigned ) (((- ((1 << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- ((1 << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          (void ) ((((! ((((unsigned ) (((_ul ) ((refloop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refloop ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((refloop ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refloop ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refloop ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
          if (1 ) {
            (jitter -> js ) . jitl . long_jumps = 1 ; 
          }
          ; 
          if (is_tail ) {
#           define XfOrM960_COUNT (0+XfOrM957_COUNT)
#           define SETUP_XfOrM960(x) SETUP_XfOrM957(x)
            if (! shared_tail_argc_code ) {
#             define XfOrM961_COUNT (0+XfOrM960_COUNT)
#             define SETUP_XfOrM961(x) SETUP_XfOrM960(x)
              shared_tail_argc_code = FUNCCALL(SETUP_XfOrM961(_), generate_shared_call (- 1 , jitter , 1 , 1 , 0 , 0 , 0 ) ); 
            }
            ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            (void ) ((((! ((((unsigned ) (((_ul ) ((shared_tail_argc_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((shared_tail_argc_code ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((shared_tail_argc_code ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((shared_tail_argc_code ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((shared_tail_argc_code ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          }
          else {
            int mo = multi_ok ? 1 : 0 ; 
            void * code ; 
            BLOCK_SETUP((PUSH(code, 0+XfOrM957_COUNT)));
#           define XfOrM958_COUNT (1+XfOrM957_COUNT)
#           define SETUP_XfOrM958(x) SETUP(XfOrM958_COUNT)
            code = NULLED_OUT ; 
            if (! shared_non_tail_argc_code [mo ] ) {
#             define XfOrM959_COUNT (0+XfOrM958_COUNT)
#             define SETUP_XfOrM959(x) SETUP_XfOrM958(x)
              FUNCCALL(SETUP_XfOrM959(_), ensure_retry_available (jitter , multi_ok ) ); 
              code = FUNCCALL(SETUP_XfOrM959(_), generate_shared_call (- 2 , jitter , multi_ok , 0 , 0 , 0 , 0 ) ); 
              shared_non_tail_argc_code [mo ] = code ; 
            }
            code = shared_non_tail_argc_code [mo ] ; 
            (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
            jitter -> need_set_rs = 1 ; 
            ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref5 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref5 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref5 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref5 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref5 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref5 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
            if (target != (9 + (0 ) ) )
              ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ; 
          if (is_tail )
            RET_VALUE_START (2 ) RET_VALUE_END ; 
        }
        break ; 
        case 5 : {
          Scheme_Object * p , * v ; 
          int pos ; 
          BLOCK_SETUP((PUSH(p, 0+XfOrM950_COUNT)));
#         define XfOrM955_COUNT (1+XfOrM950_COUNT)
#         define SETUP_XfOrM955(x) SETUP(XfOrM955_COUNT)
          p = NULLED_OUT ; 
          v = NULLED_OUT ; 
          ; 
          ; 
          if (jitter -> need_set_rs ) {
            (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          p = (Scheme_Object * ) (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          v = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . car ) ; 
          pos = FUNCCALL(SETUP_XfOrM955(_), mz_remap_it (jitter , (((long ) (v ) ) >> 1 ) ) ); 
          p = (((Scheme_Simple_Object * ) (p ) ) -> u . pair_val . cdr ) ; 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_envunbox ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_envunbox ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          FUNCCALL(SETUP_XfOrM955(_), generate (p , jitter , is_tail , multi_ok , target ) ); 
          ; 
        }
        break ; 
        case 9 : {
#         define XfOrM954_COUNT (0+XfOrM950_COUNT)
#         define SETUP_XfOrM954(x) SETUP_XfOrM950(x)
          obj = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          pos = FUNCCALL(SETUP_XfOrM954(_), mz_remap_it (jitter , (((Scheme_Toplevel * ) (obj ) ) -> depth ) ) ); 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          pos = (((Scheme_Toplevel * ) (obj ) ) -> position ) ; 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((make_global_ref ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((make_global_ref ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((target ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ; 
        }
        break ; 
        case 11 : {
#         define XfOrM953_COUNT (0+XfOrM950_COUNT)
#         define SETUP_XfOrM953(x) SETUP_XfOrM950(x)
          FUNCCALL_EMPTY(scheme_signal_error ("cannot JIT a top-level splice form" ) ); 
        }
        break ; 
        default : {
          if (jitter -> need_set_rs ) {
            (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            jitter -> need_set_rs = 0 ; 
          }
          ; 
          obj = (((Scheme_Simple_Object * ) (obj ) ) -> u . ptr_int_val . ptr ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((obj ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((obj ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_syntax_executers [pos ] ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_syntax_executers [pos ] ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((target ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ; 
        }
      }
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_application_type : {
      Scheme_App_Rec * app = (Scheme_App_Rec * ) obj ; 
      int r ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM878_COUNT)));
#     define XfOrM948_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM948(x) SETUP(XfOrM948_COUNT)
      ; 
      r = FUNCCALL(SETUP_XfOrM948(_), generate_inlined_nary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      r = FUNCCALL(SETUP_XfOrM948(_), generate_app (app , ((void * ) 0 ) , app -> num_args , jitter , is_tail , multi_ok ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (target != (9 + (0 ) ) )
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (r ) RET_VALUE_END ; 
    }
    case scheme_application2_type : {
      Scheme_App2_Rec * app = (Scheme_App2_Rec * ) obj ; 
      Scheme_Object * args [2 ] ; 
      int r ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM878_COUNT), PUSHARRAY(args, 2, 1+XfOrM878_COUNT)));
#     define XfOrM947_COUNT (4+XfOrM878_COUNT)
#     define SETUP_XfOrM947(x) SETUP(XfOrM947_COUNT)
      args[0] = NULLED_OUT ; 
      args[1] = NULLED_OUT ; 
      r = FUNCCALL(SETUP_XfOrM947(_), generate_inlined_unary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      args [0 ] = app -> rator ; 
      args [1 ] = app -> rand ; 
      r = FUNCCALL(SETUP_XfOrM947(_), generate_app (((void * ) 0 ) , args , 1 , jitter , is_tail , multi_ok ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (target != (9 + (0 ) ) )
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (r ) RET_VALUE_END ; 
    }
    case scheme_application3_type : {
      Scheme_App3_Rec * app = (Scheme_App3_Rec * ) obj ; 
      Scheme_Object * args [3 ] ; 
      int r ; 
      BLOCK_SETUP((PUSH(app, 0+XfOrM878_COUNT), PUSHARRAY(args, 3, 1+XfOrM878_COUNT)));
#     define XfOrM946_COUNT (4+XfOrM878_COUNT)
#     define SETUP_XfOrM946(x) SETUP(XfOrM946_COUNT)
      args[0] = NULLED_OUT ; 
      args[1] = NULLED_OUT ; 
      args[2] = NULLED_OUT ; 
      r = FUNCCALL(SETUP_XfOrM946(_), generate_inlined_binary (jitter , app , is_tail , multi_ok , ((void * ) 0 ) , 1 ) ); 
      if (r )
        RET_VALUE_START (r ) RET_VALUE_END ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      args [0 ] = app -> rator ; 
      args [1 ] = app -> rand1 ; 
      args [2 ] = app -> rand2 ; 
      r = FUNCCALL(SETUP_XfOrM946(_), generate_app (((void * ) 0 ) , args , 2 , jitter , is_tail , multi_ok ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (target != (9 + (0 ) ) )
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      RET_VALUE_START (r ) RET_VALUE_END ; 
    }
    case scheme_sequence_type : {
      Scheme_Sequence * seq = (Scheme_Sequence * ) obj ; 
      int cnt = seq -> count , i ; 
      BLOCK_SETUP((PUSH(seq, 0+XfOrM878_COUNT)));
#     define XfOrM943_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM943(x) SETUP(XfOrM943_COUNT)
      ; 
      ; 
      for (i = 0 ; i < cnt - 1 ; i ++ ) {
#       define XfOrM945_COUNT (0+XfOrM943_COUNT)
#       define SETUP_XfOrM945(x) SETUP_XfOrM943(x)
        FUNCCALL(SETUP_XfOrM945(_), generate_ignored_non_tail (seq -> array [i ] , jitter , 1 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      ; 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (seq -> array [cnt - 1 ] , jitter , is_tail , multi_ok , target ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_branch_type : {
      Scheme_Branch_Rec * branch = (Scheme_Branch_Rec * ) obj ; 
      jit_insn * refs [6 ] , * ref2 ; 
      int nsrs , nsrs1 , g1 , g2 , amt ; 
      int then_short_ok , else_short_ok ; 
      BLOCK_SETUP((PUSH(ref2, 0+XfOrM878_COUNT), PUSHARRAY(refs, 6, 1+XfOrM878_COUNT), PUSH(branch, 4+XfOrM878_COUNT)));
#     define XfOrM920_COUNT (5+XfOrM878_COUNT)
#     define SETUP_XfOrM920(x) SETUP(XfOrM920_COUNT)
      NULL_OUT_ARRAY (refs ) ; 
      ref2 = NULLED_OUT ; 
      ; 
      then_short_ok = (FUNCCALL(SETUP_XfOrM920(_), is_short (branch -> tbranch , 32 ) )> 0 ) ; 
      else_short_ok = (FUNCCALL(SETUP_XfOrM920(_), is_short (branch -> fbranch , 32 ) )> 0 ) ; 
      ; 
      refs [0 ] = ((void * ) 0 ) ; 
      refs [1 ] = ((void * ) 0 ) ; 
      refs [2 ] = ((void * ) 0 ) ; 
      refs [3 ] = ((void * ) 0 ) ; 
      refs [4 ] = ((void * ) 0 ) ; 
      refs [5 ] = ((void * ) 0 ) ; 
      if (! FUNCCALL(SETUP_XfOrM920(_), generate_inlined_test (jitter , branch -> test , then_short_ok , refs ) )) {
#       define XfOrM940_COUNT (0+XfOrM920_COUNT)
#       define SETUP_XfOrM940(x) SETUP_XfOrM920(x)
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        FUNCCALL(SETUP_XfOrM940(_), generate_non_tail (branch -> test , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (then_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        refs [0 ] = (((! ((((unsigned ) ((((((scheme_false ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_false ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_false ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_false ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_false ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (then_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM920(_), mz_runstack_saved (jitter ) ); 
      nsrs = jitter -> need_set_rs ; 
      ; 
      ; 
      ; 
      g1 = FUNCCALL(SETUP_XfOrM920(_), generate (branch -> tbranch , jitter , is_tail , multi_ok , target ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      amt = FUNCCALL(SETUP_XfOrM920(_), mz_runstack_restored (jitter ) ); 
      if (g1 != 2 ) {
        if (amt && ! is_tail ) {
          ((! ((((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        if (else_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (else_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
        nsrs1 = jitter -> need_set_rs ; 
      }
      else {
        ref2 = 0 ; 
        nsrs1 = 0 ; 
      }
      jitter -> need_set_rs = nsrs ; 
      FUNCCALL(SETUP_XfOrM920(_), mz_runstack_saved (jitter ) ); 
      if (then_short_ok ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      if (refs [0 ] ) {
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refs [0 ] - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [0 ] - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refs [0 ] - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [0 ] - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refs [0 ] - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refs [0 ] - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refs [0 ] - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      }
      if (refs [1 ] ) {
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refs [1 ] - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [1 ] - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refs [1 ] - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [1 ] - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refs [1 ] - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refs [1 ] - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refs [1 ] - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      }
      if (refs [2 ] ) {
        (* ((refs [2 ] ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((refs [2 ] ) - 2 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) , * ((refs [2 ] ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((refs [2 ] ) - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      }
      if (refs [3 ] ) {
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refs [3 ] - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [3 ] - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refs [3 ] - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [3 ] - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refs [3 ] - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refs [3 ] - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refs [3 ] - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      }
      if (refs [4 ] ) {
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refs [4 ] - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [4 ] - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refs [4 ] - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [4 ] - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refs [4 ] - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (refs [4 ] - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (refs [4 ] - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      }
      if (refs [5 ] ) {
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (refs [5 ] - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [5 ] - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (refs [5 ] - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (refs [5 ] - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (refs [5 ] - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (refs [5 ] - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (refs [5 ] - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
      }
      if (then_short_ok ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      ; 
      ; 
      ; 
      ; 
      g2 = FUNCCALL(SETUP_XfOrM920(_), generate (branch -> fbranch , jitter , is_tail , multi_ok , target ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      amt = FUNCCALL(SETUP_XfOrM920(_), mz_runstack_restored (jitter ) ); 
      if (g2 != 2 ) {
        if (amt && ! is_tail ) {
          ((! ((((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((amt ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
      }
      else {
        jitter -> need_set_rs = 0 ; 
      }
      if (g1 != 2 ) {
        if (else_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
        if (else_short_ok ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
      }
      ; 
      ; 
      if ((g1 == 2 ) && (g2 == 2 ) )
        RET_VALUE_START (2 ) RET_VALUE_END ; 
      if (nsrs1 )
        jitter -> need_set_rs = 1 ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    case scheme_unclosed_procedure_type : {
      Scheme_Closure_Data * data = (Scheme_Closure_Data * ) obj ; 
      BLOCK_SETUP((PUSH(data, 0+XfOrM878_COUNT)));
#     define XfOrM919_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM919(x) SETUP(XfOrM919_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM919(_), generate_closure (data , jitter , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM919(_), generate_closure_fill (data , jitter ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (target != (9 + (0 ) ) )
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    }
    case scheme_let_value_type : {
      Scheme_Let_Value * lv = (Scheme_Let_Value * ) obj ; 
      int ab = (& lv -> iso ) -> so . keyex , i , pos ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM878_COUNT)));
#     define XfOrM905_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM905(x) SETUP(XfOrM905_COUNT)
      ; 
      ; 
      if (lv -> count == 1 ) {
#       define XfOrM916_COUNT (0+XfOrM905_COUNT)
#       define SETUP_XfOrM916(x) SETUP_XfOrM905(x)
        FUNCCALL(SETUP_XfOrM916(_), generate_non_tail (lv -> value , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (ab ) {
#         define XfOrM918_COUNT (0+XfOrM916_COUNT)
#         define SETUP_XfOrM918(x) SETUP_XfOrM916(x)
          pos = FUNCCALL(SETUP_XfOrM918(_), mz_remap_it (jitter , lv -> position ) ); 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        }
        else {
#         define XfOrM917_COUNT (0+XfOrM916_COUNT)
#         define SETUP_XfOrM917(x) SETUP_XfOrM916(x)
          pos = FUNCCALL(SETUP_XfOrM917(_), mz_remap_it (jitter , lv -> position ) ); 
          ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
        jit_insn * ref , * ref2 , * ref3 ; 
        BLOCK_SETUP((PUSH(ref, 0+XfOrM905_COUNT), PUSH(ref3, 1+XfOrM905_COUNT), PUSH(ref2, 2+XfOrM905_COUNT)));
#       define XfOrM906_COUNT (3+XfOrM905_COUNT)
#       define SETUP_XfOrM906(x) SETUP(XfOrM906_COUNT)
        ref = NULLED_OUT ; 
        ref2 = NULLED_OUT ; 
        ref3 = NULLED_OUT ; 
        FUNCCALL(SETUP_XfOrM906(_), generate_non_tail (lv -> value , jitter , 1 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        ref = (((! ((((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((Scheme_Object * ) 0x6 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ref2 = (((! ((((unsigned ) (((lv -> count ) ) ) ) ^ (((unsigned ) (((lv -> count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((lv -> count ) ) ) ^ (((unsigned ) ((lv -> count ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((lv -> count ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ref3 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref3 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
        if (jitter -> need_set_rs ) {
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        ; 
        ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
        (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((! ((((unsigned ) ((lv -> count ) ) ) ^ (((unsigned ) ((lv -> count ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((lv -> count ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((lv -> count ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((lexical_binding_wrong_return_arity ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((lexical_binding_wrong_return_arity ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
        for (i = 0 ; i < lv -> count ; i ++ ) {
#         define XfOrM910_COUNT (0+XfOrM906_COUNT)
#         define SETUP_XfOrM910(x) SETUP_XfOrM906(x)
          ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          if (ab ) {
#           define XfOrM912_COUNT (0+XfOrM910_COUNT)
#           define SETUP_XfOrM912(x) SETUP_XfOrM910(x)
            pos = FUNCCALL(SETUP_XfOrM912(_), mz_remap_it (jitter , lv -> position + i ) ); 
            ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          }
          else {
#           define XfOrM911_COUNT (0+XfOrM910_COUNT)
#           define SETUP_XfOrM911(x) SETUP_XfOrM910(x)
            pos = FUNCCALL(SETUP_XfOrM911(_), mz_remap_it (jitter , lv -> position + i ) ); 
            ((! ((((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((pos ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((pos ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((pos ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          }
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
        }
      }
      ; 
      ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM905(_), generate (lv -> body , jitter , is_tail , multi_ok , target ) )) RET_VALUE_END ; 
    }
    case scheme_let_void_type : {
      Scheme_Let_Void * lv = (Scheme_Let_Void * ) obj ; 
      int c = lv -> count ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM878_COUNT)));
#     define XfOrM900_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM900(x) SETUP(XfOrM900_COUNT)
      ; 
      ; 
      ((! ((((unsigned ) ((((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((c ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM900(_), stack_safety (jitter , c , 0 ) ); 
      FUNCCALL_AGAIN(mz_runstack_pushed (jitter , c ) ); 
      if ((& lv -> iso ) -> so . keyex ) {
        int i ; 
        if (jitter -> need_set_rs ) {
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
          jitter -> need_set_rs = 0 ; 
        }
        ; 
        for (i = 0 ; i < c ; i ++ ) {
          if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
            RET_VALUE_START (0 ) RET_VALUE_END ; 
          ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_undefined ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_undefined ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
          (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
          (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_envunbox ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_make_envunbox ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM900(_), generate (lv -> body , jitter , is_tail , multi_ok , target ) )) RET_VALUE_END ; 
    }
    case scheme_letrec_type : {
      Scheme_Letrec * l = (Scheme_Letrec * ) obj ; 
      int i , nsrs ; 
      BLOCK_SETUP((PUSH(l, 0+XfOrM878_COUNT)));
#     define XfOrM890_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM890(x) SETUP(XfOrM890_COUNT)
      ; 
      ; 
      for (i = 0 ; i < l -> count ; i ++ ) {
#       define XfOrM899_COUNT (0+XfOrM890_COUNT)
#       define SETUP_XfOrM899(x) SETUP_XfOrM890(x)
        ((Scheme_Closure_Data * ) l -> procs [i ] ) -> context = (Scheme_Object * ) l ; 
        FUNCCALL(SETUP_XfOrM899(_), generate_closure ((Scheme_Closure_Data * ) l -> procs [i ] , jitter , i + 1 == l -> count ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      for (i = l -> count ; i -- ; ) {
#       define XfOrM896_COUNT (0+XfOrM890_COUNT)
#       define SETUP_XfOrM896(x) SETUP_XfOrM890(x)
        if (i != l -> count - 1 ) {
          ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        FUNCCALL(SETUP_XfOrM896(_), generate_closure_fill ((Scheme_Closure_Data * ) l -> procs [i ] , jitter ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      ; 
      ; 
      nsrs = jitter -> need_set_rs ; 
      if (FUNCCALL(SETUP_XfOrM890(_), mz_try_runstack_pop (jitter , l -> count ) )) {
        int i ; 
#       define XfOrM891_COUNT (0+XfOrM890_COUNT)
#       define SETUP_XfOrM891(x) SETUP_XfOrM890(x)
        for (i = l -> count ; i -- ; ) {
          Scheme_Closure_Data * data2 = (Scheme_Closure_Data * ) l -> procs [i ] ; 
          BLOCK_SETUP((PUSH(data2, 0+XfOrM891_COUNT)));
#         define XfOrM893_COUNT (1+XfOrM891_COUNT)
#         define SETUP_XfOrM893(x) SETUP(XfOrM893_COUNT)
          FUNCCALL(SETUP_XfOrM893(_), mz_runstack_closure_pushed (jitter , (data2 -> num_params - (((& (data2 ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ) , ((((& (data2 ) -> iso ) -> so . keyex & 4 ) ? 0x1 : 0 ) | (((& (data2 ) -> iso ) -> so . keyex & 32 ) ? 0x2 : 0 ) ) ) ); 
        }
        jitter -> need_set_rs = nsrs ; 
      }
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (l -> body , jitter , is_tail , multi_ok , target ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_let_one_type : {
      Scheme_Let_One * lv = (Scheme_Let_One * ) obj ; 
      BLOCK_SETUP((PUSH(lv, 0+XfOrM878_COUNT)));
#     define XfOrM889_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM889(x) SETUP(XfOrM889_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM889(_), mz_runstack_skipped (jitter , 1 ) ); 
      ; 
      FUNCCALL_AGAIN(generate_non_tail (lv -> value , jitter , 0 , 1 ) ); 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      FUNCCALL(SETUP_XfOrM889(_), mz_runstack_unskipped (jitter , 1 ) ); 
      ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      FUNCCALL(SETUP_XfOrM889(_), mz_runstack_pushed (jitter , 1 ) ); 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
      ; 
      (jitter -> status_at_ptr = (jitter -> js ) . x . pc , jitter -> reg_status = (0x1 ) ) ; 
      RET_VALUE_START (FUNCCALL(SETUP_XfOrM889(_), generate (lv -> body , jitter , is_tail , multi_ok , target ) )) RET_VALUE_END ; 
    }
    case scheme_with_cont_mark_type : {
      Scheme_With_Continuation_Mark * wcm = (Scheme_With_Continuation_Mark * ) obj ; 
      BLOCK_SETUP((PUSH(wcm, 0+XfOrM878_COUNT)));
#     define XfOrM885_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM885(x) SETUP(XfOrM885_COUNT)
      ; 
      ; 
      FUNCCALL(SETUP_XfOrM885(_), generate_non_tail (wcm -> key , jitter , 0 , 1 ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (((((long ) (wcm -> val ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (wcm -> val ) ) -> type ) > _scheme_values_types_ ) {
#       define XfOrM888_COUNT (0+XfOrM885_COUNT)
#       define SETUP_XfOrM888(x) SETUP_XfOrM885(x)
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        FUNCCALL(SETUP_XfOrM888(_), generate_non_tail (wcm -> val , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
      }
      else {
#       define XfOrM887_COUNT (0+XfOrM885_COUNT)
#       define SETUP_XfOrM887(x) SETUP_XfOrM885(x)
        FUNCCALL(SETUP_XfOrM887(_), mz_pushr_p_it (jitter , (9 + (0 ) ) ) ); 
        FUNCCALL(SETUP_XfOrM887(_), generate_non_tail (wcm -> val , jitter , 0 , 1 ) ); 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        FUNCCALL(SETUP_XfOrM887(_), mz_popr_p_it (jitter , (31 - (1 ) ) ) ); 
      }
      if (jitter -> need_set_rs ) {
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        jitter -> need_set_rs = 0 ; 
      }
      ; 
      ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_set_cont_mark ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_set_cont_mark ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ; 
      ; 
      RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(generate (wcm -> body , jitter , is_tail , multi_ok , target ) )) RET_VALUE_EMPTY_END ; 
    }
    case scheme_quote_syntax_type : {
      Scheme_Quote_Syntax * qs = (Scheme_Quote_Syntax * ) obj ; 
      int i , c , p ; 
      BLOCK_SETUP((PUSH(qs, 0+XfOrM878_COUNT)));
#     define XfOrM884_COUNT (1+XfOrM878_COUNT)
#     define SETUP_XfOrM884(x) SETUP(XfOrM884_COUNT)
      ; 
      ; 
      i = qs -> position ; 
      c = FUNCCALL(SETUP_XfOrM884(_), mz_remap_it (jitter , qs -> depth ) ); 
      p = qs -> midpoint ; 
      ((! ((((unsigned ) ((((c ) << 2 ) ) ) ) ^ (((unsigned ) ((((c ) << 2 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((c ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((c ) << 2 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((c ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((c ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      ((! ((((unsigned ) ((((i + p + 1 ) << 2 ) ) ) ) ^ (((unsigned ) ((((i + p + 1 ) << 2 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((i + p + 1 ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((i + p + 1 ) << 2 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((i + p + 1 ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((i + p + 1 ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      ((! ((((unsigned ) ((((p ) << 2 ) ) ) ) ^ (((unsigned ) ((((p ) << 2 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((p ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((p ) << 2 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((p ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((p ) << 2 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((quote_syntax_code ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((quote_syntax_code ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (target != (9 + (0 ) ) )
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((target ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    default : {
      int retptr ; 
      Scheme_Type type = ((((long ) (obj ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (obj ) ) -> type ) ; 
#     define XfOrM879_COUNT (0+XfOrM878_COUNT)
#     define SETUP_XfOrM879(x) SETUP_XfOrM878(x)
      ; 
      ; 
      if (jitter -> retain_start ) {
#       define XfOrM881_COUNT (0+XfOrM879_COUNT)
#       define SETUP_XfOrM881(x) SETUP_XfOrM879(x)
        if (type == scheme_closure_type ) {
          Scheme_Closure * c = (Scheme_Closure * ) obj ; 
#         define XfOrM883_COUNT (0+XfOrM881_COUNT)
#         define SETUP_XfOrM883(x) SETUP_XfOrM881(x)
          if (! (c -> code -> closure_size ) )
            obj = FUNCCALL(SETUP_XfOrM883(_), scheme_jit_closure ((Scheme_Object * ) c -> code , ((void * ) 0 ) ) ); 
        }
        else if (type == scheme_case_closure_type ) {
#         define XfOrM882_COUNT (0+XfOrM881_COUNT)
#         define SETUP_XfOrM882(x) SETUP_XfOrM881(x)
          obj = FUNCCALL(SETUP_XfOrM882(_), scheme_unclose_case_lambda (obj , 1 ) ); 
        }
      }
      if (! (((long ) (obj ) ) & 0x1 ) && ! ((obj ) == (scheme_true ) ) && ! ((obj ) == (scheme_false ) ) && ! ((obj ) == (scheme_void ) ) && ! ((obj ) == (scheme_null ) ) ) {
#       define XfOrM880_COUNT (0+XfOrM879_COUNT)
#       define SETUP_XfOrM880(x) SETUP_XfOrM879(x)
        retptr = FUNCCALL(SETUP_XfOrM880(_), mz_retain_it (jitter , obj ) ); 
      }
      else retptr = 0 ; 
      if (retptr )
        FUNCCALL(SETUP_XfOrM879(_), mz_load_retained (jitter , target , retptr ) ); 
      else (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((obj ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((target ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((obj ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void generate_function_prolog (mz_jit_state * jitter , void * code , int max_let_depth ) {
  int in ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM998_COUNT (1)
# define SETUP_XfOrM998(x) SETUP(XfOrM998_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ; 
  FUNCCALL(SETUP_XfOrM998(_), _jit_prolog (& (jitter -> js ) , (3 ) ) ); 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_function_getarg (mz_jit_state * jitter , int has_rest , int num_params ) {
  /* No conversion */
  int i , cnt ; 
  jit_insn * ref ; 
  int set_ref ; 
  ; 
  if (! has_rest && num_params ) {
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    if (num_params < 10 ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
    }
    else {
      if (num_params < 100 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
    }
    ; 
    ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (num_params < 10 ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    else {
      if (num_params < 100 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    ; 
    set_ref = 1 ; 
  }
  else {
    ref = 0 ; 
    set_ref = 0 ; 
  }
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  cnt = num_params ; 
  if (cnt ) {
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
    ((! ((((unsigned ) ((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    if (has_rest )
      -- cnt ; 
  }
  for (i = cnt ; i -- ; ) {
    ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      return 0 ; 
    ; 
  }
  if (set_ref ) {
    if (num_params < 10 ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
    }
    else {
      if (num_params < 100 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
    }
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    if (num_params < 10 ) {
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    else {
      if (num_params < 100 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
    }
    ; 
  }
  return cnt ; 
}
/* this far 6879 */
/* this far 6879 */
static int do_generate_common (mz_jit_state * jitter , void * _data ) {
  int in , i , ii , iii ; 
  GC_CAN_IGNORE jit_insn * ref , * ref2 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(13);
  BLOCK_SETUP_TOP((PUSH(jitter, 0)));
# define XfOrM1022_COUNT (1)
# define SETUP_XfOrM1022(x) SETUP(XfOrM1022_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  check_arity_code = (Native_Check_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_prolog (& (jitter -> js ) , (3 ) ) ); 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  ((! ((((unsigned ) ((- 1 ) ) ) ^ (((unsigned ) ((- 1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- 1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  get_arity_code = (Native_Get_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_prolog (& (jitter -> js ) , (3 ) ) ); 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  ((! ((((unsigned ) ((- 1 ) ) ) ^ (((unsigned ) ((- 1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- 1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  bad_result_arity_code = (Native_Get_Arity_Proc ) ((jitter -> js ) . x . code ) . ptr ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_thread ) ) ) ) - (((((_ul ) (((& scheme_current_thread ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_thread ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Thread * ) 0x0 ) -> ku . multiple . array ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_wrong_return_arity ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_wrong_return_arity ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  unbound_global_code = ((jitter -> js ) . x . code ) . ptr ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_unbound_global ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_unbound_global ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  quote_syntax_code = ((jitter -> js ) . x . code ) . ptr ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((64 ) ) ) ) ) ) ^ (((unsigned ) (((((64 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((64 ) ) ) ) ) ^ (((unsigned ) ((((64 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((64 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref = (((! ((((unsigned ) ((((((0x0 ) ) ) ) ) ) ) ^ (((unsigned ) ((((((0x0 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((0x0 ) ) ) ) ) ) ^ (((unsigned ) (((((0x0 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0x0 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((0x0 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (1 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (1 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((9 + (1 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (1 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_delayed_rename ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_delayed_rename ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((64 ) ) ) ) ) ) ^ (((unsigned ) (((((64 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((64 ) ) ) ) ) ^ (((unsigned ) ((((64 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((64 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((64 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
  for (i = 0 ; i < 8 ; i ++ ) {
    switch (i ) {
      case 0 : bad_car_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 1 : bad_cdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 2 : bad_caar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 3 : bad_cadr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 4 : bad_cdar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 5 : bad_cddr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 6 : bad_mcar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 7 : bad_mcdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
    }
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    if ((i < 2 ) || (i > 5 ) ) {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    else {
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    }
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    switch (i ) {
      case 0 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_car ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_car ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 1 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cdr ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cdr ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 2 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_caar ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_caar ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 3 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cadr ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cadr ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 4 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cdar ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cdar ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 5 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cddr ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_cddr ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 6 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_mcar ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_mcar ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 7 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_mcdr ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_mcdr ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  for (i = 0 ; i < 2 ; i ++ ) {
    switch (i ) {
      case 0 : bad_set_mcar_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
      case 1 : bad_set_mcdr_code = ((jitter -> js ) . x . code ) . ptr ; 
      break ; 
    }
    ((! ((((unsigned ) ((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((! ((((unsigned ) ((2 ) ) ) ^ (((unsigned ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((2 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    switch (i ) {
      case 0 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_set_mcar ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_set_mcar ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
      case 1 : (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_set_mcdr ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_set_mcdr ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      break ; 
    }
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  bad_unbox_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_unbox ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_unbox ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  for (i = 0 ; i < 3 ; i ++ ) {
    int argc , j ; 
    for (j = 0 ; j < 2 ; j ++ ) {
      if (! i ) {
        if (! j )
          call_original_unary_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_unary_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 1 ; 
      }
      else if (i == 1 ) {
        if (! j )
          call_original_binary_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_binary_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 2 ; 
      }
      else {
        if (! j )
          call_original_binary_rev_arith_code = ((jitter -> js ) . x . code ) . ptr ; 
        else call_original_binary_rev_arith_for_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        argc = 2 ; 
      }
      ((! ((((unsigned ) ((((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      if (i == 2 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else if (i == 1 ) {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      else {
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      ((! ((((unsigned ) ((argc ) ) ) ^ (((unsigned ) ((argc ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((argc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((argc ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((argc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((argc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
      ((! ((((unsigned ) ((((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((argc ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      if (! j ) {
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      }
      else {
        ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        ref = (((! ((((unsigned ) ((((((scheme_true ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_true ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_true ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_true ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_true ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_true ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_true ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_true ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_true ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  on_demand_jit_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_prolog (& (jitter -> js ) , (3 ) ) ); 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((in ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  in = ((jitter -> js ) . jitl . nextarg_geti ++ ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((9 + (2 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((in ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ; 
  on_demand_jit_arity_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((! ((((unsigned ) ((((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((0x1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((on_demand ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((on_demand ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((2 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((2 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((2 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) ((((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((3 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) ^ (((unsigned ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> max_let_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) - (((((_ul ) (((& scheme_current_runstack_start ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack_start ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (40 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ref2 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> arity_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_multi_from_native ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_multi_from_native ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_epilog (& (jitter -> js ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  app_values_tail_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((tail_call_with_values_from_multiple_result ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((tail_call_with_values_from_multiple_result ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ; 
  ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_epilog (& (jitter -> js ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  finish_tail_call_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), generate_finish_tail_call (jitter , 0 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  finish_tail_call_fixup_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), generate_finish_tail_call (jitter , 2 ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  get_stack_pointer_code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_prolog (& (jitter -> js ) , (0 ) ) ); 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  FUNCCALL(SETUP_XfOrM1022(_), _jit_epilog (& (jitter -> js ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  stack_cache_pop_code = ((jitter -> js ) . x . code ) . ptr ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (7 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (7 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((- (1 ) ) ) ) ) ^ (((unsigned ) (((- (1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((- (1 ) ) ) ) ^ (((unsigned ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- (1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& stack_cache_stack_pos ) ) ) - (((((_ul ) ((& stack_cache_stack_pos ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& stack_cache_stack_pos ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((2 + 2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((2 + 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) ^ (((unsigned ) (((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) ^ (((unsigned ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((int ) & ((Stack_Cache_Elem * ) 0x0 ) -> orig_return_address ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& stack_cache_stack ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& stack_cache_stack ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (7 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  bad_app_vals_target = ((jitter -> js ) . x . code ) . ptr ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((raise_bad_call_with_values ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((raise_bad_call_with_values ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  for (i = 0 ; i < 2 ; i ++ ) {
    if (i )
      app_values_multi_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
    else app_values_slow_code = ((jitter -> js ) . x . code ) . ptr ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (i ) {
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_with_values_from_multiple_result_multi ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_with_values_from_multiple_result_multi ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    }
    else {
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_with_values_from_multiple_result ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((call_with_values_from_multiple_result ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    }
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ; 
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  for (iii = 0 ; iii < 2 ; iii ++ ) {
    for (ii = 0 ; ii < 3 ; ii ++ ) {
      for (i = 0 ; i < 2 ; i ++ ) {
        jit_insn * ref , * reffail ; 
        Scheme_Type ty ; 
        int offset , count_offset , log_elem_size ; 
        ref = NULLED_OUT ; 
        reffail = NULLED_OUT ; 
        switch (ii ) {
          case 0 : ty = scheme_vector_type ; 
          offset = (int ) & (((Scheme_Vector * ) (0x0 ) ) -> els ) ; 
          count_offset = (int ) & (((Scheme_Vector * ) (0x0 ) ) -> size ) ; 
          log_elem_size = 2 ; 
          if (! iii ) {
            if (! i ) {
              vector_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              vector_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              vector_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              vector_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
          case 1 : ty = scheme_char_string_type ; 
          offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . char_str_val . string_val ) ; 
          count_offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . char_str_val . tag_val ) ; 
          log_elem_size = 2 ; 
          if (! iii ) {
            if (! i ) {
              string_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              string_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              string_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              string_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
          default : case 2 : ty = scheme_byte_string_type ; 
          offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . byte_str_val . string_val ) ; 
          count_offset = (int ) & (((Scheme_Simple_Object * ) (0x0 ) ) -> u . byte_str_val . tag_val ) ; 
          log_elem_size = 0 ; 
          if (! iii ) {
            if (! i ) {
              bytes_ref_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              bytes_ref_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          else {
            if (! i ) {
              bytes_set_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
            else {
              bytes_set_check_index_code = ((jitter -> js ) . x . code ) . ptr ; 
            }
          }
          break ; 
        }
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 0 ; 
        }
        ; 
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        reffail = (jitter -> js ) . x . pc ; 
        if (! i ) {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        ((! ((((unsigned ) ((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((1 ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((1 ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (! iii ) {
          ((! ((((unsigned ) ((2 ) ) ) ^ (((unsigned ) ((2 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((2 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((2 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        }
        else {
          ((! ((((unsigned ) ((3 ) ) ) ^ (((unsigned ) ((3 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((3 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
        }
        (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
        (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        switch (ii ) {
          case 0 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_vector_ref ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_vector_ref ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_vector_set ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_vector_set ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          }
          break ; 
          case 1 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_string_ref ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_string_ref ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
            ((! ((((unsigned ) ((((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((2 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_string_set ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_string_set ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          }
          break ; 
          case 2 : if (! iii ) {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_byte_string_ref ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_byte_string_ref ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          }
          else {
            (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_byte_string_set ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_byte_string_set ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
          }
          break ; 
        }
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        if (i ) {
          (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          (void ) (((! ((((unsigned ) ((((0x0 ) ) ) ) ) ^ (((unsigned ) ((((0x0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x0 ) ) ) ) ^ (((unsigned ) (((0x0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        (void ) (((! ((((unsigned ) (((ty ) ) ) ) ^ (((unsigned ) (((ty ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((ty ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((ty ) ) ) ^ (((unsigned ) ((ty ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((ty ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((ty ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((ty ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((ty ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (iii ) {
          ((! ((((unsigned ) (((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) ^ (((unsigned ) (((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) ^ (((unsigned ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (((Scheme_Inclhash_Object * ) 0x0 ) -> so . keyex ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
          (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        ((! ((((unsigned ) (((count_offset ) ) ) ) ^ (((unsigned ) (((count_offset ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((count_offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((count_offset ) ) ) ^ (((unsigned ) ((count_offset ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((count_offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((count_offset ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((count_offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((count_offset ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (i ) {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          if (log_elem_size )
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((log_elem_size ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((log_elem_size ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          if (! ii )
            ((! ((((unsigned ) ((((((long ) (offset ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (offset ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (offset ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (offset ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (offset ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (offset ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (offset ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (offset ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        }
        else {
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        if (! iii ) {
          switch (ii ) {
            case 0 : ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            break ; 
            case 1 : ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            (void ) (((! ((((unsigned ) ((((255 ) ) ) ) ) ^ (((unsigned ) ((((255 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((255 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((255 ) ) ) ) ^ (((unsigned ) (((255 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((255 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((255 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((255 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((255 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_constants ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_constants ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            break ; 
            case 2 : ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (87 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (954 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
            ((! (((unsigned ) ((((0xFF ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0xFF ) ) ) ) ^ (((unsigned ) (((0xFF ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0xFF ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - (((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            ((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            break ; 
          }
        }
        else {
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          switch (ii ) {
            case 0 : ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            break ; 
            case 1 : (void ) (((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            (void ) (((! ((((unsigned ) (((scheme_char_type ) ) ) ) ^ (((unsigned ) (((scheme_char_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_char_type ) ) ) ^ (((unsigned ) ((scheme_char_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_char_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            ((! ((((unsigned ) (((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) ^ (((unsigned ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Small_Object * ) 0x0 ) -> u . char_val ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            break ; 
            case 2 : (void ) (((! (((unsigned ) ((((0x1 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x1 ) ) ) ) ^ (((unsigned ) (((0x1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (32 - (((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (((1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            (void ) (((! (((unsigned ) ((((~ 0xFF ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((~ 0xFF ) ) ) ) ^ (((unsigned ) (((~ 0xFF ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((~ 0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0xFF ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((~ 0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((~ 0xFF ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((reffail ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
            ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
            ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (215 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
            break ; 
          }
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_void ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
        if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
          RET_VALUE_START (0 ) RET_VALUE_END ; 
        ; 
        if (1 ) {
          (jitter -> js ) . jitl . long_jumps = 1 ; 
        }
        ; 
      }
    }
  }
  {
    jit_insn * ref , * reffail ; 
    ref = NULLED_OUT ; 
    reffail = NULLED_OUT ; 
    syntax_e_code = ((jitter -> js ) . x . code ) . ptr ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    reffail = (jitter -> js ) . x . pc ; 
    ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_syntax_e ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_checked_syntax_e ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (void ) (((! ((((unsigned ) (((scheme_stx_type ) ) ) ) ^ (((unsigned ) (((scheme_stx_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_stx_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_stx_type ) ) ) ^ (((unsigned ) ((scheme_stx_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_stx_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_stx_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_stx_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_stx_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((reffail ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((reffail ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((reffail ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) ((((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((& ((Scheme_Stx * ) 0x0 ) -> u . lazy_prefix ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref = (((! ((((unsigned ) ((((0x0 ) ) ) ) ) ^ (((unsigned ) ((((0x0 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((0x0 ) ) ) ) ^ (((unsigned ) (((0x0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((0x0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((! ((((unsigned ) (((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) ^ (((unsigned ) (((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) ^ (((unsigned ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& (& ((Scheme_Stx * ) 0x0 ) -> iso ) -> so . keyex ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (void ) (((! (((unsigned ) (((((0x2 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x2 ) ) ) ) ) ^ (((unsigned ) ((((0x2 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x2 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x2 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((reffail ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((reffail ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((reffail ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((! ((((unsigned ) (((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Stx * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((9 + (2 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (1 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
  }
  {
#   define XfOrM1035_COUNT (0+XfOrM1022_COUNT)
#   define SETUP_XfOrM1035(x) SETUP_XfOrM1022(x)
    for (i = 0 ; i < 3 ; i ++ ) {
      void * code , * code_end ; 
      int kind , for_branch ; 
      jit_insn * ref , * ref2 , * refslow , * bref1 , * bref2 , * bref3 , * bref4 , * bref5 , * bref6 , * bref8 ; 
      BLOCK_SETUP((PUSH(ref, 0+XfOrM1035_COUNT), PUSH(bref1, 1+XfOrM1035_COUNT), PUSH(ref2, 2+XfOrM1035_COUNT), PUSH(bref8, 3+XfOrM1035_COUNT), PUSH(code, 4+XfOrM1035_COUNT), PUSH(bref6, 5+XfOrM1035_COUNT), PUSH(refslow, 6+XfOrM1035_COUNT), PUSH(bref2, 7+XfOrM1035_COUNT), PUSH(bref3, 8+XfOrM1035_COUNT), PUSH(bref5, 9+XfOrM1035_COUNT), PUSH(code_end, 10+XfOrM1035_COUNT), PUSH(bref4, 11+XfOrM1035_COUNT)));
#     define XfOrM1058_COUNT (12+XfOrM1035_COUNT)
#     define SETUP_XfOrM1058(x) SETUP(XfOrM1058_COUNT)
      code = NULLED_OUT ; 
      code_end = NULLED_OUT ; 
      ref = NULLED_OUT ; 
      ref2 = NULLED_OUT ; 
      refslow = NULLED_OUT ; 
      bref1 = NULLED_OUT ; 
      bref2 = NULLED_OUT ; 
      bref3 = NULLED_OUT ; 
      bref4 = NULLED_OUT ; 
      bref5 = NULLED_OUT ; 
      bref6 = NULLED_OUT ; 
      bref8 = NULLED_OUT ; 
      code = ((jitter -> js ) . x . code ) . ptr ; 
      if (! i ) {
        kind = 1 ; 
        for_branch = 0 ; 
        struct_pred_code = ((jitter -> js ) . x . code ) . ptr ; 
      }
      else if (i == 1 ) {
        kind = 1 ; 
        for_branch = 1 ; 
        struct_pred_branch_code = ((jitter -> js ) . x . code ) . ptr ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      }
      else {
        kind = 2 ; 
        for_branch = 0 ; 
        struct_get_code = ((jitter -> js ) . x . code ) . ptr ; 
      }
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 0 ; 
      }
      ; 
      ref = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      refslow = (jitter -> js ) . x . pc ; 
      ((! ((((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ; 
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
      ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_from_native ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((_scheme_apply_from_native ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ; 
      ((! ((((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (((1 ) << 2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
      if (! for_branch ) {
        (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
        bref5 = ((void * ) 0 ) ; 
        bref6 = ((void * ) 0 ) ; 
      }
      else {
        bref5 = (((! ((((unsigned ) ((((((scheme_false ) ) ) ) ) ) ) ^ (((unsigned ) ((((((scheme_false ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((scheme_false ) ) ) ) ) ) ^ (((unsigned ) (((((scheme_false ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_false ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((scheme_false ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        bref6 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((! ((((unsigned ) (((scheme_prim_type ) ) ) ) ^ (((unsigned ) (((scheme_prim_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_prim_type ) ) ) ^ (((unsigned ) ((scheme_prim_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_prim_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) ^ (((unsigned ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Primitive_Proc * ) 0x0 ) -> pp . flags ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      (void ) (((! (((unsigned ) (((((kind == 1 ) ? 16 : 8 ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) ^ (((unsigned ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((kind == 1 ) ? 16 : 8 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (kind == 1 ) {
        bref1 = (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ; 
        ref2 = (((! ((((unsigned ) (((scheme_structure_type ) ) ) ) ^ (((unsigned ) (((scheme_structure_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_structure_type ) ) ) ^ (((unsigned ) ((scheme_structure_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_structure_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ; 
        bref2 = (((! ((((unsigned ) (((scheme_proc_struct_type ) ) ) ) ^ (((unsigned ) (((scheme_proc_struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_proc_struct_type ) ) ) ^ (((unsigned ) ((scheme_proc_struct_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_proc_struct_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((! (((unsigned ) (((((0x1 ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (28 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((0x1 ) ) ) ) ) ^ (((unsigned ) ((((0x1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (28 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((refslow ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((refslow ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ((! ((((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (42 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) ^ (((unsigned ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Object * ) 0x0 ) -> type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (343 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ; 
        ref2 = (((! ((((unsigned ) (((scheme_structure_type ) ) ) ) ^ (((unsigned ) (((scheme_structure_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_structure_type ) ) ) ^ (((unsigned ) ((scheme_structure_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_structure_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_structure_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ; 
        (void ) (((! ((((unsigned ) (((scheme_proc_struct_type ) ) ) ) ^ (((unsigned ) (((scheme_proc_struct_type ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((scheme_proc_struct_type ) ) ) ^ (((unsigned ) ((scheme_proc_struct_type ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_proc_struct_type ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_proc_struct_type ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        bref1 = bref2 = ((void * ) 0 ) ; 
      }
      ; 
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
      ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((! ((((unsigned ) (((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (kind == 2 ) {
        ((! ((((unsigned ) (((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ^ (((unsigned ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (kind == 2 ) {
        ; 
        bref8 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        ; 
      }
      else bref8 = ((void * ) 0 ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) ^ (((unsigned ) (((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) ^ (((unsigned ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Scheme_Struct_Type * ) 0x0 ) -> name_pos ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (kind == 1 ) {
        bref3 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      }
      else {
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((refslow ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((refslow ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((refslow ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        bref3 = ((void * ) 0 ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) ((((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Struct_Type * ) 0x0 ) -> parent_types ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Structure * ) 0x0 ) -> stype ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      ((! ((((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (kind == 2 ) {
        ((! ((((unsigned ) (((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) ^ (((unsigned ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Struct_Proc_Info * ) 0x0 ) -> struct_type ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      }
      if (kind == 1 ) {
        bref4 = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        if (! for_branch ) {
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_true ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        }
        else {
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref6 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref6 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref6 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref6 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref6 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (bref6 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (bref6 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
        }
        (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref1 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref1 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref1 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref1 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref1 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref1 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref1 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref4 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref4 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref4 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref4 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref4 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref4 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref4 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        if (for_branch ) {
          ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref5 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref5 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref5 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref5 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref5 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref5 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref5 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
          ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (3 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
          ; 
          (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
        }
        else {
          (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_false ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
          (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
        }
      }
      else {
        (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((refslow ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((refslow ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((refslow ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
        bref4 = ((void * ) 0 ) ; 
        ; 
        ((jitter -> js ) . jitl . long_jumps ? (void ) (* (bref8 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref8 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (bref8 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (bref8 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (bref8 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (bref8 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (bref8 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
        ; 
        ((! ((((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Primitive_Closure * ) 0x0 ) -> val ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) (((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) ^ (((unsigned ) (((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) ^ (((unsigned ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& ((Struct_Proc_Info * ) 0x0 ) -> field ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (21 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 6 ) | ((((_ul ) (31 - ((((2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        ((! ((((unsigned ) ((((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) ^ (((unsigned ) ((((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) ^ (((unsigned ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((long ) (& ((Scheme_Structure * ) 0x0 ) -> slots ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (1 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
        ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
        (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
      }
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
      if (1 ) {
        (jitter -> js ) . jitl . long_jumps = 1 ; 
      }
      ; 
      if (jitter -> retain_start ) {
#       define XfOrM1059_COUNT (0+XfOrM1058_COUNT)
#       define SETUP_XfOrM1059(x) SETUP_XfOrM1058(x)
        code_end = ((jitter -> js ) . x . code ) . ptr ; 
        FUNCCALL(SETUP_XfOrM1059(_), add_symbol ((unsigned long ) code , (unsigned long ) code_end - 1 , scheme_false , 0 ) ); 
      }
    }
  }
  for (i = 0 ; i < 3 ; i ++ ) {
    if (! i )
      retry_alloc_code = ((jitter -> js ) . x . code ) . ptr ; 
    else if (i == 1 )
      retry_alloc_code_keep_r0_r1 = ((jitter -> js ) . x . code ) . ptr ; 
    else retry_alloc_code_keep_fpr1 = ((jitter -> js ) . x . code ) . ptr ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (339 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    if (i == 2 ) {
      (void ) ((! ((((unsigned ) ((& save_fp ) ) ) ^ (((unsigned ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (54 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& save_fp ) ) ) ^ (((unsigned ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& save_fp ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (54 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    }
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . nextarg_puti = (2 ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (i == 1 ) {
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    }
    else {
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((void * ) 0 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((void * ) 0 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
      (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    }
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((prepare_retry_alloc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((prepare_retry_alloc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (0 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    if (i == 1 ) {
      (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) ((& retry_alloc_r1 ) ) ) - (((((_ul ) ((& retry_alloc_r1 ) ) ) >> 16 ) + (((_us ) (((_ul ) ((& retry_alloc_r1 ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    }
    if (i == 2 ) {
      (void ) ((! ((((unsigned ) ((& save_fp ) ) ) ^ (((unsigned ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (50 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((& save_fp ) ) ) ^ (((unsigned ) ((& save_fp ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& save_fp ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((& save_fp ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (50 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((8 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    }
    (((! ((((unsigned ) (((((60 ) ) ) ) ) ) ^ (((unsigned ) (((((60 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((60 ) ) ) ) ) ^ (((unsigned ) ((((60 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((60 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  Scheme_Closure_Data * data ; 
  void * code , * tail_code , * code_end , * * patch_depth ; 
  int max_extra , max_depth ; 
  Scheme_Native_Closure * nc ; 
}
Generate_Closure_Data ; 
static int do_generate_closure (mz_jit_state * jitter , void * _data ) {
  Generate_Closure_Data * gdata = (Generate_Closure_Data * ) _data ; 
  Scheme_Closure_Data * data = gdata -> data ; 
  void * code , * tail_code , * code_end ; 
  int i , r , cnt , has_rest ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(7);
  BLOCK_SETUP_TOP((PUSH(jitter, 0), PUSH(data, 1), PUSH(code, 2), PUSH(gdata, 3), PUSH(tail_code, 4), PUSH(code_end, 5)));
# define XfOrM1479_COUNT (6)
# define SETUP_XfOrM1479(x) SETUP(XfOrM1479_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  code = NULLED_OUT ; 
  tail_code = NULLED_OUT ; 
  code_end = NULLED_OUT ; 
  code = ((jitter -> js ) . x . code ) . ptr ; 
  jitter -> nc = gdata -> nc ; 
  FUNCCALL(SETUP_XfOrM1479(_), generate_function_prolog (jitter , code , ((data -> max_let_depth + jitter -> max_extra_pushed ) << 2 ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  cnt = FUNCCALL(SETUP_XfOrM1479(_), generate_function_getarg (jitter , ((& (data ) -> iso ) -> so . keyex & 1 ) , data -> num_params ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  tail_code = ((jitter -> js ) . x . code ) . ptr ; 
  if (((& (data ) -> iso ) -> so . keyex & 1 ) && data -> num_params ) {
    jit_insn * ref , * ref2 , * ref3 ; 
    BLOCK_SETUP((PUSH(ref2, 0+XfOrM1479_COUNT)));
#   define XfOrM1495_COUNT (1+XfOrM1479_COUNT)
#   define SETUP_XfOrM1495(x) SETUP(XfOrM1495_COUNT)
    ref = NULLED_OUT ; 
    ref2 = NULLED_OUT ; 
    ref3 = NULLED_OUT ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (cnt < 100 ) {
      (jitter -> js ) . jitl . long_jumps = 0 ; 
    }
    ; 
    ref = (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ref3 = (((! (((unsigned ) (((((cnt ) ) ) ) ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (10 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((cnt ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((cnt ) ) ) ) ) ^ (((unsigned ) ((((cnt ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((cnt ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((cnt ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((cnt ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((cnt ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (32 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((((jitter -> js ) . x . pc ) ) ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 1 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((jitter -> js ) . x . pc ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) ((((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt + 1 ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    for (i = cnt ; i -- ; ) {
      ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (2 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_null ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((scheme_null ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    ((! ((((unsigned ) (((((((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((cnt ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((cnt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ref2 = ((((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (18 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref3 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref3 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref3 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref3 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref3 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref3 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    FUNCCALL(SETUP_XfOrM1495(_), mz_pushr_p_it (jitter , (9 + (0 ) ) ) ); 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
    ((! ((((unsigned ) ((cnt ) ) ) ^ (((unsigned ) ((cnt ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((cnt ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((cnt ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((cnt ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((cnt ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((31 - (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_build_list_offset ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_build_list_offset ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((31 - (1 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (3 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    FUNCCALL(SETUP_XfOrM1495(_), mz_popr_p_it (jitter , (9 + (0 ) ) ) ); 
    ((! ((((unsigned ) (((((((cnt ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((cnt ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((cnt ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((cnt ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((cnt ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (26 ) ) ) - 1 ) | 3 , (* (ref2 - 1 ) |= (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (26 ) ) ) - 1 ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (cnt < 100 ) {
      (jitter -> js ) . jitl . long_jumps = 1 ; 
    }
    ; 
    has_rest = 1 ; 
  }
  else has_rest = 0 ; 
  FUNCCALL(SETUP_XfOrM1479(_), mz_pushr_p_it (jitter , (9 + (0 ) ) ) ); 
  cnt = data -> closure_size ; 
  if (cnt ) {
    ((! ((((unsigned ) ((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) ^ (((unsigned ) ((((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) ^ (((unsigned ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((- (((long ) (((cnt ) << 2 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((((31 - (0 ) ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ; 
    for (i = cnt ; i -- ; ) {
      int pos ; 
      pos = ((i ) << 2 ) + (long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
      ((! ((((unsigned ) (((((pos ) ) ) ) ) ) ^ (((unsigned ) (((((pos ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((pos ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((pos ) ) ) ) ) ^ (((unsigned ) ((((pos ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((pos ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((pos ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((pos ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((pos ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      ((! ((((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) ^ (((unsigned ) (((((((i ) << 2 ) ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) ^ (((unsigned ) ((((((i ) << 2 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((((i ) << 2 ) ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
  }
  if (data -> context && ((Scheme_Type ) (((((long ) (data -> context ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (data -> context ) ) -> type ) ) == (Scheme_Type ) (scheme_letrec_type ) ) ) {
    Scheme_Letrec * lr = (Scheme_Letrec * ) data -> context ; 
    int pos , self_pos = - 1 ; 
    BLOCK_SETUP((PUSH(lr, 0+XfOrM1479_COUNT)));
#   define XfOrM1484_COUNT (1+XfOrM1479_COUNT)
#   define SETUP_XfOrM1484(x) SETUP(XfOrM1484_COUNT)
    for (i = data -> closure_size ; i -- ; ) {
#     define XfOrM1489_COUNT (0+XfOrM1484_COUNT)
#     define SETUP_XfOrM1489(x) SETUP_XfOrM1484(x)
      pos = data -> closure_map [i ] ; 
      if (pos < lr -> count ) {
        Scheme_Closure_Data * data2 = (Scheme_Closure_Data * ) lr -> procs [pos ] ; 
#       define XfOrM1490_COUNT (0+XfOrM1489_COUNT)
#       define SETUP_XfOrM1490(x) SETUP_XfOrM1489(x)
        FUNCCALL(SETUP_XfOrM1490(_), mz_runstack_closure_pushed (jitter , (data2 -> num_params - (((& (data2 ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ) , ((((& (data2 ) -> iso ) -> so . keyex & 4 ) ? 0x1 : 0 ) | (((& (data2 ) -> iso ) -> so . keyex & 32 ) ? 0x2 : 0 ) ) ) ); 
        if (((lr -> procs [pos ] ) == ((Scheme_Object * ) data ) ) ) {
          self_pos = i ; 
        }
      }
      else FUNCCALL(SETUP_XfOrM1489(_), mz_runstack_pushed (jitter , 1 ) ); 
    }
    if ((self_pos >= 0 ) && ! has_rest ) {
      jitter -> self_pos = self_pos ; 
      jitter -> self_closure_size = data -> closure_size ; 
    }
  }
  else {
#   define XfOrM1482_COUNT (0+XfOrM1479_COUNT)
#   define SETUP_XfOrM1482(x) SETUP_XfOrM1479(x)
    FUNCCALL(SETUP_XfOrM1482(_), mz_runstack_pushed (jitter , cnt ) ); 
    if (data -> context && ((Scheme_Type ) (((((long ) (data -> context ) ) & 0x1 ) ? (Scheme_Type ) scheme_integer_type : ((Scheme_Object * ) (data -> context ) ) -> type ) ) == (Scheme_Type ) (scheme_toplevel_type ) ) ) {
      jitter -> self_toplevel_pos = (((Scheme_Toplevel * ) (data -> context ) ) -> position ) ; 
      jitter -> self_closure_size = data -> closure_size ; 
    }
  }
  ; 
  ; 
  jitter -> self_data = data ; 
  jitter -> self_restart_code = ((jitter -> js ) . x . code ) . ptr ; 
  if (! has_rest )
    jitter -> self_nontail_code = tail_code ; 
  jitter -> need_set_rs = 1 ; 
  r = FUNCCALL(SETUP_XfOrM1479(_), generate (data -> code , jitter , 1 , 1 , (9 + (0 ) ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (r != 2 ) {
#   define XfOrM1481_COUNT (0+XfOrM1479_COUNT)
#   define SETUP_XfOrM1481(x) SETUP_XfOrM1479(x)
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM1481(_), _jit_epilog (& (jitter -> js ) ) ); 
  }
  code_end = ((jitter -> js ) . x . code ) . ptr ; 
  if (jitter -> retain_start ) {
    gdata -> code = code ; 
    gdata -> tail_code = tail_code ; 
    gdata -> max_extra = jitter -> max_extra_pushed ; 
    gdata -> max_depth = jitter -> max_depth ; 
    gdata -> code_end = code_end ; 
    gdata -> patch_depth = jitter -> patch_depth ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
/* this far 7154 */
static void on_demand_generate_lambda (Scheme_Native_Closure * nc ) {
  Scheme_Native_Closure_Data * ndata = nc -> code ; 
  Scheme_Closure_Data * data ; 
  Generate_Closure_Data gdata ; 
  void * code , * tail_code , * arity_code ; 
  int has_rest , is_method , num_params , max_depth ; 
  PREPARE_VAR_STACK_ONCE(11);
  BLOCK_SETUP_TOP((PUSH(ndata, 0), PUSH(gdata.data, 1), PUSH(gdata.code, 2), PUSH(gdata.tail_code, 3), PUSH(gdata.code_end, 4), PUSH(gdata.patch_depth, 5), PUSH(gdata.nc, 6), PUSH(code, 7), PUSH(arity_code, 8), PUSH(tail_code, 9), PUSH(data, 10)));
# define XfOrM1500_COUNT (11)
# define SETUP_XfOrM1500(x) SETUP(XfOrM1500_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  gdata.data = NULLED_OUT ; 
  gdata.code = NULLED_OUT ; 
  gdata.tail_code = NULLED_OUT ; 
  gdata.code_end = NULLED_OUT ; 
  gdata.patch_depth = NULLED_OUT ; 
  gdata.nc = NULLED_OUT ; 
  code = NULLED_OUT ; 
  tail_code = NULLED_OUT ; 
  arity_code = NULLED_OUT ; 
  data = ndata -> u2 . orig_code ; 
  gdata . data = data ; 
  gdata . nc = nc ; 
  FUNCCALL(SETUP_XfOrM1500(_), scheme_delay_load_closure (data ) ); 
  FUNCCALL_AGAIN(generate_one (((void * ) 0 ) , do_generate_closure , & gdata , 1 , data -> name , ndata ) ); 
  if (gdata . max_depth > data -> max_let_depth ) {
#   define XfOrM1508_COUNT (0+XfOrM1500_COUNT)
#   define SETUP_XfOrM1508(x) SETUP_XfOrM1500(x)
    FUNCCALL(SETUP_XfOrM1508(_), scheme_console_printf ("Bad max depth! Given %d, counted %d.\n" , data -> max_let_depth , gdata . max_depth ) ); 
    FUNCCALL(SETUP_XfOrM1508(_), abort () ); 
  }
  if ((& (data ) -> iso ) -> so . keyex & 4 )
    (& (ndata ) -> iso ) -> so . keyex |= 0x1 ; 
  if ((& (data ) -> iso ) -> so . keyex & 32 )
    (& (ndata ) -> iso ) -> so . keyex |= 0x2 ; 
  code = gdata . code ; 
  tail_code = gdata . tail_code ; 
  if (data -> name ) {
#   define XfOrM1507_COUNT (0+XfOrM1500_COUNT)
#   define SETUP_XfOrM1507(x) SETUP_XfOrM1500(x)
    FUNCCALL(SETUP_XfOrM1507(_), add_symbol ((unsigned long ) code , (unsigned long ) gdata . code_end - 1 , data -> name , 1 ) ); 
  }
  has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
  is_method = (((& (data ) -> iso ) -> so . keyex & 16 ) ? 1 : 0 ) ; 
  num_params = data -> num_params ; 
  if (num_params && has_rest )
    -- num_params ; 
  if (num_params < 25 ) {
#   define XfOrM1505_COUNT (0+XfOrM1500_COUNT)
#   define SETUP_XfOrM1505(x) SETUP_XfOrM1500(x)
    arity_code = shared_arity_check [num_params ] [has_rest ] [is_method ] ; 
    if (! arity_code ) {
#     define XfOrM1506_COUNT (0+XfOrM1505_COUNT)
#     define SETUP_XfOrM1506(x) SETUP_XfOrM1505(x)
      arity_code = FUNCCALL(SETUP_XfOrM1506(_), generate_lambda_simple_arity_check (num_params , has_rest , is_method , 1 ) ); 
      shared_arity_check [num_params ] [has_rest ] [is_method ] = arity_code ; 
    }
  }
  else arity_code = FUNCCALL(SETUP_XfOrM1500(_), generate_lambda_simple_arity_check (num_params , has_rest , is_method , 0 ) ); 
  max_depth = ((data -> max_let_depth + gdata . max_extra + 2 ) << 2 ) ; 
  if (ndata -> max_let_depth & 0x1 ) {
    data -> code = ((void * ) 0 ) ; 
  }
  data -> context = ((void * ) 0 ) ; 
  if (ndata -> max_let_depth & 0x2 ) {
    Scheme_Native_Closure_Data * case_lam ; 
    case_lam = NULLED_OUT ; 
    case_lam = ((Scheme_Native_Closure_Data_Plus_Case * ) ndata ) -> case_lam ; 
    if (case_lam -> max_let_depth < max_depth )
      case_lam -> max_let_depth = max_depth ; 
  }
  while (gdata . patch_depth ) {
    void * * pd ; 
    pd = NULLED_OUT ; 
    pd = (void * * ) gdata . patch_depth ; 
    gdata . patch_depth = pd [1 ] ; 
    (* ((((jit_insn * ) (* pd ) ) ) - 2 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((((jit_insn * ) (* pd ) ) ) - 2 ) |= (((_ul ) (((void * ) (long ) max_depth ) ) ) >> (16 ) ) , * ((((jit_insn * ) (* pd ) ) ) - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * ((((jit_insn * ) (* pd ) ) ) - 1 ) |= (((_ul ) (((void * ) (long ) max_depth ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  }
  ndata -> code = code ; 
  ndata -> u . tail_code = tail_code ; 
  ndata -> arity_code = arity_code ; 
  ndata -> u2 . name = data -> name ; 
  ndata -> max_let_depth = max_depth ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void on_demand () {
  /* No conversion */
  Scheme_Object * c , * argc , * * argv ; 
  c = scheme_current_runstack [0 ] ; 
  argc = scheme_current_runstack [1 ] ; 
  argv = (Scheme_Object * * ) scheme_current_runstack [2 ] ; 
  on_demand_generate_lambda ((Scheme_Native_Closure * ) c ) ; 
}
Scheme_Native_Closure_Data * scheme_generate_lambda (Scheme_Closure_Data * data , int clear_code_after_jit , Scheme_Native_Closure_Data * case_lam ) {
  Scheme_Native_Closure_Data * ndata ; 
  DECL_RET_SAVE (Scheme_Native_Closure_Data * ) PREPARE_VAR_STACK(4);
  BLOCK_SETUP_TOP((PUSH(case_lam, 0), PUSH(data, 1), PUSH(ndata, 2)));
# define XfOrM1510_COUNT (3)
# define SETUP_XfOrM1510(x) SETUP(XfOrM1510_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  ndata = NULLED_OUT ; 
  if (! check_arity_code ) {
#   define XfOrM1513_COUNT (0+XfOrM1510_COUNT)
#   define SETUP_XfOrM1513(x) SETUP_XfOrM1510(x)
    FUNCCALL(SETUP_XfOrM1513(_), generate_one (((void * ) 0 ) , do_generate_common , ((void * ) 0 ) , 0 , ((void * ) 0 ) , ((void * ) 0 ) ) ); 
  }
  if (! case_lam ) {
#   define XfOrM1512_COUNT (0+XfOrM1510_COUNT)
#   define SETUP_XfOrM1512(x) SETUP_XfOrM1510(x)
    ndata = ((Scheme_Native_Closure_Data * ) FUNCCALL(SETUP_XfOrM1512(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    ndata -> iso . so . type = scheme_rt_native_code ; 
  }
  else {
    Scheme_Native_Closure_Data_Plus_Case * ndatap ; 
    BLOCK_SETUP((PUSH(ndatap, 0+XfOrM1510_COUNT)));
#   define XfOrM1511_COUNT (1+XfOrM1510_COUNT)
#   define SETUP_XfOrM1511(x) SETUP(XfOrM1511_COUNT)
    ndatap = NULLED_OUT ; 
    ndatap = ((Scheme_Native_Closure_Data_Plus_Case * ) FUNCCALL(SETUP_XfOrM1511(_), GC_malloc_one_small_tagged ((((sizeof (Scheme_Native_Closure_Data_Plus_Case ) * (1 ) + (1 << 2 ) - 1 ) >> 2 ) << 2 ) ) )) ; 
    ndatap -> case_lam = case_lam ; 
    ndata = (Scheme_Native_Closure_Data * ) ndatap ; 
    ndata -> iso . so . type = scheme_rt_native_code_plus_case ; 
  }
  ndata -> code = on_demand_jit_code ; 
  ndata -> u . tail_code = on_demand_jit_arity_code ; 
  ndata -> arity_code = on_demand_jit_arity_code ; 
  ndata -> u2 . orig_code = data ; 
  ndata -> closure_size = data -> closure_size ; 
  ndata -> max_let_depth = 0x4 | (case_lam ? 0x2 : 0 ) | (clear_code_after_jit ? 0x1 : 0 ) ; 
  RET_VALUE_START (ndata ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int generate_simple_arity_check (mz_jit_state * jitter , int num_params , int has_rest , int is_method ) {
  jit_insn * ref , * ref2 ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(3);
  BLOCK_SETUP_TOP((PUSH(ref, 0), PUSH(ref2, 1), PUSH(jitter, 2)));
# define XfOrM1514_COUNT (3)
# define SETUP_XfOrM1514(x) SETUP(XfOrM1514_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  ref = NULLED_OUT ; 
  ref2 = NULLED_OUT ; 
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 0 ; 
  }
  ; 
  if (! has_rest )
    ref = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  else ref = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ref = (((! ((((unsigned ) (((0x0 ) ) ) ) ^ (((unsigned ) (((0x0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((0x0 ) ) ) ^ (((unsigned ) ((0x0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((wrong_argument_count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((wrong_argument_count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ref = (((! ((((unsigned ) (((0x0 ) ) ) ) ^ (((unsigned ) (((0x0 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((0x0 ) ) ) ^ (((unsigned ) ((0x0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0x0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  ((! ((((unsigned ) (((- (1 ) ) ) ) ) ^ (((unsigned ) (((- (1 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (12 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((- (1 ) ) ) ) ^ (((unsigned ) ((- (1 ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- (1 ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((- (1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((9 + (2 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 10 ) | ((((_ul ) (266 ) ) & ((unsigned ) ((1 << (9 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
  if (! has_rest )
    ref2 = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  else ref2 = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((! ((((unsigned ) ((1 ) ) ) ^ (((unsigned ) ((1 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ; 
  FUNCCALL(SETUP_XfOrM1514(_), _jit_epilog (& (jitter -> js ) ) ); 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref2 - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref2 - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref2 - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref2 - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref2 - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref2 - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  ((! ((((unsigned ) ((0 ) ) ) ^ (((unsigned ) ((0 ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((0 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) ; 
  ; 
  FUNCCALL(SETUP_XfOrM1514(_), _jit_epilog (& (jitter -> js ) ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
  if (! has_rest )
    (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (num_params ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (num_params ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  else (void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (- (num_params + 1 ) ) ) << 1 ) | 0x1 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((Scheme_Object * ) (void * ) (long ) ((((long ) (- (num_params + 1 ) ) ) << 1 ) | 0x1 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (is_method ) {
#   define XfOrM1517_COUNT (0+XfOrM1514_COUNT)
#   define SETUP_XfOrM1517(x) SETUP_XfOrM1514(x)
    ((jitter -> js ) . jitl . nextarg_puti = (1 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (void ) ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_box ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((scheme_box ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM1517(_), _jit_epilog (& (jitter -> js ) ) ); 
  }
  else {
#   define XfOrM1516_COUNT (0+XfOrM1514_COUNT)
#   define SETUP_XfOrM1516(x) SETUP_XfOrM1514(x)
    ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((3 ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((((9 + (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ; 
    ; 
    FUNCCALL(SETUP_XfOrM1516(_), _jit_epilog (& (jitter -> js ) ) ); 
  }
  if (1 ) {
    (jitter -> js ) . jitl . long_jumps = 1 ; 
  }
  ; 
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  int num_params ; 
  int has_rest ; 
  int is_method ; 
}
Generate_Arity_Check_Data ; 
static int do_generate_lambda_simple_arity_check (mz_jit_state * jitter , void * _data ) {
  /* No conversion */
  Generate_Arity_Check_Data * data = (Generate_Arity_Check_Data * ) _data ; 
  jitter -> js . jitl . nbArgs = 2 ; 
  return generate_simple_arity_check (jitter , data -> num_params , data -> has_rest , data -> is_method ) ; 
}
static void * generate_lambda_simple_arity_check (int num_params , int has_rest , int is_method , int permanent ) {
  /* No conversion */
  Generate_Arity_Check_Data data ; 
  data . num_params = num_params ; 
  data . has_rest = has_rest ; 
  data . is_method = is_method ; 
  return generate_one (((void * ) 0 ) , do_generate_lambda_simple_arity_check , & data , ! permanent , ((void * ) 0 ) , ((void * ) 0 ) ) ; 
}
static int generate_case_lambda_dispatch (mz_jit_state * jitter , Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int do_getarg ) {
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , cnt , has_rest , offset , num_params ; 
  jit_insn * ref = ((void * ) 0 ) ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(5);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(ref, 1), PUSH(data, 2), PUSH(jitter, 3), PUSH(c, 4)));
# define XfOrM1521_COUNT (5)
# define SETUP_XfOrM1521(x) SETUP(XfOrM1521_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  cnt = c -> count ; 
  for (i = 0 ; i < cnt ; i ++ ) {
#   define XfOrM1527_COUNT (0+XfOrM1521_COUNT)
#   define SETUP_XfOrM1527(x) SETUP_XfOrM1521(x)
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    num_params = data -> num_params ; 
    has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
    if (has_rest && num_params )
      -- num_params ; 
    if (! do_getarg || (i < cnt - 1 ) ) {
      if (! has_rest )
        ref = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((4 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 2 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
      else ref = (((! ((((unsigned ) (((num_params ) ) ) ) ^ (((unsigned ) (((num_params ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (11 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((num_params ) ) ) ^ (((unsigned ) ((num_params ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((num_params ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((0 ) << 2 ) | (0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) , (((! ((((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ^ (((unsigned ) (((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) && ! (jitter -> js ) . jitl . long_jumps ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) (((((jitter -> js ) . x . pc ) ) ) ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) : ((((_ul ) (((* (jitter -> js ) . x . ui_pc ) = ((_ui ) ((((((_ul ) (16 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((12 ) ^ 9 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((((0 ) << 2 ) + 0 ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((((_ul ) ((jitter -> js ) . x . pc + 5 ) ) - ((_ul ) ((jitter -> js ) . x . pc ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) & ~ 3 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ++ , 0 ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((jitter -> js ) . x . pc ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) ; 
    }
    if (do_getarg ) {
#     define XfOrM1529_COUNT (0+XfOrM1527_COUNT)
#     define SETUP_XfOrM1529(x) SETUP_XfOrM1527(x)
      FUNCCALL(SETUP_XfOrM1529(_), generate_function_getarg (jitter , has_rest , num_params + (has_rest ? 1 : 0 ) ) ); 
      if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
        RET_VALUE_START (0 ) RET_VALUE_END ; 
      ; 
    }
    offset = ((i ) << 2 ) + (unsigned long ) & ((Scheme_Native_Closure * ) 0x0 ) -> vals ; 
    ((! ((((unsigned ) (((((offset ) ) ) ) ) ) ^ (((unsigned ) (((((offset ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((offset ) ) ) ) ) ^ (((unsigned ) ((((offset ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((offset ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure * ) 0x0 ) -> code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((9 + (0 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    ((! ((((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) ^ (((unsigned ) (((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (32 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) ^ (((unsigned ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) ((((& ((Scheme_Native_Closure_Data * ) 0x0 ) -> u . tail_code ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((((31 - (1 ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (23 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ; 
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (1 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((8 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (16 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    if (! do_getarg || (i < cnt - 1 ) ) {
      ((jitter -> js ) . jitl . long_jumps ? (void ) (* (ref - 4 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 4 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) >> (16 ) ) , * (ref - 3 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) , * (ref - 3 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) : (void ) (* (ref - 1 ) &= ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) | 3 , * (ref - 1 ) |= (((_ul ) (((jitter -> js ) . x . pc ) ) ) - ((_ul ) (ref - 1 ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ; 
    }
  }
  if (! do_getarg ) {
    (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((! ((((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) ^ (((unsigned ) ((((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (36 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) ) : (((! ((((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) ^ (((unsigned ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) << 1 ) ) & ~ ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (14 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ? ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((((_ul ) (((& scheme_current_runstack ) ) ) ) - (((((_ul ) (((& scheme_current_runstack ) ) ) ) >> 16 ) + (((_us ) (((_ul ) (((& scheme_current_runstack ) ) ) ) ) ) >> 15 ) ) << 16 ) ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) : 0 ) ) ) , (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((((((31 - (0 ) ) ) ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (151 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ) ) ) ; 
    ((jitter -> js ) . jitl . nextarg_puti = (3 ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (2 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (1 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    (-- (jitter -> js ) . jitl . nextarg_puti , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((3 + (jitter -> js ) . jitl . nextarg_putd * 2 + (jitter -> js ) . jitl . nextarg_putf + (jitter -> js ) . jitl . nextarg_puti ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (((9 + (0 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (444 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
    (void ) ((void ) 0 , ((void ) (((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (15 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((wrong_argument_count ) ) ) ) >> (16 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (24 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (((31 - (7 ) ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | (((_ul ) ((((_ul ) (((wrong_argument_count ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) & ((unsigned ) ((1 << (16 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . x . pc ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (31 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) ((31 - (7 ) ) ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) ((9 ) << 5 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (467 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (0 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , ((_ul ) (((* (jitter -> js ) . x . ui_pc ++ ) = ((_ui ) ((((((_ul ) (19 ) ) & ((unsigned ) ((1 << (6 ) ) ) - 1 ) ) << 26 ) | ((((_ul ) (20 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 21 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 16 ) | ((((_ul ) (0 ) ) & ((unsigned ) ((1 << (5 ) ) ) - 1 ) ) << 11 ) | ((((_ul ) (528 ) ) & ((unsigned ) ((1 << (10 ) ) ) - 1 ) ) << 1 ) | (((_ul ) (1 ) ) & ((unsigned ) ((1 << (1 ) ) ) - 1 ) ) ) ) ) ) ) ) , (jitter -> js ) . jitl . nextarg_puti = (jitter -> js ) . jitl . nextarg_putf = (jitter -> js ) . jitl . nextarg_putd = 0 , (jitter -> js ) . x . pc ) ) ; 
    if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
      RET_VALUE_START (0 ) RET_VALUE_END ; 
    ; 
  }
  RET_VALUE_START (1 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef struct {
  Scheme_Case_Lambda * c ; 
  Scheme_Native_Closure_Data * ndata ; 
  int is_method ; 
}
Generate_Case_Dispatch_Data ; 
static int do_generate_case_lambda_dispatch (mz_jit_state * jitter , void * _data ) {
  Generate_Case_Dispatch_Data * data = (Generate_Case_Dispatch_Data * ) _data ; 
  void * code , * arity_code ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK_ONCE(4);
  BLOCK_SETUP_TOP((PUSH(code, 0), PUSH(data, 1), PUSH(arity_code, 2), PUSH(jitter, 3)));
# define XfOrM1531_COUNT (4)
# define SETUP_XfOrM1531(x) SETUP(XfOrM1531_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  code = NULLED_OUT ; 
  arity_code = NULLED_OUT ; 
  code = ((jitter -> js ) . x . code ) . ptr ; 
  FUNCCALL(SETUP_XfOrM1531(_), generate_function_prolog (jitter , code , data -> ndata -> max_let_depth ) ); 
  if (((unsigned long ) ((jitter -> js ) . x . code ) . ptr > (unsigned long ) jitter -> limit ) )
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  ; 
  if (FUNCCALL(SETUP_XfOrM1531(_), generate_case_lambda_dispatch (jitter , data -> c , data -> ndata , 1 ) )) {
#   define XfOrM1532_COUNT (0+XfOrM1531_COUNT)
#   define SETUP_XfOrM1532(x) SETUP_XfOrM1531(x)
    arity_code = ((jitter -> js ) . x . code ) . ptr ; 
    if (FUNCCALL(SETUP_XfOrM1532(_), generate_case_lambda_dispatch (jitter , data -> c , data -> ndata , 0 ) )) {
      data -> ndata -> code = code ; 
      data -> ndata -> arity_code = arity_code ; 
      RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
  }
  RET_VALUE_START (0 ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static void generate_case_lambda (Scheme_Case_Lambda * c , Scheme_Native_Closure_Data * ndata , int is_method ) {
  Generate_Case_Dispatch_Data gdata ; 
  Scheme_Closure_Data * data ; 
  Scheme_Object * o ; 
  int i , cnt , num_params , has_rest ; 
  mzshort * arities ; 
  PREPARE_VAR_STACK_ONCE(7);
  BLOCK_SETUP_TOP((PUSH(o, 0), PUSH(gdata.c, 1), PUSH(gdata.ndata, 2), PUSH(data, 3), PUSH(arities, 4), PUSH(ndata, 5), PUSH(c, 6)));
# define XfOrM1534_COUNT (7)
# define SETUP_XfOrM1534(x) SETUP(XfOrM1534_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  gdata.c = NULLED_OUT ; 
  gdata.ndata = NULLED_OUT ; 
  data = NULLED_OUT ; 
  o = NULLED_OUT ; 
  arities = NULLED_OUT ; 
  gdata . c = c ; 
  gdata . ndata = ndata ; 
  gdata . is_method = is_method ; 
  FUNCCALL(SETUP_XfOrM1534(_), generate_one (((void * ) 0 ) , do_generate_case_lambda_dispatch , & gdata , 1 , ((void * ) 0 ) , ndata ) ); 
  cnt = c -> count ; 
  arities = (mzshort * ) FUNCCALL(SETUP_XfOrM1534(_), GC_malloc_atomic (sizeof (mzshort ) * (cnt + 1 ) ) ); 
  arities [cnt ] = is_method ; 
  for (i = 0 ; i < cnt ; i ++ ) {
    o = c -> array [i ] ; 
    if ((! (((long ) (o ) ) & 0x1 ) && ((((o ) -> type ) >= scheme_prim_type ) && (((o ) -> type ) <= scheme_native_closure_type ) ) ) )
      o = (Scheme_Object * ) ((Scheme_Closure * ) o ) -> code ; 
    data = (Scheme_Closure_Data * ) o ; 
    num_params = data -> num_params ; 
    has_rest = (((& (data ) -> iso ) -> so . keyex & 1 ) ? 1 : 0 ) ; 
    if (has_rest && num_params )
      -- num_params ; 
    if (! has_rest )
      arities [i ] = num_params ; 
    else arities [i ] = - (num_params + 1 ) ; 
  }
  ndata -> u . arities = arities ; 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int lambda_has_been_jitted (Scheme_Native_Closure_Data * ndata ) {
  /* No conversion */
  return (ndata -> code != on_demand_jit_code ) ; 
}
int scheme_native_arity_check (Scheme_Object * closure , int argc ) {
  int cnt ; 
  DECL_RET_SAVE (int ) PREPARE_VAR_STACK(5);
  BLOCK_SETUP_TOP((PUSH(closure, 0)));
# define XfOrM1538_COUNT (1)
# define SETUP_XfOrM1538(x) SETUP(XfOrM1538_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  cnt = ((Scheme_Native_Closure * ) closure ) -> code -> closure_size ; 
  if (cnt < 0 ) {
    int i ; 
    mzshort * arities , v ; 
    arities = NULLED_OUT ; 
    arities = ((Scheme_Native_Closure * ) closure ) -> code -> u . arities ; 
    cnt = - (cnt + 1 ) ; 
    for (i = 0 ; i < cnt ; i ++ ) {
      v = arities [i ] ; 
      if (v < 0 ) {
        v = - (v + 1 ) ; 
        if (argc >= v )
          RET_VALUE_START (1 ) RET_VALUE_END ; 
      }
      else if (argc == v )
        RET_VALUE_START (1 ) RET_VALUE_END ; 
    }
    RET_VALUE_START (0 ) RET_VALUE_END ; 
  }
  if (! FUNCCALL(SETUP_XfOrM1538(_), lambda_has_been_jitted (((Scheme_Native_Closure * ) closure ) -> code ) )) {
    Scheme_Closure c ; 
    BLOCK_SETUP((PUSH(c.code, 0+XfOrM1538_COUNT), PUSHARRAY(c.vals, 1, 1+XfOrM1538_COUNT)));
#   define XfOrM1539_COUNT (4+XfOrM1538_COUNT)
#   define SETUP_XfOrM1539(x) SETUP(XfOrM1539_COUNT)
    c.code = NULLED_OUT ; 
    c.vals[0] = NULLED_OUT ; 
    c . so . type = scheme_closure_type ; 
    c . code = ((Scheme_Native_Closure * ) closure ) -> code -> u2 . orig_code ; 
    RET_VALUE_START ((! (((FUNCCALL(SETUP_XfOrM1539(_), scheme_get_or_check_arity ((Scheme_Object * ) & c , argc ) )) ) == (scheme_false ) ) ) ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(check_arity_code (closure , argc + 1 , 0 ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
Scheme_Object * scheme_get_native_arity (Scheme_Object * closure ) {
  int cnt ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK(6);
  BLOCK_SETUP_TOP((PUSH(closure, 0)));
# define XfOrM1545_COUNT (1)
# define SETUP_XfOrM1545(x) SETUP(XfOrM1545_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_each(x)
# define FUNCCALL(s, x) FUNCCALL_each(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_each(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_each(x)
  cnt = ((Scheme_Native_Closure * ) closure ) -> code -> closure_size ; 
  if (cnt < 0 ) {
    Scheme_Object * l = scheme_null , * a ; 
    int i , has_rest , is_method ; 
    mzshort * arities , v ; 
    BLOCK_SETUP((PUSH(a, 0+XfOrM1545_COUNT), PUSH(arities, 1+XfOrM1545_COUNT), PUSH(l, 2+XfOrM1545_COUNT)));
#   define XfOrM1547_COUNT (3+XfOrM1545_COUNT)
#   define SETUP_XfOrM1547(x) SETUP(XfOrM1547_COUNT)
    a = NULLED_OUT ; 
    arities = NULLED_OUT ; 
    arities = ((Scheme_Native_Closure * ) closure ) -> code -> u . arities ; 
    cnt = - (cnt + 1 ) ; 
    is_method = arities [cnt ] ; 
    for (i = cnt ; i -- ; ) {
#     define XfOrM1550_COUNT (0+XfOrM1547_COUNT)
#     define SETUP_XfOrM1550(x) SETUP_XfOrM1547(x)
      v = arities [i ] ; 
      if (v < 0 ) {
        v = - (v + 1 ) ; 
        has_rest = 1 ; 
      }
      else has_rest = 0 ; 
      a = FUNCCALL(SETUP_XfOrM1550(_), scheme_make_arity (v , has_rest ? - 1 : v ) ); 
      l = FUNCCALL_AGAIN(scheme_make_pair (a , l ) ); 
    }
    if (is_method )
      l = FUNCCALL(SETUP_XfOrM1547(_), scheme_box (l ) ); 
    RET_VALUE_START (l ) RET_VALUE_END ; 
  }
  if (! FUNCCALL(SETUP_XfOrM1545(_), lambda_has_been_jitted (((Scheme_Native_Closure * ) closure ) -> code ) )) {
    Scheme_Closure c ; 
    Scheme_Object * a ; 
    BLOCK_SETUP((PUSH(a, 0+XfOrM1545_COUNT), PUSH(c.code, 1+XfOrM1545_COUNT), PUSHARRAY(c.vals, 1, 2+XfOrM1545_COUNT)));
#   define XfOrM1546_COUNT (5+XfOrM1545_COUNT)
#   define SETUP_XfOrM1546(x) SETUP(XfOrM1546_COUNT)
    c.code = NULLED_OUT ; 
    c.vals[0] = NULLED_OUT ; 
    a = NULLED_OUT ; 
    c . so . type = scheme_closure_type ; 
    c . code = ((Scheme_Native_Closure * ) closure ) -> code -> u2 . orig_code ; 
    a = FUNCCALL(SETUP_XfOrM1546(_), scheme_get_or_check_arity ((Scheme_Object * ) & c , - 1 ) ); 
    if ((& (c . code ) -> iso ) -> so . keyex & 16 )
      a = FUNCCALL(SETUP_XfOrM1546(_), scheme_box (a ) ); 
    RET_VALUE_START (a ) RET_VALUE_END ; 
  }
  RET_VALUE_EMPTY_START (FUNCCALL_EMPTY(get_arity_code (closure , 0 , 0 ) )) RET_VALUE_EMPTY_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
typedef void * (* Get_Stack_Proc ) () ; 
unsigned long scheme_approx_sp () {
  /* No conversion */
  unsigned long p ; 
  p = (unsigned long ) & p ; 
  return p ; 
}
Scheme_Object * scheme_native_stack_trace (void ) {
  void * p , * q ; 
  unsigned long stack_end , stack_start , halfway ; 
  Get_Stack_Proc gs ; 
  Scheme_Object * name , * last = ((void * ) 0 ) , * first = ((void * ) 0 ) , * tail ; 
  int set_next_push = 0 , prev_had_name = 0 ; 
  DECL_RET_SAVE (Scheme_Object * ) PREPARE_VAR_STACK_ONCE(6);
  BLOCK_SETUP_TOP((PUSH(last, 0), PUSH(p, 1), PUSH(name, 2), PUSH(first, 3), PUSH(tail, 4), PUSH(q, 5)));
# define XfOrM1553_COUNT (6)
# define SETUP_XfOrM1553(x) SETUP(XfOrM1553_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  p = NULLED_OUT ; 
  q = NULLED_OUT ; 
  name = NULLED_OUT ; 
  tail = NULLED_OUT ; 
  if (! get_stack_pointer_code )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  gs = (Get_Stack_Proc ) get_stack_pointer_code ; 
  p = FUNCCALL(SETUP_XfOrM1553(_), gs () ); 
  stack_start = FUNCCALL_AGAIN(scheme_approx_sp () ); 
  if (stack_cache_stack_pos ) {
    stack_end = (unsigned long ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    stack_end -= (1 << 2 ) ; 
    tail = stack_cache_stack [stack_cache_stack_pos ] . cache ; 
  }
  else {
    stack_end = (unsigned long ) scheme_current_thread -> stack_start ; 
    tail = scheme_null ; 
  }
  halfway = (((unsigned long ) p ) - (stack_end ) ) / 2 ; 
  if (halfway < 1024 )
    halfway = stack_end ; 
  else {
    halfway += (unsigned long ) p ; 
  }
  while ((((unsigned long ) p ) < (stack_end ) ) && ((stack_start ) < ((unsigned long ) p ) ) ) {
#   define XfOrM1560_COUNT (0+XfOrM1553_COUNT)
#   define SETUP_XfOrM1560(x) SETUP_XfOrM1553(x)
    q = ((void * * ) p ) [1 ] ; 
    name = FUNCCALL(SETUP_XfOrM1560(_), find_symbol ((unsigned long ) q ) ); 
    if ((((name ) ) == (scheme_false ) ) ) {
#     define XfOrM1565_COUNT (0+XfOrM1560_COUNT)
#     define SETUP_XfOrM1565(x) SETUP_XfOrM1560(x)
      q = ((void * * ) p ) [60 >> 2 ] ; 
      name = FUNCCALL(SETUP_XfOrM1565(_), find_symbol ((unsigned long ) q ) ); 
    }
    if (name ) {
#     define XfOrM1563_COUNT (0+XfOrM1560_COUNT)
#     define SETUP_XfOrM1563(x) SETUP_XfOrM1560(x)
      name = FUNCCALL(SETUP_XfOrM1563(_), scheme_make_pair (name , scheme_null ) ); 
      if (last )
        (((Scheme_Simple_Object * ) (last ) ) -> u . pair_val . cdr ) = name ; 
      else first = name ; 
      last = name ; 
      if (set_next_push ) {
        stack_cache_stack [stack_cache_stack_pos ] . cache = name ; 
        set_next_push = 0 ; 
      }
    }
    if ((((unsigned long ) halfway ) < ((unsigned long ) p ) ) && prev_had_name ) {
      int pos ; 
      if (stack_cache_stack_pos >= (32 - 1 ) ) {
        void * * z ; 
        z = NULLED_OUT ; 
        z = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
        * z = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
        -- stack_cache_stack_pos ; 
      }
      pos = ++ stack_cache_stack_pos ; 
      stack_cache_stack [pos ] . orig_return_address = ((void * * ) p ) [1 ] ; 
      stack_cache_stack [pos ] . stack_frame = (void * ) (((void * * ) p ) + 1 ) ; 
      stack_cache_stack [pos ] . cache = tail ; 
      set_next_push = 1 ; 
      ((void * * ) p ) [1 ] = stack_cache_pop_code ; 
      halfway = stack_end ; 
    }
    prev_had_name = ! ! name ; 
    q = * (void * * ) p ; 
    if ((((unsigned long ) q ) < ((unsigned long ) p ) ) )
      break ; 
    p = q ; 
  }
  if (last )
    (((Scheme_Simple_Object * ) (last ) ) -> u . pair_val . cdr ) = tail ; 
  else first = tail ; 
  if (((first ) == (scheme_null ) ) )
    RET_VALUE_START (((void * ) 0 ) ) RET_VALUE_END ; 
  RET_VALUE_START (first ) RET_VALUE_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
void scheme_flush_stack_cache () {
  void * * p ; 
  while (stack_cache_stack_pos ) {
    p = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    * p = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
    -- stack_cache_stack_pos ; 
  }
}
void scheme_jit_longjmp (mz_jit_jmp_buf b , int v ) {
  unsigned long limit ; 
  void * * p ; 
  limit = b -> stack_frame ; 
  while (stack_cache_stack_pos && (((unsigned long ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ) < (limit ) ) ) {
    p = (void * * ) stack_cache_stack [stack_cache_stack_pos ] . stack_frame ; 
    * p = stack_cache_stack [stack_cache_stack_pos ] . orig_return_address ; 
    -- stack_cache_stack_pos ; 
  }
  longjmp (b -> jb , v ) ; 
}
void scheme_jit_setjmp_prepare (mz_jit_jmp_buf b ) {
  void * p ; 
  p = & p ; 
  b -> stack_frame = (unsigned long ) p ; 
}
void scheme_clean_native_symtab (void ) {
  /* No conversion */
}
static void release_native_code (void * fnlized , void * p ) {
  Scheme_Object * len ; 
  PREPARE_VAR_STACK_ONCE(1);
  BLOCK_SETUP_TOP((PUSH(p, 0)));
# define XfOrM1570_COUNT (1)
# define SETUP_XfOrM1570(x) SETUP(XfOrM1570_COUNT)
# define BLOCK_SETUP(x) BLOCK_SETUP_once(x)
# define FUNCCALL(s, x) FUNCCALL_once(s, x)
# define FUNCCALL_EMPTY(x) FUNCCALL_EMPTY_once(x)
# define FUNCCALL_AGAIN(x) FUNCCALL_AGAIN_once(x)
  len = NULLED_OUT ; 
  len = (((Scheme_Small_Object * ) (fnlized ) ) -> u . ptr_val ) ; 
  scheme_jit_malloced -= (((long ) (len ) ) >> 1 ) ; 
  FUNCCALL(SETUP_XfOrM1570(_), add_symbol ((unsigned long ) p , (unsigned long ) p + (((long ) (len ) ) >> 1 ) , ((void * ) 0 ) , 0 ) ); 
  FUNCCALL_EMPTY(scheme_free_code (p ) ); 
  FUNCCALL_EMPTY(jit_notify_freed_code () ); 
  RET_NOTHING_AT_END ; 
# undef BLOCK_SETUP
# undef FUNCCALL
# undef FUNCCALL_EMPTY
# undef FUNCCALL_AGAIN
}
static int native_closure_SIZE (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_closure_MARK (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  {
    int i = closure_size ; 
    while (i -- ) GC_mark (c -> vals [i ] ) ; 
  }
  GC_mark (c -> code ) ; 
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_closure_FIXUP (void * p ) {
  Scheme_Native_Closure * c = (Scheme_Native_Closure * ) p ; 
  int closure_size = ((Scheme_Native_Closure_Data * ) GC_resolve (c -> code ) ) -> closure_size ; 
  if (closure_size < 0 ) {
    closure_size = - (closure_size + 1 ) ; 
  }
  {
    int i = closure_size ; 
    while (i -- ) GC_fixup (& (c -> vals [i ] ) ) ; 
  }
  GC_fixup (& (c -> code ) ) ; 
  return (((sizeof (Scheme_Native_Closure ) + (closure_size - 1 ) * sizeof (Scheme_Object * ) ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_SIZE (void * p ) {
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_MARK (void * p ) {
  mz_jit_state * j = (mz_jit_state * ) p ; 
  GC_mark (j -> mappings ) ; 
  GC_mark (j -> self_data ) ; 
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int mark_jit_state_FIXUP (void * p ) {
  mz_jit_state * j = (mz_jit_state * ) p ; 
  GC_fixup (& (j -> mappings ) ) ; 
  GC_fixup (& (j -> self_data ) ) ; 
  return ((sizeof (mz_jit_state ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_SIZE (void * p ) {
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_MARK (void * p ) {
  Scheme_Native_Closure_Data * d = (Scheme_Native_Closure_Data * ) p ; 
  int i ; 
  GC_mark (d -> u2 . name ) ; 
  for (i = d -> retain_count ; i -- ; ) {
    GC_mark (d -> retained [i ] ) ; 
  }
  if (d -> closure_size < 0 ) {
    GC_mark (d -> u . arities ) ; 
  }
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_FIXUP (void * p ) {
  Scheme_Native_Closure_Data * d = (Scheme_Native_Closure_Data * ) p ; 
  int i ; 
  GC_fixup (& (d -> u2 . name ) ) ; 
  for (i = d -> retain_count ; i -- ; ) {
    GC_fixup (& (d -> retained [i ] ) ) ; 
  }
  if (d -> closure_size < 0 ) {
    GC_fixup (& (d -> u . arities ) ) ; 
  }
  return ((sizeof (Scheme_Native_Closure_Data ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_SIZE (void * p ) {
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_MARK (void * p ) {
  Scheme_Native_Closure_Data_Plus_Case * d = (Scheme_Native_Closure_Data_Plus_Case * ) p ; 
  native_unclosed_proc_MARK (p ) ; 
  GC_mark (d -> case_lam ) ; 
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static int native_unclosed_proc_plus_case_FIXUP (void * p ) {
  Scheme_Native_Closure_Data_Plus_Case * d = (Scheme_Native_Closure_Data_Plus_Case * ) p ; 
  native_unclosed_proc_FIXUP (p ) ; 
  GC_fixup (& (d -> case_lam ) ) ; 
  return ((sizeof (Scheme_Native_Closure_Data_Plus_Case ) + (1 << 2 ) - 1 ) >> 2 ) ; 
}
static void register_traversers (void ) {
  GC_register_traversers (scheme_native_closure_type , native_closure_SIZE , native_closure_MARK , native_closure_FIXUP , 0 , 0 ) ; 
  GC_register_traversers (scheme_rt_jitter_data , mark_jit_state_SIZE , mark_jit_state_MARK , mark_jit_state_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_rt_native_code , native_unclosed_proc_SIZE , native_unclosed_proc_MARK , native_unclosed_proc_FIXUP , 1 , 0 ) ; 
  GC_register_traversers (scheme_rt_native_code_plus_case , native_unclosed_proc_plus_case_SIZE , native_unclosed_proc_plus_case_MARK , native_unclosed_proc_plus_case_FIXUP , 1 , 0 ) ; 
}
